<?php
/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @version		v2.0
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * The Zen Grid Framework is a templating framework that uses the Joomla Content Manament System (http://www.joomla.org)
 * This file is called if the main content layout override is enabled and is placed in the templates/[your template name]/layout folder. 
 */
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );
if ($showMainArea) {
?>

<div id="mainwrap">
	<div class="container <?php echo $containerPosition ?>">
		<div class="row">
			<div class="inner">
										

								<div id="main" class="<?php echo $mainWidth ?>">
							
								<?php if($this->countModules('breadcrumb')) : ?>
								<!-- Breadcrumb -->
									<div id="breadcrumb">
											<jdoc:include type="modules" name="breadcrumb" style="jbChrome" />
									</div>
									<div class="clear"></div>
								<!-- End Breadcrumb -->
								<?php endif; ?>
								
										<?php if($this->countModules('above') || ($splitMenuAbove && $splitMenu)) : ?>
									<!--  above -->
									<div id="above" class="grid_twelve">
									<?php // Splitmenu: 
										if ($splitMenu && $splitMenuAbove) {
											$aboveSplitMenu = Zengrid::getSplitMenu($splitMenuName, $splitMenuAboveStart, $splitMenuAboveEnd);
											if ($aboveSplitMenu) {
											echo '<div id="jbSplitMenuAbove">';
											echo $aboveSplitMenu;
											echo '</div>';
										}
									} ?>
													<jdoc:include type="modules" name="above" style="jbChrome" />
											</div>									
								
								<!-- End  above -->
								<div class="clear"></div>
								
								<?php endif; ?>
								
								<?php if($this->countModules('left') || ($splitMenuLeft && $splitMenu)) : ?>
								<!-- Left Column -->
									<div id="leftCol" class="grid_<?php echo $leftCols; ?> <?php echo $mainWidth ?>">
											<div id="left" class="sidebar">
											
												<?php if ($logoPosition =="left") { 
												
													require(YOURBASEPATH .DS."layout/logo.php"); 
									
												} 
										
													// Splitmenu: Get all but the first level of the menu "topmenu"
													if ($splitMenu && $splitMenuLeft) {
															$leftSplitMenu = Zengrid::getSplitMenu($splitMenuName, $splitMenuLeftStart, $splitMenuLeftEnd);
															if ($leftSplitMenu) {
															echo '<div id="jbSplitMenuLeft">';
															echo '<h3>';
																echo $splitMenuLeftTitle;
															echo '</h3>';
															echo $leftSplitMenu;
															echo '</div>';
														}

													} ?>
												
										
													<jdoc:include type="modules" name="left" style="jbChrome" />
											</div>
									</div>
								<!-- End Left Column -->
								<?php endif; ?>
								
								<?php if ($mainLayout =="1") {
								 if($this->countModules('center')) : ?>
								<!-- Center Column -->
									<div id="centerCol" class="grid_<?php echo $centerCols; ?> <?php echo $mainWidth ?>">
											<div id="center" class="sidebar">
													<jdoc:include type="modules" name="center" style="jbChrome" />
											</div>
									</div>
								<!-- End Center Column -->
								<?php endif; 
								} ?>

								<!-- Main Content -->
									<div id="midCol" class="grid_<?php echo $midCols; ?> <?php echo $mainWidth ?>">
										<?php if ($logoPosition =="middle") { 
										
											require(YOURBASEPATH .DS."layout/logo.php"); 
							
										} 
								
								if ($advert1 > "0") : ?>
										<!-- Top Advert Row -->
										<div id="topAdvert">
												<?php if($this->countModules('advert1')) : ?>
												<div id="advert1" style="width:<?php echo $$advert1Cols; ?>px;margin-right: <?php echo $gutter ?>px">
														<jdoc:include type="modules" name="advert1" style="jbChrome" />
												</div>
												<?php endif; ?>
												
												<?php if($this->countModules('advert2')) : ?>
												<div id="advert2" style="width:<?php echo $$advert2Cols; ?>px;margin-right: <?php echo $gutter ?>px">
														<jdoc:include type="modules" name="advert2" style="jbChrome" />
												</div>
												<?php endif; ?>
												
												<?php if($this->countModules('advert3')) : ?>
												<div id="advert3" style="width:<?php echo $$advert3Cols; ?>px">
														<jdoc:include type="modules" name="advert3" style="jbChrome" />
												</div>
												<?php endif; ?>
										</div>
										<!-- Top Advert Row -->
										<?php endif; ?>

										<div class="clear"></div>
										

										<div id="mainContent"  class="<?php echo $mainWidth ?>">
												<jdoc:include type="message" />
												<jdoc:include type="component" />
										</div>
										

										<div class="clear"></div>
										
										<?php if ($advert2 > "0") : ?>
										<!-- Bottom Advert Row -->
												<div id="bottomAdvert">
												<?php if($this->countModules('advert4')) : ?>
												<div id="advert4" style="width:<?php echo $$advert4Cols; ?>px;margin-right: <?php echo $gutter ?>px">
														<jdoc:include type="modules" name="advert4" style="jbChrome" />
												</div>
												<?php endif; ?>
												
												<?php if($this->countModules('advert5')) : ?>
												<div id="advert5" style="width:<?php echo $$advert5Cols; ?>px;margin-right: <?php echo $gutter ?>px">
														<jdoc:include type="modules" name="advert5" style="jbChrome" />
												</div>
												<?php endif; ?>
												
												<?php if($this->countModules('advert6')) : ?>
												<div id="advert6" style="width:<?php echo $$advert6Cols; ?>px">
														<jdoc:include type="modules" name="advert6" style="jbChrome" />
												</div>
												<?php endif; ?>
										</div>
										<?php endif; ?>
								</div>
								<!-- End Main Content -->
								
								
								<?php if ($mainLayout =="2") {
								if($this->countModules('center')) : ?>
								<!-- Center Column -->
									<div id="centerCol" class="grid_<?php echo $centerCols; ?> <?php echo $mainWidth ?>">
											<div id="center" class="sidebar">
													<jdoc:include type="modules" name="center" style="jbChrome" />
											</div>
									</div>
								<!-- End Center Column -->
								<?php endif; 
								} ?>
								
									<?php if($this->countModules('right') || ($splitMenuRight && $splitMenu)) : ?>
								<!-- Right Column -->
									<div id="rightCol" class="grid_<?php echo $rightCols; ?> <?php echo $mainWidth ?> jblast">
									
											<div id="right" class="sidebar">
												
													<?php if ($splitMenu && $splitMenuRight) {
													
														$rightSplitMenu = Zengrid::getSplitMenu($splitMenuName, $splitMenuRightStart, $splitMenuRightEnd);
														if ($rightSplitMenu) {
														echo '<div id="jbSplitMenuRight">';
														echo '<h3>';
														echo $splitMenuRightTitle;
														echo '</h3>';
														echo $rightSplitMenu;
														echo '</div>';
														}
													}?>
													
													<jdoc:include type="modules" name="right" style="jbChrome" />
											</div>
									</div>
								<!-- End Right Column -->
								<?php endif; ?>
								</div>
								
								<div class="clear"></div>
								
								<?php if($this->countModules('below')) : ?>
								<!-- Below -->
									
											<div id="below"  class="<?php echo $mainWidth ?>">
													<jdoc:include type="modules" name="below" style="jbChrome" />
											</div>									
								
								<!-- End Below -->
								<div class="clear"></div>
								
								<?php endif; ?>
						</div>
				</div>
		</div>
</div>
<?php } ?>