<?php 
defined('_JEXEC') or die();

/**
 * @package		Joomla Bamboo Zen Grid Framework
 * @Type        Core Framework Files
 * @version		v2.0
 * @author		Joomlabamboo http://www.joomlabamboo.com
 * @copyright 	Copyright (C) 2007 - 2010 Joomla Bamboo
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

$doc = JFactory::getDocument();



/**
 * Array and logic for dealing with Google fonts and sending the values to the google font code at the bottom of the index.php file
 *
 * Zen Grid Framework v1.1
 *  
 */

	$googleFonts = array(
		'Abel' => 'Abel',
		'AbrilFatface' => 'Abril Fatface',
		'Aclonica' => 'Aclonica',
		'Acme' => 'Acme',
		'Actor' => 'Actor',
		'Adamina' => 'Adamina',
		'AguafinaScript' => 'Aguafina Script',
		'Aladin' => 'Aladin',
		'Aldrich' => 'Aldrich',
		'Alegreya' => 'Alegreya',
		'AlegreyaSC' => 'Alegreya SC',
		'AlexBrush' => 'Alex Brush',
		'AlfaSlabOne' => 'Alfa Slab One',
		'Alice' => 'Alice',
		'Alike' => 'Alike',
		'AlikeAngular' => 'Alike Angular',
		'Allan' => 'Allan',
		'Allerta' => 'Allerta',
		'AllertaStencil' => 'Allerta Stencil',
		'Almendra' => 'Almendra',
		'AlmendraSC' => 'Almendra SC',
		'Amaranth' => 'Amaranth',
		'AmaticSC' => 'Amatic SC',
		'Amethysta' => 'Amethysta',
		'Andada' => 'Andada',
		'Andika' => 'Andika',
		'Angkor' => 'Angkor',
		'AnnieUseYourTelescope' => 'Annie Use Your Telescope',
		'AnonymousPro' => 'Anonymous Pro',
		'Antic' => 'Antic',
		'Anton' => 'Anton',
		'Arapey' => 'Arapey',
		'Arbutus' => 'Arbutus',
		'ArchitectsDaughter' => 'Architects Daughter',
		'Arimo' => 'Arimo',
		'Arizonia' => 'Arizonia',
		'Armata' => 'Armata',
		'Artifika' => 'Artifika',
		'Arvo' => 'Arvo',
		'Asap' => 'Asap',
		'Asset' => 'Asset',
		'Astloch' => 'Astloch',
		'Asul' => 'Asul',
		'AtomicAge' => 'Atomic Age',
		'Aubrey' => 'Aubrey',
		'BadScript' => 'Bad Script',
		'Balthazar' => 'Balthazar',
		'Bangers' => 'Bangers',
		'Basic' => 'Basic',
		'Battambang' => 'Battambang',
		'Baumans' => 'Baumans',
		'Bayon' => 'Bayon',
		'Belgrano' => 'Belgrano',
		'Bentham' => 'Bentham',
		'Bevan' => 'Bevan',
		'BigshotOne' => 'Bigshot One',
		'Bilbo' => 'Bilbo',
		'BilboSwashCaps' => 'Bilbo Swash Caps',
		'Bitter' => 'Bitter',
		'BlackOpsOne' => 'Black Ops One',
		'Bokor' => 'Bokor',
		'Bonbon' => 'Bonbon',
		'Boogaloo' => 'Boogaloo',
		'BowlbyOne' => 'Bowlby One',
		'BowlbyOneSC' => 'Bowlby One SC',
		'Brawler' => 'Brawler',
		'BreeSerif' => 'Bree Serif',
		'BubblegumSans' => 'Bubblegum Sans',
		'Buda' => 'Buda',
		'Buenard' => 'Buenard',
		'Butcherman' => 'Butcherman',
		'Cabin' => 'Cabin',
		'CabinCondensed' => 'Cabin Condensed',
		'CabinSketch' => 'Cabin Sketch',
		'CaesarDressing' => 'Caesar Dressing',
		'Cagliostro' => 'Cagliostro',
		'Calligraffitti' => 'Calligraffitti',
		'Cambo' => 'Cambo',
		'Candal' => 'Candal',
		'Cantarell' => 'Cantarell',
		'Cardo' => 'Cardo',
		'Carme' => 'Carme',
		'CarterOne' => 'Carter One',
		'Caudex' => 'Caudex',
		'CedarvilleCursive' => 'Cedarville Cursive',
		'CevicheOne' => 'Ceviche One',
		'ChangaOne' => 'Changa One',
		'Chango' => 'Chango',
		'ChelseaMarket' => 'Chelsea Market',
		'Chenla' => 'Chenla',
		'CherryCreamSoda' => 'Cherry Cream Soda',
		'Chewy' => 'Chewy',
		'Chicle' => 'Chicle',
		'Chivo' => 'Chivo',
		'Coda' => 'Coda',
		'CodaCaption' => 'Coda Caption',
		'Comfortaa' => 'Comfortaa',
		'ComingSoon' => 'Coming Soon',
		'ConcertOne' => 'Concert One',
		'Condiment' => 'Condiment',
		'Content' => 'Content',
		'ContrailOne' => 'Contrail One',
		'Convergence' => 'Convergence',
		'Cookie' => 'Cookie',
		'Copse' => 'Copse',
		'Corben' => 'Corben',
		'Cousine' => 'Cousine',
		'Coustard' => 'Coustard',
		'CoveredByYourGrace' => 'Covered By Your Grace',
		'CraftyGirls' => 'Crafty Girls',
		'Creepster' => 'Creepster',
		'CreteRound' => 'Crete Round',
		'CrimsonText' => 'Crimson Text',
		'Crushed' => 'Crushed',
		'Cuprum' => 'Cuprum',
		'Damion' => 'Damion',
		'DancingScript' => 'Dancing Script',
		'Dangrek' => 'Dangrek',
		'DawningofaNewDay' => 'Dawning of a New Day',
		'DaysOne' => 'Days One',
		'Delius' => 'Delius',
		'DeliusSwashCaps' => 'Delius Swash Caps',
		'DeliusUnicase' => 'Delius Unicase',
		'Devonshire' => 'Devonshire',
		'DidactGothic' => 'Didact Gothic',
		'Diplomata' => 'Diplomata',
		'DiplomataSC' => 'Diplomata SC',
		'Dorsa' => 'Dorsa',
		'DrSugiyama' => 'Dr Sugiyama',
		'DroidSans' => 'Droid Sans',
		'DroidSansMono' => 'Droid Sans Mono',
		'DroidSerif' => 'Droid Serif',
		'DuruSans' => 'Duru Sans',
		'Dynalight' => 'Dynalight',
		'EBGaramond' => 'EB Garamond',
		'Eater' => 'Eater',
		'Electrolize' => 'Electrolize',
		'EmblemaOne' => 'Emblema One',
		'Engagement' => 'Engagement',
		'Enriqueta' => 'Enriqueta',
		'Esteban' => 'Esteban',
		'ExpletusSans' => 'Expletus Sans',
		'FanwoodText' => 'Fanwood Text',
		'Fascinate' => 'Fascinate',
		'FascinateInline' => 'Fascinate Inline',
		'Federant' => 'Federant',
		'Federo' => 'Federo',
		'FjordOne' => 'Fjord One',
		'Flamenco' => 'Flamenco',
		'Flavors' => 'Flavors',
		'Fondamento' => 'Fondamento',
		'FontdinerSwanky' => 'Fontdiner Swanky',
		'Forum' => 'Forum',
		'FrancoisOne' => 'Francois One',
		'FrederickatheGreat' => 'Fredericka the Great',
		'Freehand' => 'Freehand',
		'Fresca' => 'Fresca',
		'Frijole' => 'Frijole',
		'FugazOne' => 'Fugaz One',
		'GFSDidot' => 'GFS Didot',
		'GFSNeohellenic' => 'GFS Neohellenic',
		'Galdeano' => 'Galdeano',
		'GentiumBasic' => 'Gentium Basic',
		'GentiumBookBasic' => 'Gentium Book Basic',
		'Geo' => 'Geo',
		'Geostar' => 'Geostar',
		'GeostarFill' => 'Geostar Fill',
		'GermaniaOne' => 'Germania One',
		'GiveYouGlory' => 'Give You Glory',
		'Glegoo' => 'Glegoo',
		'GloriaHallelujah' => 'Gloria Hallelujah',
		'GoblinOne' => 'Goblin One',
		'GochiHand' => 'Gochi Hand',
		'GoudyBookletter1911' => 'Goudy Bookletter 1911',
		'GravitasOne' => 'Gravitas One',
		'Gruppo' => 'Gruppo',
		'Gudea' => 'Gudea',
		'Habibi' => 'Habibi',
		'HammersmithOne' => 'Hammersmith One',
		'Handlee' => 'Handlee',
		'Hanuman' => 'Hanuman',
		'HerrVonMuellerhoff' => 'Herr Von Muellerhoff',
		'HoltwoodOneSC' => 'Holtwood One SC',
		'HomemadeApple' => 'Homemade Apple',
		'Homenaje' => 'Homenaje',
		'IMFellDWPica' => 'IM Fell DW Pica',
		'IMFellDWPicaSC' => 'IM Fell DW Pica SC',
		'IMFellDoublePica' => 'IM Fell Double Pica',
		'IMFellDoublePicaSC' => 'IM Fell Double Pica SC',
		'IMFellEnglish' => 'IM Fell English',
		'IMFellEnglishSC' => 'IM Fell English SC',
		'IMFellFrenchCanon' => 'IM Fell French Canon',
		'IMFellFrenchCanonSC' => 'IM Fell French Canon SC',
		'IMFellGreatPrimer' => 'IM Fell Great Primer',
		'IMFellGreatPrimerSC' => 'IM Fell Great Primer SC',
		'Iceberg' => 'Iceberg',
		'Iceland' => 'Iceland',
		'Inconsolata' => 'Inconsolata',
		'Inder' => 'Inder',
		'IndieFlower' => 'Indie Flower',
		'Inika' => 'Inika',
		'IrishGrover' => 'Irish Grover',
		'IstokWeb' => 'Istok Web',
		'Italianno' => 'Italianno',
		'JimNightshade' => 'Jim Nightshade',
		'JockeyOne' => 'Jockey One',
		'JosefinSans' => 'Josefin Sans',
		'JosefinSlab' => 'Josefin Slab',
		'Judson' => 'Judson',
		'Julee' => 'Julee',
		'Junge' => 'Junge',
		'Jura' => 'Jura',
		'JustAnotherHand' => 'Just Another Hand',
		'JustMeAgainDownHere' => 'Just Me Again Down Here',
		'Kameron' => 'Kameron',
		'KaushanScript' => 'Kaushan Script',
		'KellySlab' => 'Kelly Slab',
		'Kenia' => 'Kenia',
		'Khmer' => 'Khmer',
		'Knewave' => 'Knewave',
		'KottaOne' => 'Kotta One',
		'Koulen' => 'Koulen',
		'Kranky' => 'Kranky',
		'Kreon' => 'Kreon',
		'Kristi' => 'Kristi',
		'LaBelleAurore' => 'La Belle Aurore',
		'Lancelot' => 'Lancelot',
		'Lato' => 'Lato',
		'LeagueScript' => 'League Script',
		'LeckerliOne' => 'Leckerli One',
		'Lekton' => 'Lekton',
		'Lemon' => 'Lemon',
		'LilitaOne' => 'Lilita One',
		'Limelight' => 'Limelight',
		'LindenHill' => 'Linden Hill',
		'Lobster' => 'Lobster',
		'LobsterTwo' => 'Lobster Two',
		'Lora' => 'Lora',
		'LoveYaLikeASister' => 'Love Ya Like A Sister',
		'LovedbytheKing' => 'Loved by the King',
		'LuckiestGuy' => 'Luckiest Guy',
		'Lusitana' => 'Lusitana',
		'Lustria' => 'Lustria',
		'Macondo' => 'Macondo',
		'MacondoSwashCaps' => 'Macondo Swash Caps',
		'Magra' => 'Magra',
		'MaidenOrange' => 'Maiden Orange',
		'Mako' => 'Mako',
		'MarckScript' => 'Marck Script',
		'MarkoOne' => 'Marko One',
		'Marmelad' => 'Marmelad',
		'Marvel' => 'Marvel',
		'Mate' => 'Mate',
		'MateSC' => 'Mate SC',
		'MavenPro' => 'Maven Pro',
		'Meddon' => 'Meddon',
		'MedievalSharp' => 'MedievalSharp',
		'MedulaOne' => 'Medula One',
		'Megrim' => 'Megrim',
		'MeriendaOne' => 'Merienda One',
		'Merriweather' => 'Merriweather',
		'Metal' => 'Metal',
		'Metamorphous' => 'Metamorphous',
		'Metrophobic' => 'Metrophobic',
		'Michroma' => 'Michroma',
		'Miltonian' => 'Miltonian',
		'MiltonianTattoo' => 'Miltonian Tattoo',
		'Miniver' => 'Miniver',
		'MissFajardose' => 'Miss Fajardose',
		'ModernAntiqua' => 'Modern Antiqua',
		'Molengo' => 'Molengo',
		'Monofett' => 'Monofett',
		'Monoton' => 'Monoton',
		'MonsieurLaDoulaise' => 'Monsieur La Doulaise',
		'Montaga' => 'Montaga',
		'Montez' => 'Montez',
		'Montserrat' => 'Montserrat',
		'Moul' => 'Moul',
		'Moulpali' => 'Moulpali',
		'MountainsofChristmas' => 'Mountains of Christmas',
		'MrBedfort' => 'Mr Bedfort',
		'MrDafoe' => 'Mr Dafoe',
		'MrDeHaviland' => 'Mr De Haviland',
		'MrsSaintDelafield' => 'Mrs Saint Delafield',
		'MrsSheppards' => 'Mrs Sheppards',
		'Muli' => 'Muli',
		'Neucha' => 'Neucha',
		'Neuton' => 'Neuton',
		'NewsCycle' => 'News Cycle',
		'Niconne' => 'Niconne',
		'NixieOne' => 'Nixie One',
		'Nobile' => 'Nobile',
		'Nokora' => 'Nokora',
		'Nosifer' => 'Nosifer',
		'NothingYouCouldDo' => 'Nothing You Could Do',
		'NoticiaText' => 'Noticia Text',
		'NovaCut' => 'Nova Cut',
		'NovaFlat' => 'Nova Flat',
		'NovaMono' => 'Nova Mono',
		'NovaOval' => 'Nova Oval',
		'NovaRound' => 'Nova Round',
		'NovaScript' => 'Nova Script',
		'NovaSlim' => 'Nova Slim',
		'NovaSquare' => 'Nova Square',
		'Numans' => 'Numans',
		'Nunito' => 'Nunito',
		'OdorMeanChey' => 'Odor Mean Chey',
		'OldStandardTT' => 'Old Standard TT',
		'Oldenburg' => 'Oldenburg',
		'OpenSans' => 'Open Sans',
		'OpenSansCondensed' => 'Open Sans Condensed',
		'Orbitron' => 'Orbitron',
		'OriginalSurfer' => 'Original Surfer',
		'Oswald' => 'Oswald',
		'OvertheRainbow' => 'Over the Rainbow',
		'Overlock' => 'Overlock',
		'OverlockSC' => 'Overlock SC',
		'Ovo' => 'Ovo',
		'PTSans' => 'PT Sans',
		'PTSansCaption' => 'PT Sans Caption',
		'PTSansNarrow' => 'PT Sans Narrow',
		'PTSerif' => 'PT Serif',
		'PTSerifCaption' => 'PT Serif Caption',
		'Pacifico' => 'Pacifico',
		'Parisienne' => 'Parisienne',
		'PasseroOne' => 'Passero One',
		'PassionOne' => 'Passion One',
		'PatrickHand' => 'Patrick Hand',
		'PatuaOne' => 'Patua One',
		'PaytoneOne' => 'Paytone One',
		'PermanentMarker' => 'Permanent Marker',
		'Petrona' => 'Petrona',
		'Philosopher' => 'Philosopher',
		'Piedra' => 'Piedra',
		'PinyonScript' => 'Pinyon Script',
		'Plaster' => 'Plaster',
		'Play' => 'Play',
		'Playball' => 'Playball',
		'PlayfairDisplay' => 'Playfair Display',
		'Podkova' => 'Podkova',
		'PollerOne' => 'Poller One',
		'Poly' => 'Poly',
		'Pompiere' => 'Pompiere',
		'PortLligatSans' => 'Port Lligat Sans',
		'PortLligatSlab' => 'Port Lligat Slab',
		'Prata' => 'Prata',
		'Preahvihear' => 'Preahvihear',
		'Prociono' => 'Prociono',
		'Puritan' => 'Puritan',
		'Quantico' => 'Quantico',
		'Quattrocento' => 'Quattrocento',
		'QuattrocentoSans' => 'Quattrocento Sans',
		'Questrial' => 'Questrial',
		'Quicksand' => 'Quicksand',
		'Qwigley' => 'Qwigley',
		'Radley' => 'Radley',
		'Raleway' => 'Raleway',
		'RammettoOne' => 'Rammetto One',
		'Rancho' => 'Rancho',
		'Rationale' => 'Rationale',
		'Redressed' => 'Redressed',
		'ReenieBeanie' => 'Reenie Beanie',
		'Ribeye' => 'Ribeye',
		'RibeyeMarrow' => 'Ribeye Marrow',
		'Righteous' => 'Righteous',
		'Rochester' => 'Rochester',
		'RockSalt' => 'Rock Salt',
		'Rokkitt' => 'Rokkitt',
		'RopaSans' => 'Ropa Sans',
		'Rosario' => 'Rosario',
		'RougeScript' => 'Rouge Script',
		'Ruda' => 'Ruda',
		'RugeBoogie' => 'Ruge Boogie',
		'Ruluko' => 'Ruluko',
		'RuslanDisplay' => 'Ruslan Display',
		'Ruthie' => 'Ruthie',
		'Sail' => 'Sail',
		'Salsa' => 'Salsa',
		'Sancreek' => 'Sancreek',
		'SansitaOne' => 'Sansita One',
		'Sarina' => 'Sarina',
		'Satisfy' => 'Satisfy',
		'Schoolbell' => 'Schoolbell',
		'ShadowsIntoLight' => 'Shadows Into Light',
		'Shanti' => 'Shanti',
		'Shojumaru' => 'Shojumaru',
		'ShortStack' => 'Short Stack',
		'Siemreap' => 'Siemreap',
		'SigmarOne' => 'Sigmar One',
		'Signika' => 'Signika',
		'SignikaNegative' => 'Signika Negative',
		'SirinStencil' => 'Sirin Stencil',
		'SixCaps' => 'Six Caps',
		'Slackey' => 'Slackey',
		'Smokum' => 'Smokum',
		'Smythe' => 'Smythe',
		'Sniglet' => 'Sniglet',
		'Snippet' => 'Snippet',
		'Sofia' => 'Sofia',
		'SonsieOne' => 'Sonsie One',
		'SortsMillGoudy' => 'Sorts Mill Goudy',
		'SpecialElite' => 'Special Elite',
		'SpicyRice' => 'Spicy Rice',
		'Spinnaker' => 'Spinnaker',
		'Spirax' => 'Spirax',
		'SquadaOne' => 'Squada One',
		'StardosStencil' => 'Stardos Stencil',
		'StintUltraCondensed' => 'Stint Ultra Condensed',
		'Stoke' => 'Stoke',
		'SueEllenFrancisco' => 'Sue Ellen Francisco',
		'Sunshiney' => 'Sunshiney',
		'SupermercadoOne' => 'Supermercado One',
		'Suwannaphum' => 'Suwannaphum',
		'SwankyandMooMoo' => 'Swanky and Moo Moo',
		'Syncopate' => 'Syncopate',
		'Tangerine' => 'Tangerine',
		'Taprom' => 'Taprom',
		'Telex' => 'Telex',
		'TenorSans' => 'Tenor Sans',
		'TerminalDosis' => 'Terminal Dosis',
		'TheGirlNextDoor' => 'The Girl Next Door',
		'Tienne' => 'Tienne',
		'Tinos' => 'Tinos',
		'TitanOne' => 'Titan One',
		'TradeWinds' => 'Trade Winds',
		'Trochut' => 'Trochut',
		'Trykker' => 'Trykker',
		'TulpenOne' => 'Tulpen One',
		'Ubuntu' => 'Ubuntu',
		'UbuntuCondensed' => 'Ubuntu Condensed',
		'UbuntuMono' => 'Ubuntu Mono',
		'Ultra' => 'Ultra',
		'UncialAntiqua' => 'Uncial Antiqua',
		'UnifrakturCook' => 'UnifrakturCook',
		'UnifrakturMaguntia' => 'UnifrakturMaguntia',
		'Unkempt' => 'Unkempt',
		'Unlock' => 'Unlock',
		'Unna' => 'Unna',
		'VT323' => 'VT323',
		'Varela' => 'Varela',
		'VarelaRound' => 'Varela Round',
		'VastShadow' => 'Vast Shadow',
		'Vibur' => 'Vibur',
		'Vidaloka' => 'Vidaloka',
		'Viga' => 'Viga',
		'Volkhov' => 'Volkhov',
		'Vollkorn' => 'Vollkorn',
		'Voltaire' => 'Voltaire',
		'WaitingfortheSunrise' => 'Waiting for the Sunrise',
		'Wallpoet' => 'Wallpoet',
		'WalterTurncoat' => 'Walter Turncoat',
		'Wellfleet' => 'Wellfleet',
		'WireOne' => 'Wire One',
		'YanoneKaffeesatz' => 'Yanone Kaffeesatz',
		'Yellowtail' => 'Yellowtail',
		'YesevaOne' => 'Yeseva One',
		'Yesteryear' => 'Yesteryear',
		'Zeyada' => 'Zeyada'
	);
	
	
	// Swaps out the correct values to render the correct files from the google api.
	$fontreplaceBody = array_key_exists($fontStackBody,$googleFonts) ? $googleFonts[$fontStackBody] : '';
	$fontreplaceNav = array_key_exists($fontStackNav,$googleFonts) ? $googleFonts[$fontStackNav] : '';
	$fontreplaceHeading = array_key_exists($fontStackHeading,$googleFonts) ? $googleFonts[$fontStackHeading] : '';

	if ($logoType =="text") {
		$fontreplaceLogo = array_key_exists($fontStackLogo,$googleFonts) ? $googleFonts[$fontStackLogo] : '';
	}
	elseif ($logoType =="image") {
		$fontreplaceLogo ="";	
	}



/**
 * Array for creating the font.css file
 *
 * Zen Grid Framework v1.1
 *  
 */
		$fontCss = array(
			"courier" => "Courier new, Courier, Andale Mono",
			"helvetica" => "sans-serif",
			"baskerville" => "Baskerville, Palatino, Palatino Linotype, Georgia, Serif",
			"geneva" => "Geneva, Lucida Sans, Lucida Grande, Lucida Sans Unicode, Verdana, sans-serif",
			"gillsans" => "GillSans, Calibri, Trebuchet, arial sans-serif",
			"cambria" => "Cambria, Georgia, Times, Times New Roman, serif",
			"lucida" => "Lucida Grande, Geneva, Helvetica, sans-serif",
			"caslon" => "Adobe Caslon Pro, Georgia, Garamond, Times, serif",
			"tahoma" => "Tahoma, Verdana, Geneva",
			"trebuchet" => "trebuchet ms, Tahoma, Arial, sans-serif",
			"palatino" => "Palatino, Palatino Linotype, Hoefler Text, Times, Times New Roman, serif",
			"georgia" => "Georgia, Times, Times New Roman, serif",
			"garamond" => "Garamond, Hoefler Text, Times New Roman, Times, serif",
				'Abel' => 'Abel',
				'AbrilFatface' => 'Abril Fatface',
				'Aclonica' => 'Aclonica',
				'Acme' => 'Acme',
				'Actor' => 'Actor',
				'Adamina' => 'Adamina',
				'AguafinaScript' => 'Aguafina Script',
				'Aladin' => 'Aladin',
				'Aldrich' => 'Aldrich',
				'Alegreya' => 'Alegreya',
				'AlegreyaSC' => 'Alegreya SC',
				'AlexBrush' => 'Alex Brush',
				'AlfaSlabOne' => 'Alfa Slab One',
				'Alice' => 'Alice',
				'Alike' => 'Alike',
				'AlikeAngular' => 'Alike Angular',
				'Allan' => 'Allan',
				'Allerta' => 'Allerta',
				'AllertaStencil' => 'Allerta Stencil',
				'Almendra' => 'Almendra',
				'AlmendraSC' => 'Almendra SC',
				'Amaranth' => 'Amaranth',
				'AmaticSC' => 'Amatic SC',
				'Amethysta' => 'Amethysta',
				'Andada' => 'Andada',
				'Andika' => 'Andika',
				'Angkor' => 'Angkor',
				'AnnieUseYourTelescope' => 'Annie Use Your Telescope',
				'AnonymousPro' => 'Anonymous Pro',
				'Antic' => 'Antic',
				'Anton' => 'Anton',
				'Arapey' => 'Arapey',
				'Arbutus' => 'Arbutus',
				'ArchitectsDaughter' => 'Architects Daughter',
				'Arimo' => 'Arimo',
				'Arizonia' => 'Arizonia',
				'Armata' => 'Armata',
				'Artifika' => 'Artifika',
				'Arvo' => 'Arvo',
				'Asap' => 'Asap',
				'Asset' => 'Asset',
				'Astloch' => 'Astloch',
				'Asul' => 'Asul',
				'AtomicAge' => 'Atomic Age',
				'Aubrey' => 'Aubrey',
				'BadScript' => 'Bad Script',
				'Balthazar' => 'Balthazar',
				'Bangers' => 'Bangers',
				'Basic' => 'Basic',
				'Battambang' => 'Battambang',
				'Baumans' => 'Baumans',
				'Bayon' => 'Bayon',
				'Belgrano' => 'Belgrano',
				'Bentham' => 'Bentham',
				'Bevan' => 'Bevan',
				'BigshotOne' => 'Bigshot One',
				'Bilbo' => 'Bilbo',
				'BilboSwashCaps' => 'Bilbo Swash Caps',
				'Bitter' => 'Bitter',
				'BlackOpsOne' => 'Black Ops One',
				'Bokor' => 'Bokor',
				'Bonbon' => 'Bonbon',
				'Boogaloo' => 'Boogaloo',
				'BowlbyOne' => 'Bowlby One',
				'BowlbyOneSC' => 'Bowlby One SC',
				'Brawler' => 'Brawler',
				'BreeSerif' => 'Bree Serif',
				'BubblegumSans' => 'Bubblegum Sans',
				'Buda' => 'Buda',
				'Buenard' => 'Buenard',
				'Butcherman' => 'Butcherman',
				'Cabin' => 'Cabin',
				'CabinCondensed' => 'Cabin Condensed',
				'CabinSketch' => 'Cabin Sketch',
				'CaesarDressing' => 'Caesar Dressing',
				'Cagliostro' => 'Cagliostro',
				'Calligraffitti' => 'Calligraffitti',
				'Cambo' => 'Cambo',
				'Candal' => 'Candal',
				'Cantarell' => 'Cantarell',
				'Cardo' => 'Cardo',
				'Carme' => 'Carme',
				'CarterOne' => 'Carter One',
				'Caudex' => 'Caudex',
				'CedarvilleCursive' => 'Cedarville Cursive',
				'CevicheOne' => 'Ceviche One',
				'ChangaOne' => 'Changa One',
				'Chango' => 'Chango',
				'ChelseaMarket' => 'Chelsea Market',
				'Chenla' => 'Chenla',
				'CherryCreamSoda' => 'Cherry Cream Soda',
				'Chewy' => 'Chewy',
				'Chicle' => 'Chicle',
				'Chivo' => 'Chivo',
				'Coda' => 'Coda',
				'CodaCaption' => 'Coda Caption',
				'Comfortaa' => 'Comfortaa',
				'ComingSoon' => 'Coming Soon',
				'ConcertOne' => 'Concert One',
				'Condiment' => 'Condiment',
				'Content' => 'Content',
				'ContrailOne' => 'Contrail One',
				'Convergence' => 'Convergence',
				'Cookie' => 'Cookie',
				'Copse' => 'Copse',
				'Corben' => 'Corben',
				'Cousine' => 'Cousine',
				'Coustard' => 'Coustard',
				'CoveredByYourGrace' => 'Covered By Your Grace',
				'CraftyGirls' => 'Crafty Girls',
				'Creepster' => 'Creepster',
				'CreteRound' => 'Crete Round',
				'CrimsonText' => 'Crimson Text',
				'Crushed' => 'Crushed',
				'Cuprum' => 'Cuprum',
				'Damion' => 'Damion',
				'DancingScript' => 'Dancing Script',
				'Dangrek' => 'Dangrek',
				'DawningofaNewDay' => 'Dawning of a New Day',
				'DaysOne' => 'Days One',
				'Delius' => 'Delius',
				'DeliusSwashCaps' => 'Delius Swash Caps',
				'DeliusUnicase' => 'Delius Unicase',
				'Devonshire' => 'Devonshire',
				'DidactGothic' => 'Didact Gothic',
				'Diplomata' => 'Diplomata',
				'DiplomataSC' => 'Diplomata SC',
				'Dorsa' => 'Dorsa',
				'DrSugiyama' => 'Dr Sugiyama',
				'DroidSans' => 'Droid Sans',
				'DroidSansMono' => 'Droid Sans Mono',
				'DroidSerif' => 'Droid Serif',
				'DuruSans' => 'Duru Sans',
				'Dynalight' => 'Dynalight',
				'EBGaramond' => 'EB Garamond',
				'Eater' => 'Eater',
				'Electrolize' => 'Electrolize',
				'EmblemaOne' => 'Emblema One',
				'Engagement' => 'Engagement',
				'Enriqueta' => 'Enriqueta',
				'Esteban' => 'Esteban',
				'ExpletusSans' => 'Expletus Sans',
				'FanwoodText' => 'Fanwood Text',
				'Fascinate' => 'Fascinate',
				'FascinateInline' => 'Fascinate Inline',
				'Federant' => 'Federant',
				'Federo' => 'Federo',
				'FjordOne' => 'Fjord One',
				'Flamenco' => 'Flamenco',
				'Flavors' => 'Flavors',
				'Fondamento' => 'Fondamento',
				'FontdinerSwanky' => 'Fontdiner Swanky',
				'Forum' => 'Forum',
				'FrancoisOne' => 'Francois One',
				'FrederickatheGreat' => 'Fredericka the Great',
				'Freehand' => 'Freehand',
				'Fresca' => 'Fresca',
				'Frijole' => 'Frijole',
				'FugazOne' => 'Fugaz One',
				'GFSDidot' => 'GFS Didot',
				'GFSNeohellenic' => 'GFS Neohellenic',
				'Galdeano' => 'Galdeano',
				'GentiumBasic' => 'Gentium Basic',
				'GentiumBookBasic' => 'Gentium Book Basic',
				'Geo' => 'Geo',
				'Geostar' => 'Geostar',
				'GeostarFill' => 'Geostar Fill',
				'GermaniaOne' => 'Germania One',
				'GiveYouGlory' => 'Give You Glory',
				'Glegoo' => 'Glegoo',
				'GloriaHallelujah' => 'Gloria Hallelujah',
				'GoblinOne' => 'Goblin One',
				'GochiHand' => 'Gochi Hand',
				'GoudyBookletter1911' => 'Goudy Bookletter 1911',
				'GravitasOne' => 'Gravitas One',
				'Gruppo' => 'Gruppo',
				'Gudea' => 'Gudea',
				'Habibi' => 'Habibi',
				'HammersmithOne' => 'Hammersmith One',
				'Handlee' => 'Handlee',
				'Hanuman' => 'Hanuman',
				'HerrVonMuellerhoff' => 'Herr Von Muellerhoff',
				'HoltwoodOneSC' => 'Holtwood One SC',
				'HomemadeApple' => 'Homemade Apple',
				'Homenaje' => 'Homenaje',
				'IMFellDWPica' => 'IM Fell DW Pica',
				'IMFellDWPicaSC' => 'IM Fell DW Pica SC',
				'IMFellDoublePica' => 'IM Fell Double Pica',
				'IMFellDoublePicaSC' => 'IM Fell Double Pica SC',
				'IMFellEnglish' => 'IM Fell English',
				'IMFellEnglishSC' => 'IM Fell English SC',
				'IMFellFrenchCanon' => 'IM Fell French Canon',
				'IMFellFrenchCanonSC' => 'IM Fell French Canon SC',
				'IMFellGreatPrimer' => 'IM Fell Great Primer',
				'IMFellGreatPrimerSC' => 'IM Fell Great Primer SC',
				'Iceberg' => 'Iceberg',
				'Iceland' => 'Iceland',
				'Inconsolata' => 'Inconsolata',
				'Inder' => 'Inder',
				'IndieFlower' => 'Indie Flower',
				'Inika' => 'Inika',
				'IrishGrover' => 'Irish Grover',
				'IstokWeb' => 'Istok Web',
				'Italianno' => 'Italianno',
				'JimNightshade' => 'Jim Nightshade',
				'JockeyOne' => 'Jockey One',
				'JosefinSans' => 'Josefin Sans',
				'JosefinSlab' => 'Josefin Slab',
				'Judson' => 'Judson',
				'Julee' => 'Julee',
				'Junge' => 'Junge',
				'Jura' => 'Jura',
				'JustAnotherHand' => 'Just Another Hand',
				'JustMeAgainDownHere' => 'Just Me Again Down Here',
				'Kameron' => 'Kameron',
				'KaushanScript' => 'Kaushan Script',
				'KellySlab' => 'Kelly Slab',
				'Kenia' => 'Kenia',
				'Khmer' => 'Khmer',
				'Knewave' => 'Knewave',
				'KottaOne' => 'Kotta One',
				'Koulen' => 'Koulen',
				'Kranky' => 'Kranky',
				'Kreon' => 'Kreon',
				'Kristi' => 'Kristi',
				'LaBelleAurore' => 'La Belle Aurore',
				'Lancelot' => 'Lancelot',
				'Lato' => 'Lato',
				'LeagueScript' => 'League Script',
				'LeckerliOne' => 'Leckerli One',
				'Lekton' => 'Lekton',
				'Lemon' => 'Lemon',
				'LilitaOne' => 'Lilita One',
				'Limelight' => 'Limelight',
				'LindenHill' => 'Linden Hill',
				'Lobster' => 'Lobster',
				'LobsterTwo' => 'Lobster Two',
				'Lora' => 'Lora',
				'LoveYaLikeASister' => 'Love Ya Like A Sister',
				'LovedbytheKing' => 'Loved by the King',
				'LuckiestGuy' => 'Luckiest Guy',
				'Lusitana' => 'Lusitana',
				'Lustria' => 'Lustria',
				'Macondo' => 'Macondo',
				'MacondoSwashCaps' => 'Macondo Swash Caps',
				'Magra' => 'Magra',
				'MaidenOrange' => 'Maiden Orange',
				'Mako' => 'Mako',
				'MarckScript' => 'Marck Script',
				'MarkoOne' => 'Marko One',
				'Marmelad' => 'Marmelad',
				'Marvel' => 'Marvel',
				'Mate' => 'Mate',
				'MateSC' => 'Mate SC',
				'MavenPro' => 'Maven Pro',
				'Meddon' => 'Meddon',
				'MedievalSharp' => 'MedievalSharp',
				'MedulaOne' => 'Medula One',
				'Megrim' => 'Megrim',
				'MeriendaOne' => 'Merienda One',
				'Merriweather' => 'Merriweather',
				'Metal' => 'Metal',
				'Metamorphous' => 'Metamorphous',
				'Metrophobic' => 'Metrophobic',
				'Michroma' => 'Michroma',
				'Miltonian' => 'Miltonian',
				'MiltonianTattoo' => 'Miltonian Tattoo',
				'Miniver' => 'Miniver',
				'MissFajardose' => 'Miss Fajardose',
				'ModernAntiqua' => 'Modern Antiqua',
				'Molengo' => 'Molengo',
				'Monofett' => 'Monofett',
				'Monoton' => 'Monoton',
				'MonsieurLaDoulaise' => 'Monsieur La Doulaise',
				'Montaga' => 'Montaga',
				'Montez' => 'Montez',
				'Montserrat' => 'Montserrat',
				'Moul' => 'Moul',
				'Moulpali' => 'Moulpali',
				'MountainsofChristmas' => 'Mountains of Christmas',
				'MrBedfort' => 'Mr Bedfort',
				'MrDafoe' => 'Mr Dafoe',
				'MrDeHaviland' => 'Mr De Haviland',
				'MrsSaintDelafield' => 'Mrs Saint Delafield',
				'MrsSheppards' => 'Mrs Sheppards',
				'Muli' => 'Muli',
				'Neucha' => 'Neucha',
				'Neuton' => 'Neuton',
				'NewsCycle' => 'News Cycle',
				'Niconne' => 'Niconne',
				'NixieOne' => 'Nixie One',
				'Nobile' => 'Nobile',
				'Nokora' => 'Nokora',
				'Nosifer' => 'Nosifer',
				'NothingYouCouldDo' => 'Nothing You Could Do',
				'NoticiaText' => 'Noticia Text',
				'NovaCut' => 'Nova Cut',
				'NovaFlat' => 'Nova Flat',
				'NovaMono' => 'Nova Mono',
				'NovaOval' => 'Nova Oval',
				'NovaRound' => 'Nova Round',
				'NovaScript' => 'Nova Script',
				'NovaSlim' => 'Nova Slim',
				'NovaSquare' => 'Nova Square',
				'Numans' => 'Numans',
				'Nunito' => 'Nunito',
				'OdorMeanChey' => 'Odor Mean Chey',
				'OldStandardTT' => 'Old Standard TT',
				'Oldenburg' => 'Oldenburg',
				'OpenSans' => 'Open Sans',
				'OpenSansCondensed' => 'Open Sans Condensed',
				'Orbitron' => 'Orbitron',
				'OriginalSurfer' => 'Original Surfer',
				'Oswald' => 'Oswald',
				'OvertheRainbow' => 'Over the Rainbow',
				'Overlock' => 'Overlock',
				'OverlockSC' => 'Overlock SC',
				'Ovo' => 'Ovo',
				'PTSans' => 'PT Sans',
				'PTSansCaption' => 'PT Sans Caption',
				'PTSansNarrow' => 'PT Sans Narrow',
				'PTSerif' => 'PT Serif',
				'PTSerifCaption' => 'PT Serif Caption',
				'Pacifico' => 'Pacifico',
				'Parisienne' => 'Parisienne',
				'PasseroOne' => 'Passero One',
				'PassionOne' => 'Passion One',
				'PatrickHand' => 'Patrick Hand',
				'PatuaOne' => 'Patua One',
				'PaytoneOne' => 'Paytone One',
				'PermanentMarker' => 'Permanent Marker',
				'Petrona' => 'Petrona',
				'Philosopher' => 'Philosopher',
				'Piedra' => 'Piedra',
				'PinyonScript' => 'Pinyon Script',
				'Plaster' => 'Plaster',
				'Play' => 'Play',
				'Playball' => 'Playball',
				'PlayfairDisplay' => 'Playfair Display',
				'Podkova' => 'Podkova',
				'PollerOne' => 'Poller One',
				'Poly' => 'Poly',
				'Pompiere' => 'Pompiere',
				'PortLligatSans' => 'Port Lligat Sans',
				'PortLligatSlab' => 'Port Lligat Slab',
				'Prata' => 'Prata',
				'Preahvihear' => 'Preahvihear',
				'Prociono' => 'Prociono',
				'Puritan' => 'Puritan',
				'Quantico' => 'Quantico',
				'Quattrocento' => 'Quattrocento',
				'QuattrocentoSans' => 'Quattrocento Sans',
				'Questrial' => 'Questrial',
				'Quicksand' => 'Quicksand',
				'Qwigley' => 'Qwigley',
				'Radley' => 'Radley',
				'Raleway' => 'Raleway',
				'RammettoOne' => 'Rammetto One',
				'Rancho' => 'Rancho',
				'Rationale' => 'Rationale',
				'Redressed' => 'Redressed',
				'ReenieBeanie' => 'Reenie Beanie',
				'Ribeye' => 'Ribeye',
				'RibeyeMarrow' => 'Ribeye Marrow',
				'Righteous' => 'Righteous',
				'Rochester' => 'Rochester',
				'RockSalt' => 'Rock Salt',
				'Rokkitt' => 'Rokkitt',
				'RopaSans' => 'Ropa Sans',
				'Rosario' => 'Rosario',
				'RougeScript' => 'Rouge Script',
				'Ruda' => 'Ruda',
				'RugeBoogie' => 'Ruge Boogie',
				'Ruluko' => 'Ruluko',
				'RuslanDisplay' => 'Ruslan Display',
				'Ruthie' => 'Ruthie',
				'Sail' => 'Sail',
				'Salsa' => 'Salsa',
				'Sancreek' => 'Sancreek',
				'SansitaOne' => 'Sansita One',
				'Sarina' => 'Sarina',
				'Satisfy' => 'Satisfy',
				'Schoolbell' => 'Schoolbell',
				'ShadowsIntoLight' => 'Shadows Into Light',
				'Shanti' => 'Shanti',
				'Shojumaru' => 'Shojumaru',
				'ShortStack' => 'Short Stack',
				'Siemreap' => 'Siemreap',
				'SigmarOne' => 'Sigmar One',
				'Signika' => 'Signika',
				'SignikaNegative' => 'Signika Negative',
				'SirinStencil' => 'Sirin Stencil',
				'SixCaps' => 'Six Caps',
				'Slackey' => 'Slackey',
				'Smokum' => 'Smokum',
				'Smythe' => 'Smythe',
				'Sniglet' => 'Sniglet',
				'Snippet' => 'Snippet',
				'Sofia' => 'Sofia',
				'SonsieOne' => 'Sonsie One',
				'SortsMillGoudy' => 'Sorts Mill Goudy',
				'SpecialElite' => 'Special Elite',
				'SpicyRice' => 'Spicy Rice',
				'Spinnaker' => 'Spinnaker',
				'Spirax' => 'Spirax',
				'SquadaOne' => 'Squada One',
				'StardosStencil' => 'Stardos Stencil',
				'StintUltraCondensed' => 'Stint Ultra Condensed',
				'Stoke' => 'Stoke',
				'SueEllenFrancisco' => 'Sue Ellen Francisco',
				'Sunshiney' => 'Sunshiney',
				'SupermercadoOne' => 'Supermercado One',
				'Suwannaphum' => 'Suwannaphum',
				'SwankyandMooMoo' => 'Swanky and Moo Moo',
				'Syncopate' => 'Syncopate',
				'Tangerine' => 'Tangerine',
				'Taprom' => 'Taprom',
				'Telex' => 'Telex',
				'TenorSans' => 'Tenor Sans',
				'TerminalDosis' => 'Terminal Dosis',
				'TheGirlNextDoor' => 'The Girl Next Door',
				'Tienne' => 'Tienne',
				'Tinos' => 'Tinos',
				'TitanOne' => 'Titan One',
				'TradeWinds' => 'Trade Winds',
				'Trochut' => 'Trochut',
				'Trykker' => 'Trykker',
				'TulpenOne' => 'Tulpen One',
				'Ubuntu' => 'Ubuntu',
				'UbuntuCondensed' => 'Ubuntu Condensed',
				'UbuntuMono' => 'Ubuntu Mono',
				'Ultra' => 'Ultra',
				'UncialAntiqua' => 'Uncial Antiqua',
				'UnifrakturCook' => 'UnifrakturCook',
				'UnifrakturMaguntia' => 'UnifrakturMaguntia',
				'Unkempt' => 'Unkempt',
				'Unlock' => 'Unlock',
				'Unna' => 'Unna',
				'VT323' => 'VT323',
				'Varela' => 'Varela',
				'VarelaRound' => 'Varela Round',
				'VastShadow' => 'Vast Shadow',
				'Vibur' => 'Vibur',
				'Vidaloka' => 'Vidaloka',
				'Viga' => 'Viga',
				'Volkhov' => 'Volkhov',
				'Vollkorn' => 'Vollkorn',
				'Voltaire' => 'Voltaire',
				'WaitingfortheSunrise' => 'Waiting for the Sunrise',
				'Wallpoet' => 'Wallpoet',
				'WalterTurncoat' => 'Walter Turncoat',
				'Wellfleet' => 'Wellfleet',
				'WireOne' => 'Wire One',
				'YanoneKaffeesatz' => 'Yanone Kaffeesatz',
				'Yellowtail' => 'Yellowtail',
				'YesevaOne' => 'Yeseva One',
				'Yesteryear' => 'Yesteryear',
				'Zeyada' => 'Zeyada'
		);
		
		
		// Swaps out the correct values to render the correct font-family names for the stylesheet 
		$fontCssreplaceBody = array_key_exists($fontStackBody,$fontCss) ? $fontCss[$fontStackBody] : '';
		$fontCssreplaceNav = array_key_exists($fontStackNav,$fontCss) ? $fontCss[$fontStackNav] : '';
		$fontCssreplaceHeading = array_key_exists($fontStackHeading,$fontCss) ? $fontCss[$fontStackHeading] : '';
		
		
		if ($logoType =="text") {
		$fontCssreplaceLogo = array_key_exists($fontStackLogo,$fontCss) ? $fontCss[$fontStackLogo] : '';
		}
		elseif ($logoType =="image") {
		$fontCssreplaceLogo ="";	
		}
		


		// ------------------------------------------------------------------------  

		/**
		 * The css rules based on logic above
		 *
		 * Zen Grid Framework v1.1
		 *  
		 */

			$fontOutput ="";

			$fontOutput .= "body,span.$fontStackBody {font-family: $fontCssreplaceBody}";
			$fontOutput .=  "h1,h2,h3,h4, h5,h6,.blockquote, .componentheading, .contentheading {font-family:  $fontCssreplaceHeading}";
			$fontOutput .= "#nav, .moduletable-superfish,.moduletable-menu  {font-family: $fontCssreplaceNav}";

			if ($logoType =="text") {
				$fontOutput .= "#logo $logoClass a.$fontStackLogo,#logo $logoClass a span.$fontStackLogo  {font-family: $fontCssreplaceLogo;font-size: $logoFontSize}";
			}
		
			if($fontStackSelector1 !=="") $fontOutput .= "$fontStackSelector1 {font-family: $fontStackCustom1}";
			if($fontStackSelector2 !=="") $fontOutput .= "$fontStackSelector2 {font-family: $fontStackCustom2}";
			if($fontStackSelector3 !=="") $fontOutput .= "$fontStackSelector3 {font-family: $fontStackCustom3}";
// ------------------------------------------------------------------------  

/**
 * Creates the font.css file
 *
 * Zen Grid Framework v1.1
 *  
 */


 JFile::write(JPATH_ROOT.'/media/zengridframework/css/fonts.css', $fontOutput);
?>