# ************************************************************
# Sequel Pro SQL dump
# Version 3408
#
# http://www.sequelpro.com/
# http://code.google.com/p/sequel-pro/
#
# Host: localhost (MySQL 5.5.9)
# Database: qs17_Lifestyle
# Generation Time: 2012-02-17 03:12:20 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table #__assets
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__assets`;

CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__assets` WRITE;
/*!40000 ALTER TABLE `#__assets` DISABLE KEYS */;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`)
VALUES
	(1,0,1,652,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":{\"6\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
	(2,1,1,2,1,'com_admin','com_admin','{}'),
	(3,1,3,12,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(4,1,13,14,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
	(5,1,15,16,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
	(6,1,17,18,1,'com_config','com_config','{}'),
	(7,1,19,24,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(8,1,25,246,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),
	(9,1,247,248,1,'com_cpanel','com_cpanel','{}'),
	(10,1,249,250,1,'com_installer','com_installer','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1},\"core.delete\":[],\"core.edit.state\":[]}'),
	(11,1,251,252,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(12,1,253,254,1,'com_login','com_login','{}'),
	(13,1,255,256,1,'com_mailto','com_mailto','{}'),
	(14,1,257,258,1,'com_massmail','com_massmail','{}'),
	(15,1,259,260,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),
	(16,1,261,262,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(17,1,263,264,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
	(18,1,265,266,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(19,1,267,276,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(20,1,277,278,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(21,1,279,280,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),
	(22,1,281,282,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
	(23,1,283,284,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(24,1,285,286,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.own\":{\"6\":1},\"core.edit.state\":[]}'),
	(25,1,287,294,1,'com_weblinks','com_weblinks','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),
	(26,1,295,296,1,'com_wrapper','com_wrapper','{}'),
	(27,8,26,31,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(28,3,4,5,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(29,7,20,21,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(30,19,268,269,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(31,25,288,289,2,'com_weblinks.category.6','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(32,8,32,57,2,'com_content.category.7','News',''),
	(33,32,33,44,3,'com_content.category.8','Latest',''),
	(34,32,45,56,3,'com_content.category.9','Newsflash',''),
	(35,8,58,111,2,'com_content.category.10','FAQs',''),
	(36,35,59,66,3,'com_content.category.11','New to Joomla!',''),
	(37,35,67,80,3,'com_content.category.12','Current Users',''),
	(38,35,81,98,3,'com_content.category.13','General',''),
	(39,35,99,110,3,'com_content.category.14','Languages',''),
	(40,8,112,139,2,'com_content.category.15','About Joomla!',''),
	(41,40,113,120,3,'com_content.category.16','The Project',''),
	(42,40,121,132,3,'com_content.category.17','The CMS',''),
	(43,40,133,138,3,'com_content.category.18','The Community',''),
	(44,8,140,245,2,'com_content.category.19','Democontent',''),
	(45,44,141,168,3,'com_content.category.20','Features',''),
	(46,44,169,186,3,'com_content.category.21','Landscape and Colour','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(47,44,187,194,3,'com_content.category.22','Slideshow Items',''),
	(48,44,195,196,3,'com_content.category.23','Feature Overview',''),
	(49,44,197,198,3,'com_content.category.24','Archives',''),
	(50,44,199,216,3,'com_content.category.25','Layouts',''),
	(51,44,217,218,3,'com_content.category.26','Page Layouts',''),
	(52,44,219,220,3,'com_content.category.27','Extensions',''),
	(53,44,221,230,3,'com_content.category.28','Macro Botanicals','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
	(54,44,231,244,3,'com_content.category.29','Our Services',''),
	(55,33,34,35,4,'com_content.article.1','Welcome to Joomla!',''),
	(56,34,46,47,4,'com_content.article.2','Newsflash 1',''),
	(57,34,48,49,4,'com_content.article.3','Newsflash 2',''),
	(58,34,50,51,4,'com_content.article.4','Newsflash 3',''),
	(59,41,114,115,4,'com_content.article.5','Joomla! License Guidelines',''),
	(60,33,36,37,4,'com_content.article.6','We are Volunteers',''),
	(61,33,38,39,4,'com_content.article.7','Millions of Smiles',''),
	(62,39,100,101,4,'com_content.article.8','How do I localise Joomla! to my language?',''),
	(63,37,68,69,4,'com_content.article.9','How do I upgrade to Joomla! 1.5 ?',''),
	(64,38,82,83,4,'com_content.article.10','Why does Joomla! 1.5 use UTF-8 encoding?',''),
	(65,37,70,71,4,'com_content.article.11','What happened to the locale setting?',''),
	(66,38,84,85,4,'com_content.article.12','What is the FTP layer for?',''),
	(67,38,86,87,4,'com_content.article.13','Can Joomla! 1.5 operate with PHP Safe Mode On?',''),
	(68,37,72,73,4,'com_content.article.14','Only one edit window! How do I create \"Read more...\"?',''),
	(69,38,88,89,4,'com_content.article.15','My MySQL database does not support UTF-8. Do I have a problem?',''),
	(70,42,122,123,4,'com_content.article.16','Joomla! Features',''),
	(71,42,124,125,4,'com_content.article.17','Joomla! Overview',''),
	(72,41,116,117,4,'com_content.article.18','Support and Documentation',''),
	(73,43,134,135,4,'com_content.article.19','Joomla! Facts',''),
	(74,42,126,127,4,'com_content.article.20','What\'s New in 1.5?',''),
	(75,41,118,119,4,'com_content.article.21','Platforms and Open Standards',''),
	(76,42,128,129,4,'com_content.article.22','Content Layouts',''),
	(77,38,90,91,4,'com_content.article.23','What are the requirements to run Joomla! 1.5?',''),
	(78,42,130,131,4,'com_content.article.24','Extensions',''),
	(79,43,136,137,4,'com_content.article.25','The Joomla! Community',''),
	(80,38,92,93,4,'com_content.article.26','How do I install Joomla! 1.5?',''),
	(81,39,102,103,4,'com_content.article.27','What is the purpose of the collation selection in the installation screen?',''),
	(82,39,104,105,4,'com_content.article.28','What languages are supported by Joomla! 1.5?',''),
	(83,36,60,61,4,'com_content.article.29','Is it useful to install the sample data?',''),
	(84,37,74,75,4,'com_content.article.30','Where is the Static Content Item?',''),
	(85,38,94,95,4,'com_content.article.31','What is an Uncategorised Article?',''),
	(86,39,106,107,4,'com_content.article.32','Does the PDF icon render pictures and special characters?',''),
	(87,38,96,97,4,'com_content.article.33','Is it possible to change A Menu Item\'s Type?',''),
	(88,37,76,77,4,'com_content.article.34','Where did the Installers go?',''),
	(89,37,78,79,4,'com_content.article.35','Where did the Mambots go?',''),
	(90,39,108,109,4,'com_content.article.36','I installed with my own language, but the Back-end is still in English',''),
	(91,36,62,63,4,'com_content.article.37','How do I remove an Article?',''),
	(92,36,64,65,4,'com_content.article.38','What is the difference between Archiving and Trashing an Article? ',''),
	(93,34,52,53,4,'com_content.article.39','Newsflash 5',''),
	(94,34,54,55,4,'com_content.article.40','Newsflash 4',''),
	(95,27,27,28,3,'com_content.article.41','Example Pages and Menu Links',''),
	(96,33,40,41,4,'com_content.article.42','Joomla! Security Strike Team',''),
	(97,33,42,43,4,'com_content.article.43','Joomla! Community Portal',''),
	(98,46,170,171,4,'com_content.article.44','Rainforest',''),
	(99,46,172,173,4,'com_content.article.45','Orchid Dreams',''),
	(100,45,142,143,4,'com_content.article.46','K2 Joomla Template',''),
	(101,46,174,175,4,'com_content.article.47','Bespoke Verbosity',''),
	(102,46,176,177,4,'com_content.article.48','Opening Glory','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(103,46,178,179,4,'com_content.article.49','Midnight Meadow',''),
	(104,45,144,145,4,'com_content.article.50','JB Type',''),
	(112,45,146,147,4,'com_content.article.58','Module Positions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(113,27,29,30,3,'com_content.article.59','__404__',''),
	(120,45,148,149,4,'com_content.article.66','Module classes',''),
	(121,46,180,181,4,'com_content.article.67','All about pink',''),
	(122,47,188,189,4,'com_content.article.68','8th Wonder {jb_br}{jb_i}of the world{/jb_i}',''),
	(123,50,200,201,4,'com_content.article.69','Full Width',''),
	(124,50,202,203,4,'com_content.article.70','Left Column','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(125,50,204,205,4,'com_content.article.71','Right Column',''),
	(126,50,206,207,4,'com_content.article.72','Left and right column',''),
	(127,50,208,209,4,'com_content.article.73','Left and Center',''),
	(128,50,210,211,4,'com_content.article.74','Center and right',''),
	(129,50,212,213,4,'com_content.article.75','Left, center and right',''),
	(130,45,150,151,4,'com_content.article.76','Template Features','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(131,50,214,215,4,'com_content.article.77','All Module positions',''),
	(132,46,182,183,4,'com_content.article.78','Inner growth','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(133,46,184,185,4,'com_content.article.79','Grass retrospective',''),
	(134,45,152,153,4,'com_content.article.80','Basic Typography',''),
	(135,45,154,155,4,'com_content.article.81','Reusable grid layouts for your content',''),
	(137,47,190,191,4,'com_content.article.83','02',''),
	(138,47,192,193,4,'com_content.article.84','03',''),
	(139,53,222,223,4,'com_content.article.85','A study in Green',''),
	(140,53,224,225,4,'com_content.article.86','Macro Gerbera',''),
	(141,53,226,227,4,'com_content.article.87','Golden Grass',''),
	(143,53,228,229,4,'com_content.article.89','Sepia Study',''),
	(145,54,232,233,4,'com_content.article.91','Customised',''),
	(146,54,234,235,4,'com_content.article.92','Scalable',''),
	(147,54,236,237,4,'com_content.article.93','User Friendly',''),
	(148,54,238,239,4,'com_content.article.94','Support',''),
	(149,45,156,157,4,'com_content.article.95','Zentools Slideshow','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
	(150,45,158,159,4,'com_content.article.96','Zentools Carousel',''),
	(151,45,160,161,4,'com_content.article.97','Zentools Accordion',''),
	(152,45,162,163,4,'com_content.article.98','Zentools Grid',''),
	(153,45,164,165,4,'com_content.article.99','Zentools List',''),
	(154,45,166,167,4,'com_content.article.100','Zentools Masonry',''),
	(155,54,240,241,4,'com_content.article.101','Less Risky',''),
	(156,54,242,243,4,'com_content.article.102','Quick and Easy',''),
	(157,3,6,7,2,'com_banners.category.30','Joomla',''),
	(158,3,8,9,2,'com_banners.category.31','Text Ads',''),
	(159,3,10,11,2,'com_banners.category.32','Joomla! Promo',''),
	(160,7,22,23,2,'com_contact.category.33','Contacts',''),
	(161,19,270,271,2,'com_newsfeeds.category.34','Joomla!',''),
	(162,19,272,273,2,'com_newsfeeds.category.35','Free and Open Source Software',''),
	(163,19,274,275,2,'com_newsfeeds.category.36','Related Projects',''),
	(164,25,290,291,2,'com_weblinks.category.37','Joomla! Specific Links',''),
	(165,25,292,293,2,'com_weblinks.category.38','Other Resources',''),
	(166,1,650,651,1,'com_k2','k2','{\"core.admin\":[],\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}');

/*!40000 ALTER TABLE `#__assets` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__associations
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__associations`;

CREATE TABLE `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__banner_clients
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__banner_clients`;

CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__banner_tracks
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__banner_tracks`;

CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__banners
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__banners`;

CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__categories
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__categories`;

CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__categories` WRITE;
/*!40000 ALTER TABLE `#__categories` DISABLE KEYS */;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`)
VALUES
	(1,0,0,0,57,0,'','system','ROOT',X'726F6F74','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2009-10-18 16:07:09',0,'0000-00-00 00:00:00',0,'*'),
	(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:26:37',0,'0000-00-00 00:00:00',0,'*'),
	(3,28,1,3,4,1,'uncategorised','com_banners','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:27:35',0,'0000-00-00 00:00:00',0,'*'),
	(4,29,1,5,6,1,'uncategorised','com_contact','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:27:57',0,'0000-00-00 00:00:00',0,'*'),
	(5,30,1,7,8,1,'uncategorised','com_newsfeeds','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:28:15',0,'0000-00-00 00:00:00',0,'*'),
	(6,31,1,9,10,1,'uncategorised','com_weblinks','Uncategorised',X'756E63617465676F7269736564','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',42,'2010-06-28 13:28:33',0,'0000-00-00 00:00:00',0,'*'),
	(7,32,1,11,16,1,'news','com_content','News',X'6E657773','','Select a news topic from the list below, then select a news article to read.',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(8,33,7,12,13,2,'news/latest-news','com_content','Latest',X'6C61746573742D6E657773','','The latest news from the Joomla! Team',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(9,34,7,14,15,2,'news/newsflash','com_content','Newsflash',X'6E657773666C617368','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(10,35,1,17,26,1,'faqs','com_content','FAQs',X'66617173','','From the list below choose one of our FAQs topics, then select an FAQ to read. If you have a question which is not in this section, please contact us.',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(11,36,10,18,19,2,'faqs/new-to-joomla','com_content','New to Joomla!',X'6E65772D746F2D6A6F6F6D6C61','','Questions for new users of Joomla!',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(12,37,10,20,21,2,'faqs/current-users','com_content','Current Users',X'63757272656E742D7573657273','','Questions that users migrating to Joomla! 1.5 are likely to raise<br />',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(13,38,10,22,23,2,'faqs/general','com_content','General',X'67656E6572616C','','General questions about the Joomla! CMS',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(14,39,10,24,25,2,'faqs/languages','com_content','Languages',X'6C616E677561676573','','Questions related to localisation and languages',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(15,40,1,27,34,1,'about-joomla','com_content','About Joomla!',X'61626F75742D6A6F6F6D6C61','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(16,41,15,28,29,2,'about-joomla/the-project','com_content','The Project',X'7468652D70726F6A656374','','<p>General facts about Joomla!</p>',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(17,42,15,30,31,2,'about-joomla/the-cms','com_content','The CMS',X'7468652D636D73','','Information about the software behind Joomla!<br />',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(18,43,15,32,33,2,'about-joomla/the-community','com_content','The Community',X'7468652D636F6D6D756E697479','','About the millions of Joomla! users and Web sites<br />',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(19,44,1,35,56,1,'democontent','com_content','Democontent',X'64656D6F636F6E74656E74','','<p>This is Democontent Section.</p>',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(20,45,19,36,37,2,'democontent/features','com_content','Features',X'6665617475726573','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(21,46,19,38,39,2,'democontent/democontent','com_content','Landscape and Colour',X'64656D6F636F6E74656E74','','<p>This is the Democontent category, where you can see how all items will appear when you set content items</p>',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',0,'2012-01-30 18:16:41',62,'2012-02-03 04:39:26',0,'*'),
	(22,47,19,40,41,2,'democontent/slideshow-items','com_content','Slideshow Items',X'736C69646573686F772D6974656D73','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(23,48,19,42,43,2,'democontent/feature-overview','com_content','Feature Overview',X'666561747572652D6F76657276696577','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(24,49,19,44,45,2,'democontent/archives','com_content','Archives',X'6172636869766573','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(25,50,19,46,47,2,'democontent/layouts','com_content','Layouts',X'6C61796F757473','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(26,51,19,48,49,2,'democontent/page-layouts','com_content','Page Layouts',X'706167652D6C61796F757473','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(27,52,19,50,51,2,'democontent/extensions','com_content','Extensions',X'657874656E73696F6E73','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(28,53,19,52,53,2,'democontent/macro-botanicals','com_content','Macro Botanicals',X'6D6163726F2D626F74616E6963616C73','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',0,'2012-01-30 18:16:41',62,'2012-02-03 04:39:40',0,'*'),
	(29,54,19,54,55,2,'democontent/our-services','com_content','Our Services',X'6F75722D7365727669636573','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:41',0,'0000-00-00 00:00:00',0,'*'),
	(30,157,0,58,59,0,'','com_banners','Joomla',X'6A6F6F6D6C61','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:48',0,'0000-00-00 00:00:00',0,'*'),
	(31,158,0,60,61,0,'','com_banners','Text Ads',X'746578742D616473','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:48',0,'0000-00-00 00:00:00',0,'*'),
	(32,159,0,62,63,0,'','com_banners','Joomla! Promo',X'6A6F6F6D6C612D70726F6D6F','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:48',0,'0000-00-00 00:00:00',0,'*'),
	(33,160,0,64,65,0,'','com_contact','Contacts',X'636F6E7461637473','','Contact Details for this Web site',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:50',0,'0000-00-00 00:00:00',0,'*'),
	(34,161,0,66,67,0,'','com_newsfeeds','Joomla!',X'6A6F6F6D6C61','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:51',0,'0000-00-00 00:00:00',0,'*'),
	(35,162,0,68,69,0,'','com_newsfeeds','Free and Open Source Software',X'667265652D616E642D6F70656E2D736F757263652D736F667477617265','','Read the latest news about free and open source software from some of its leading advocates.',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:51',0,'0000-00-00 00:00:00',0,'*'),
	(36,163,0,70,71,0,'','com_newsfeeds','Related Projects',X'72656C617465642D70726F6A65637473','','Joomla builds on and collaborates with many other free and open source projects. Keep up with the latest news from some of them.',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:51',0,'0000-00-00 00:00:00',0,'*'),
	(37,164,0,72,73,0,'','com_weblinks','Joomla! Specific Links',X'6A6F6F6D6C612D73706563696669632D6C696E6B73','','A selection of links that are all related to the Joomla! Project.',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:53',0,'0000-00-00 00:00:00',0,'*'),
	(38,165,0,74,75,0,'','com_weblinks','Other Resources',X'6F746865722D7265736F7572636573','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',0,'2012-01-30 18:16:53',0,'0000-00-00 00:00:00',0,'*');

/*!40000 ALTER TABLE `#__categories` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__contact_details
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__contact_details`;

CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__contact_details` WRITE;
/*!40000 ALTER TABLE `#__contact_details` DISABLE KEYS */;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`)
VALUES
	(1,'John Doe',X'6A6F686E2D646F65','Position','123 Your Street','Your Town','State','Country','00000','555-555-5555','555-555-5555','<p>More information\'s can be added here</p>','powered_by.png',NULL,'email@email.com',0,1,0,'0000-00-00 00:00:00',1,'{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"1\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"allow_vcard\":\"1\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}',0,4,1,'555-555-5555','http://www.domain.com','','','','*','0000-00-00 00:00:00',0,'','2012-01-31 18:09:08',62,'','','{\"robots\":\"\",\"rights\":\"\"}',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00');

/*!40000 ALTER TABLE `#__contact_details` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content`;

CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `title_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Deprecated in Joomla! 3.0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__content` WRITE;
/*!40000 ALTER TABLE `#__content` DISABLE KEYS */;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`)
VALUES
	(1,55,'Welcome to Joomla!',X'77656C636F6D652D746F2D6A6F6F6D6C61',X'','<div align=\"left\"><strong>Joomla! is a free open source framework and content publishing system designed for quickly creating highly interactive multi-language Web sites, online communities, media portals, blogs and eCommerce applications. <br /></strong></div><p><strong><br /></strong><img src=\"images/powered_by.png\" border=\"0\" alt=\"Joomla! Logo\" title=\"Example Caption\" hspace=\"6\" vspace=\"0\" width=\"165\" height=\"68\" align=\"left\" />Joomla! provides an easy-to-use graphical user interface that simplifies the management and publishing of large volumes of content including HTML, documents, and rich media.  Joomla! is used by organisations of all sizes for intranets and extranets and is supported by a community of tens of thousands of users. </p>','With a fully documented library of developer resources, Joomla! allows the customisation of every aspect of a Web site including presentation, layout, administration, and the rapid integration with third-party applications.<p>Joomla! now provides more developer power while making the user experience all the more friendly. For those who always wanted increased extensibility, Joomla! 1.5 can make this happen.</p><p>A new framework, ground-up refactoring, and a highly-active development team brings the excitement of \'the next generation CMS\' to your fingertips.  Whether you are a systems architect or a complete \'noob\' Joomla! can take you to the next level of content delivery. \'More than a CMS\' is something we have been playing with as a catchcry because the new Joomla! API has such incredible power and flexibility, you are free to take whatever direction your creative mind takes you and Joomla! can help you get there so much more easily than ever before.</p><p>Thinking Web publishing? Think Joomla!</p>',1,0,0,8,'2008-08-12 10:00:00',62,'','2008-08-12 10:00:00',62,0,'0000-00-00 00:00:00','2006-01-03 01:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',29,0,1,'','',1,96,'',0,'*',''),
	(2,56,'Newsflash 1',X'6E657773666C6173682D31',X'','<p>Joomla! makes it easy to launch a Web site of any kind. Whether you want a brochure site or you are building a large online community, Joomla! allows you to deploy a new site in minutes and add extra functionality as you need it. The hundreds of available Extensions will help to expand your site and allow you to deliver new services that extend your reach into the Internet.</p>','',1,0,0,9,'2008-08-10 06:30:34',62,'','2008-08-10 06:30:34',62,0,'0000-00-00 00:00:00','2004-08-09 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,3,'','',1,1,'',0,'*',''),
	(3,57,'Newsflash 2',X'6E657773666C6173682D32',X'','<p>The one thing about a Web site, it always changes! Joomla! makes it easy to add Articles, content, images, videos, and more. Site administrators can edit and manage content \'in-context\' by clicking the \'Edit\' link. Webmasters can also edit content through a graphical Control Panel that gives you complete control over your site.</p>','',1,0,0,9,'2008-08-09 22:30:34',62,'','2008-08-09 22:30:34',62,0,'0000-00-00 00:00:00','2004-08-09 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,4,'','',1,0,'',0,'*',''),
	(4,58,'Newsflash 3',X'6E657773666C6173682D33',X'','<p>With a library of thousands of free <a href=\"http://extensions.joomla.org\" target=\"_blank\" title=\"The Joomla! Extensions Directory\">Extensions</a>, you can add what you need as your site grows. Don\'t wait, look through the <a href=\"http://extensions.joomla.org/\" target=\"_blank\" title=\"Joomla! Extensions\">Joomla! Extensions</a>  library today. </p>','',1,0,0,9,'2008-08-10 06:30:34',62,'','2008-08-10 06:30:34',62,0,'0000-00-00 00:00:00','2004-08-09 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,5,'','',1,1,'',0,'*',''),
	(5,59,'Joomla! License Guidelines',X'6A6F6F6D6C612D6C6963656E73652D67756964656C696E6573',X'6A6F6F6D6C612D6C6963656E73652D67756964656C696E6573','<p>This Web site is powered by <a href=\"http://joomla.org/\" target=\"_blank\" title=\"Joomla!\">Joomla!</a> The software and default templates on which it runs are Copyright 2005-2008 <a href=\"http://www.opensourcematters.org/\" target=\"_blank\" title=\"Open Source Matters\">Open Source Matters</a>. The sample content distributed with Joomla! is licensed under the <a href=\"http://docs.joomla.org/JEDL\" target=\"_blank\" title=\"Joomla! Electronic Document License\">Joomla! Electronic Documentation License.</a> All data entered into this Web site and templates added after installation, are copyrighted by their respective copyright owners.</p> <p>If you want to distribute, copy, or modify Joomla!, you are welcome to do so under the terms of the <a href=\"http://www.gnu.org/licenses/old-licenses/gpl-2.0.html#SEC1\" target=\"_blank\" title=\"GNU General Public License\"> GNU General Public License</a>. If you are unfamiliar with this license, you might want to read <a href=\"http://www.gnu.org/licenses/old-licenses/gpl-2.0.html#SEC4\" target=\"_blank\" title=\"How To Apply These Terms To Your Program\">\'How To Apply These Terms To Your Program\'</a> and the <a href=\"http://www.gnu.org/licenses/old-licenses/gpl-2.0-faq.html\" target=\"_blank\" title=\"GNU General Public License FAQ\">\'GNU General Public License FAQ\'</a>.</p> <p>The Joomla! licence has always been GPL.</p>','',1,0,0,16,'2008-08-20 10:11:07',62,'','2008-08-20 10:11:07',62,0,'0000-00-00 00:00:00','2004-08-19 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,2,'','',1,149,'',0,'*',''),
	(6,60,'We are Volunteers',X'77652D6172652D766F6C756E7465657273',X'','<p>The Joomla Core Team and Working Group members are volunteer developers, designers, administrators and managers who have worked together to take Joomla! to new heights in its relatively short life. Joomla! has some wonderfully talented people taking Open Source concepts to the forefront of industry standards.  Joomla! 1.5 is a major leap forward and represents the most exciting Joomla! release in the history of the project. </p>','',1,0,0,8,'2007-07-07 09:54:06',62,'','2007-07-07 09:54:06',62,0,'0000-00-00 00:00:00','2004-07-06 22:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,0,4,'','',1,54,'',0,'*',''),
	(7,61,'Millions of Smiles',X'6D696C6C696F6E732D6F662D736D696C6573',X'','<p>The Joomla! team has millions of good reasons to be smiling about the Joomla! 1.5. In its current incarnation, it\'s had millions of downloads, taking it to an unprecedented level of popularity.  The new code base is almost an entire re-factor of the old code base.  The user experience is still extremely slick but for developers the API is a dream.  A proper framework for real PHP architects seeking the best of the best.</p><p>If you\'re a former Mambo User or a 1.0 series Joomla! User, 1.5 is the future of CMSs for a number of reasons.  It\'s more powerful, more flexible, more secure, and intuitive.  Our developers and interface designers have worked countless hours to make this the most exciting release in the content management system sphere.</p><p>Go on ... get your FREE copy of Joomla! today and spread the word about this benchmark project. </p>','',1,0,0,8,'2007-07-07 09:54:06',62,'','2007-07-07 09:54:06',62,0,'0000-00-00 00:00:00','2004-07-06 22:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,0,7,'','',1,23,'',0,'*',''),
	(8,62,'How do I localise Joomla! to my language?',X'686F772D646F2D692D6C6F63616C6973652D6A6F6F6D6C612D746F2D6D792D6C616E6775616765',X'','<h4>General<br /></h4><p>In Joomla! 1.5 all User interfaces can be localised. This includes the installation, the Back-end Control Panel and the Front-end Site.</p><p>The core release of Joomla! 1.5 is shipped with multiple language choices in the installation but, other than English (the default), languages for the Site and Administration interfaces need to be added after installation. Links to such language packs exist below.</p>','<p>Translation Teams for Joomla! 1.5 may have also released fully localised installation packages where site, administrator and sample data are in the local language. These localised releases can be found in the specific team projects on the <a href=\"http://extensions.joomla.org/component/option,com_mtree/task,listcats/cat_id,1837/Itemid,35/\" target=\"_blank\" title=\"JED\">Joomla! Extensions Directory</a>.</p><h4>How do I install language packs?</h4><ul><li>First download both the admin and the site language packs that you require.</li><li>Install each pack separately using the Extensions-&gt;Install/Uninstall Menu selection and then the package file upload facility.</li><li>Go to the Language Manager and be sure to select Site or Admin in the sub-menu. Then select the appropriate language and make it the default one using the Toolbar button.</li></ul><h4>How do I select languages?</h4><ul><li>Default languages can be independently set for Site and for Administrator</li><li>In addition, users can define their preferred language for each Site and Administrator. This takes affect after logging in.</li><li>While logging in to the Administrator Back-end, a language can also be selected for the particular session.</li></ul><h4>Where can I find Language Packs and Localised Releases?</h4><p><em>Please note that Joomla! 1.5 is new and language packs for this version may have not been released at this time.</em> </p><ul><li><a href=\"http://joomlacode.org/gf/project/jtranslation/\" target=\"_blank\" title=\"Accredited Translations\">The Joomla! Accredited Translations Project</a>  - This is a joint repository for language packs that were developed by teams that are members of the Joomla! Translations Working Group.</li><li><a href=\"http://extensions.joomla.org/component/option,com_mtree/task,listcats/cat_id,1837/Itemid,35/\" target=\"_blank\" title=\"Translations\">The Joomla! Extensions Site - Translations</a>  </li><li><a href=\"http://community.joomla.org/translations.html\" target=\"_blank\" title=\"Translation Work Group Teams\">List of Translation Teams and Translation Partner Sites for Joomla! 1.5</a> </li></ul>',1,0,0,14,'2008-07-30 14:06:37',62,'','2008-07-30 14:06:37',62,0,'0000-00-00 00:00:00','2006-09-29 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',9,0,5,'','',1,10,'',0,'*',''),
	(9,63,'How do I upgrade to Joomla! 1.5 ?',X'686F772D646F2D692D757067726164652D746F2D6A6F6F6D6C612D3135',X'','<p>Joomla! 1.5 does not provide an upgrade path from earlier versions. Converting an older site to a Joomla! 1.5 site requires creation of a new empty site using Joomla! 1.5 and then populating the new site with the content from the old site. This migration of content is not a one-to-one process and involves conversions and modifications to the content dump.</p> <p>There are two ways to perform the migration:</p>',' <div id=\"post_content-107\"><li>An automated method of migration has been provided which uses a migrator Component to create the migration dump out of the old site (Mambo 4.5.x up to Joomla! 1.0.x) and a smart import facility in the Joomla! 1.5 Installation that performs required conversions and modifications during the installation process.</li> <li>Migration can be performed manually. This involves exporting the required tables, manually performing required conversions and modifications and then importing the content to the new site after it is installed.</li>  <p><!--more--></p> <h2><strong> Automated migration</strong></h2>  <p>This is a two phased process using two tools. The first tool is a migration Component named <font face=\"courier new,courier\">com_migrator</font>. This Component has been contributed by Harald Baer and is based on his <strong>eBackup </strong>Component. The migrator needs to be installed on the old site and when activated it prepares the required export dump of the old site\'s data. The second tool is built into the Joomla! 1.5 installation process. The exported content dump is loaded to the new site and all conversions and modification are performed on-the-fly.</p> <h3><u> Step 1 - Using com_migrator to export data from old site:</u></h3> <li>Install the <font face=\"courier new,courier\">com_migrator</font> Component on the <u><strong>old</strong></u> site. It can be found at the <a href=\"http://joomlacode.org/gf/project/pasamioprojects/frs/\" target=\"_blank\" title=\"JoomlaCode\">JoomlaCode developers forge</a>.</li> <li>Select the Component in the Component Menu of the Control Panel.</li> <li>Click on the <strong>Dump it</strong> icon. Three exported <em>gzipped </em>export scripts will be created. The first is a complete backup of the old site. The second is the migration content of all core elements which will be imported to the new site. The third is a backup of all 3PD Component tables.</li> <li>Click on the download icon of the particular exports files needed and store locally.</li> <li>Multiple export sets can be created.</li> <li>The exported data is not modified in anyway and the original encoding is preserved. This makes the <font face=\"courier new,courier\">com_migrator</font> tool a recommended tool to use for manual migration as well.</li> <h3><u> Step 2 - Using the migration facility to import and convert data during Joomla! 1.5 installation:</u></h3><p>Note: This function requires the use of the <em><font face=\"courier new,courier\">iconv </font></em>function in PHP to convert encodings. If <em><font face=\"courier new,courier\">iconv </font></em>is not found a warning will be provided.</p> <li>In step 6 - Configuration select the \'Load Migration Script\' option in the \'Load Sample Data, Restore or Migrate Backed Up Content\' section of the page.</li> <li>Enter the table prefix used in the content dump. For example: \'#__\' or \'site2_\' are acceptable values.</li> <li>Select the encoding of the dumped content in the dropdown list. This should be the encoding used on the pages of the old site. (As defined in the _ISO variable in the language file or as seen in the browser page info/encoding/source)</li> <li>Browse the local host and select the migration export and click on <strong>Upload and Execute</strong></li> <li>A success message should appear or alternately a listing of database errors</li> <li>Complete the other required fields in the Configuration step such as Site Name and Admin details and advance to the final step of installation. (Admin details will be ignored as the imported data will take priority. Please remember admin name and password from the old site)</li> <p><u><br /></u></p></div>',1,0,0,12,'2008-07-30 20:27:52',62,'','2008-07-30 20:27:52',62,0,'0000-00-00 00:00:00','2006-09-29 12:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,0,3,'','',1,14,'',0,'*',''),
	(10,64,'Why does Joomla! 1.5 use UTF-8 encoding?',X'7768792D646F65732D6A6F6F6D6C612D31352D7573652D7574662D382D656E636F64696E67',X'','<p>Well... how about never needing to mess with encoding settings again?</p><p>Ever needed to display several languages on one page or site and something always came up in Giberish?</p><p>With utf-8 (a variant of Unicode) glyphs (character forms) of basically all languages can be displayed with one single encoding setting. </p>','',1,0,0,13,'2008-08-05 01:11:29',62,'','2008-08-05 01:11:29',62,0,'0000-00-00 00:00:00','2006-10-03 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,0,8,'','',1,29,'',0,'*',''),
	(11,65,'What happened to the locale setting?',X'776861742D68617070656E65642D746F2D7468652D6C6F63616C652D73657474696E67',X'','This is now defined in the Language [<em>lang</em>].xml file in the Language metadata settings. If you are having locale problems such as dates do not appear in your language for example, you might want to check/edit the entries in the locale tag. Note that multiple locale strings can be set and the host will usually accept the first one recognised.','',1,0,0,12,'2008-08-06 16:47:35',62,'','2008-08-06 16:47:35',62,0,'0000-00-00 00:00:00','2006-10-05 14:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,2,'','',1,11,'',0,'*',''),
	(12,66,'What is the FTP layer for?',X'776861742D69732D7468652D6674702D6C617965722D666F72',X'','<p>The FTP Layer allows file operations (such as installing Extensions or updating the main configuration file) without having to make all the folders and files writable. This has been an issue on Linux and other Unix based platforms in respect of file permissions. This makes the site admin\'s life a lot easier and increases security of the site.</p><p>You can check the write status of relevent folders by going to \'\'Help-&gt;System Info\" and then in the sub-menu to \"Directory Permissions\". With the FTP Layer enabled even if all directories are red, Joomla! will operate smoothly.</p><p>NOTE: the FTP layer is not required on a Windows host/server. </p>','',1,0,0,13,'2008-08-06 21:27:49',62,'','2008-08-06 21:27:49',62,0,'0000-00-00 00:00:00','2006-10-05 16:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,6,'','',1,23,'',0,'*',''),
	(13,67,'Can Joomla! 1.5 operate with PHP Safe Mode On?',X'63616E2D6A6F6F6D6C612D31352D6F7065726174652D776974682D7068702D736166652D6D6F64652D6F6E',X'','<p>Yes it can! This is a significant security improvement.</p><p>The <em>safe mode</em> limits PHP to be able to perform actions only on files/folders who\'s owner is the same as PHP is currently using (this is usually \'apache\'). As files normally are created either by the Joomla! application or by FTP access, the combination of PHP file actions and the FTP Layer allows Joomla! to operate in PHP Safe Mode.</p>','',1,0,0,13,'2008-08-06 19:28:35',62,'','2008-08-06 19:28:35',62,0,'0000-00-00 00:00:00','2006-10-05 14:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,4,'','',1,8,'',0,'*',''),
	(14,68,'Only one edit window! How do I create \"Read more...\"?',X'6F6E6C792D6F6E652D656469742D77696E646F772D686F772D646F2D692D6372656174652D726561642D6D6F7265',X'','<p>This is now implemented by inserting a <strong>Read more...</strong> tag (the button is located below the editor area) a dotted line appears in the edited text showing the split location for the <em>Read more....</em> A new Plugin takes care of the rest.</p><p>It is worth mentioning that this does not have a negative effect on migrated data from older sites. The new implementation is fully backward compatible.</p>','',1,0,0,12,'2008-08-06 19:29:28',62,'','2008-08-06 19:29:28',62,0,'0000-00-00 00:00:00','2006-10-05 14:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,4,'','',1,20,'',0,'*',''),
	(15,69,'My MySQL database does not support UTF-8. Do I have a problem?',X'6D792D6D7973716C2D64617461626173652D646F65732D6E6F742D737570706F72742D7574662D382D646F2D692D686176652D612D70726F626C656D',X'','No you don\'t. Versions of MySQL lower than 4.1 do not have built in UTF-8 support. However, Joomla! 1.5 has made provisions for backward compatibility and is able to use UTF-8 on older databases. Let the installer take care of all the settings and there is no need to make any changes to the database (charset, collation, or any other).','',1,0,0,13,'2008-08-07 09:30:37',62,'','2008-08-07 09:30:37',62,0,'0000-00-00 00:00:00','2006-10-05 20:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,0,7,'','',1,9,'',0,'*',''),
	(16,70,'Joomla! Features',X'6A6F6F6D6C612D6665617475726573',X'','<h4><font color=\"#ff6600\">Joomla! features:</font></h4> <ul><li>Completely database driven site engines </li><li>News, products, or services sections fully editable and manageable</li><li>Topics sections can be added to by contributing Authors </li><li>Fully customisable layouts including <em>left</em>, <em>center</em>, and <em>right </em>Menu boxes </li><li>Browser upload of images to your own library for use anywhere in the site </li><li>Dynamic Forum/Poll/Voting booth for on-the-spot results </li><li>Runs on Linux, FreeBSD, MacOSX server, Solaris, and AIX','  </li></ul> <h4>Extensive Administration:</h4> <ul><li>Change order of objects including news, FAQs, Articles etc. </li><li>Random Newsflash generator </li><li>Remote Author submission Module for News, Articles, FAQs, and Links </li><li>Object hierarchy - as many Sections, departments, divisions, and pages as you want </li><li>Image library - store all your PNGs, PDFs, DOCs, XLSs, GIFs, and JPEGs online for easy use </li><li>Automatic Path-Finder. Place a picture and let Joomla! fix the link </li><li>News Feed Manager. Easily integrate news feeds into your Web site.</li><li>E-mail a friend and Print format available for every story and Article </li><li>In-line Text editor similar to any basic word processor software </li><li>User editable look and feel </li><li>Polls/Surveys - Now put a different one on each page </li><li>Custom Page Modules. Download custom page Modules to spice up your site </li><li>Template Manager. Download Templates and implement them in seconds </li><li>Layout preview. See how it looks before going live </li><li>Banner Manager. Make money out of your site.</li></ul>',1,0,0,17,'2008-08-08 23:32:45',62,'','2008-08-08 23:32:45',62,0,'0000-00-00 00:00:00','2006-10-07 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',11,0,4,'','',1,59,'',0,'*',''),
	(17,71,'Joomla! Overview',X'6A6F6F6D6C612D6F76657276696577',X'','<p>If you\'re new to Web publishing systems, you\'ll find that Joomla! delivers sophisticated solutions to your online needs. It can deliver a robust enterprise-level Web site, empowered by endless extensibility for your bespoke publishing needs. Moreover, it is often the system of choice for small business or home users who want a professional looking site that\'s simple to deploy and use. <em>We do content right</em>.<br /> </p><p>So what\'s the catch? How much does this system cost?</p><p> Well, there\'s good news ... and more good news! Joomla! 1.5 is free, it is released under an Open Source license - the GNU/General Public License v 2.0. Had you invested in a mainstream, commercial alternative, there\'d be nothing but moths left in your wallet and to add new functionality would probably mean taking out a second mortgage each time you wanted something adding!</p><p>Joomla! changes all that ... <br />Joomla! is different from the normal models for content management software. For a start, it\'s not complicated. Joomla! has been developed for everybody, and anybody can develop it further. It is designed to work (primarily) with other Open Source, free, software such as PHP, MySQL, and Apache. </p><p>It is easy to install and administer, and is reliable. </p><p>Joomla! doesn\'t even require the user or administrator of the system to know HTML to operate it once it\'s up and running.</p><p>To get the perfect Web site with all the functionality that you require for your particular application may take additional time and effort, but with the Joomla! Community support that is available and the many Third Party Developers actively creating and releasing new Extensions for the 1.5 platform on an almost daily basis, there is likely to be something out there to meet your needs. Or you could develop your own Extensions and make these available to the rest of the community. </p>','',1,0,0,17,'2008-08-09 07:49:20',62,'','2008-08-09 07:49:20',62,0,'0000-00-00 00:00:00','2006-10-07 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',13,0,2,'','',1,214,'',0,'*',''),
	(18,72,'Support and Documentation',X'737570706F72742D616E642D646F63756D656E746174696F6E',X'','<h1>Support </h1><p>Support for the Joomla! CMS can be found on several places. The best place to start would be the <a href=\"http://docs.joomla.org/\" target=\"_blank\" title=\"Joomla! Official Documentation Wiki\">Joomla! Official Documentation Wiki</a>. Here you can help yourself to the information that is regularly published and updated as Joomla! develops. There is much more to come too!</p> <p>Of course you should not forget the Help System of the CMS itself. On the <em>topmenu </em>in the Back-end Control panel you find the Help button which will provide you with lots of explanation on features.</p> <p>Another great place would of course be the <a href=\"http://forum.joomla.org/\" target=\"_blank\" title=\"Forum\">Forum</a> . On the Joomla! Forum you can find help and support from Community members as well as from Joomla! Core members and Working Group members. The forum contains a lot of information, FAQ\'s, just about anything you are looking for in terms of support.</p> <p>Two other resources for Support are the <a href=\"http://developer.joomla.org/\" target=\"_blank\" title=\"Joomla! Developer Site\">Joomla! Developer Site</a> and the <a href=\"http://extensions.joomla.org/\" target=\"_blank\" title=\"Joomla! Extensions Directory\">Joomla! Extensions Directory</a> (JED). The Joomla! Developer Site provides lots of technical information for the experienced Developer as well as those new to Joomla! and development work in general. The JED whilst not a support site in the strictest sense has many of the Extensions that you will need as you develop your own Web site.</p> <p>The Joomla! Developers and Bug Squad members are regularly posting their blog reports about several topics such as programming techniques and security issues.</p> <h1>Documentation</h1> <p>Joomla! Documentation can of course be found on the <a href=\"http://docs.joomla.org/\" target=\"_blank\" title=\"Joomla! Official Documentation Wiki\">Joomla! Official Documentation Wiki</a>. You can find information for beginners, installation, upgrade, Frequently Asked Questions, developer topics, and a lot more. The Documentation Team helps oversee the wiki but you are invited to contribute content, as well.</p> <p>There are also books written about Joomla! You can find a listing of these books in the <a href=\"http://shop.joomla.org/\" target=\"_blank\" title=\"Joomla! Shop\">Joomla! Shop</a>.</p>','',1,0,0,16,'2008-08-09 08:33:57',62,'','2008-08-09 08:33:57',62,0,'0000-00-00 00:00:00','2006-10-07 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',13,0,1,'','',1,10,'',0,'*',''),
	(19,73,'Joomla! Facts',X'6A6F6F6D6C612D6661637473',X'','<p>Here are some interesting facts about Joomla!</p><ul><li><span>Over 210,000 active registered Users on the <a href=\"http://forum.joomla.org\" target=\"_blank\" title=\"Joomla Forums\">Official Joomla! community forum</a> and more on the many international community sites.</span><ul><li><span>over 1,000,000 posts in over 200,000 topics</span></li><li>over 1,200 posts per day</li><li>growing at 150 new participants each day!</li></ul></li><li><span>1168 Projects on the JoomlaCode (<a href=\"http://joomlacode.org/\" target=\"_blank\" title=\"JoomlaCode\">joomlacode.org</a> ). All for open source addons by third party developers.</span><ul><li><span>Well over 6,000,000 downloads of Joomla! since the migration to JoomlaCode in March 2007.<br /></span></li></ul></li><li><span>Nearly 4,000 extensions for Joomla! have been registered on the <a href=\"http://extensions.joomla.org\" target=\"_blank\" title=\"http://extensions.joomla.org\">Joomla! Extension Directory</a>  </span></li><li><span>Joomla.org exceeds 2 TB of traffic per month!</span></li></ul>','',1,0,0,18,'2008-08-09 16:46:37',62,'','2008-08-09 16:46:37',62,0,'0000-00-00 00:00:00','2006-10-07 14:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',13,0,1,'','',1,50,'',0,'*',''),
	(20,74,'What\'s New in 1.5?',X'77686174732D6E65772D696E2D3135',X'','<p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>','<p style=\"margin-bottom: 0in\">In Joomla! 1.5, you\'ll notice: </p>    <ul><li>     <p style=\"margin-bottom: 0in\">       Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</p>   </li><li>     <p style=\"margin-bottom: 0in\"> Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</p>   </li><li>     <p style=\"margin-bottom: 0in\"> Extended integration of external applications through Web services and remote authentication such as the Lightweight Directory Access Protocol (LDAP)</p>   </li><li>     <p style=\"margin-bottom: 0in\"> Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</p>   </li><li>     <p style=\"margin-bottom: 0in\">       A more sustainable and flexible framework for Component and Extension developers</p>   </li><li>     <p style=\"margin-bottom: 0in\">Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</p></li></ul>',1,0,0,17,'2008-08-11 22:13:58',62,'','2008-08-11 22:13:58',62,0,'0000-00-00 00:00:00','2006-10-10 18:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',10,0,1,'','',1,101,'',0,'*',''),
	(21,75,'Platforms and Open Standards',X'706C6174666F726D732D616E642D6F70656E2D7374616E6461726473',X'','<p class=\"MsoNormal\">Joomla! runs on any platform including Windows, most flavours of Linux, several Unix versions, and the Apple OS/X platform.  Joomla! depends on PHP and the MySQL database to deliver dynamic content.  </p>            <p class=\"MsoNormal\">The minimum requirements are:</p>      <ul><li>Apache 1.x, 2.x and higher</li><li>PHP 4.3 and higher</li><li>MySQL 3.23 and higher</li></ul>It will also run on alternative server platforms such as Windows IIS - provided they support PHP and MySQL - but these require additional configuration in order for the Joomla! core package to be successful installed and operated.','',1,0,0,16,'2008-08-11 04:22:14',62,'','2008-08-11 04:22:14',62,0,'0000-00-00 00:00:00','2006-10-10 08:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,3,'','',1,11,'',0,'*',''),
	(22,76,'Content Layouts',X'636F6E74656E742D6C61796F757473',X'','<p>Joomla! provides plenty of flexibility when displaying your Web content. Whether you are using Joomla! for a blog site, news or a Web site for a company, you\'ll find one or more content styles to showcase your information. You can also change the style of content dynamically depending on your preferences. Joomla! calls how a page is laid out a <strong>layout</strong>. Use the guide below to understand which layouts are available and how you might use them. </p> <h2>Content </h2> <p>Joomla! makes it extremely easy to add and display content. All content  is placed where your mainbody tag in your template is located. There are three main types of layouts available in Joomla! and all of them can be customised via parameters. The display and parameters are set in the Menu Item used to display the content your working on. You create these layouts by creating a Menu Item and choosing how you want the content to display.</p> <h3>Blog Layout<br /> </h3> <p>Blog layout will show a listing of all Articles of the selected blog type (Section or Category) in the mainbody position of your template. It will give you the standard title, and Intro of each Article in that particular Category and/or Section. You can customise this layout via the use of the Preferences and Parameters, (See Article Parameters) this is done from the Menu not the Section Manager!</p> <h3>Blog Archive Layout<br /> </h3> <p>A Blog Archive layout will give you a similar output of Articles as the normal Blog Display but will add, at the top, two drop down lists for month and year plus a search button to allow Users to search for all Archived Articles from a specific month and year.</p> <h3>List Layout<br /> </h3> <p>Table layout will simply give you a <em>tabular </em>list<em> </em>of all the titles in that particular Section or Category. No Intro text will be displayed just the titles. You can set how many titles will be displayed in this table by Parameters. The table layout will also provide a filter Section so that Users can reorder, filter, and set how many titles are listed on a single page (up to 50)</p> <h2>Wrapper</h2> <p>Wrappers allow you to place stand alone applications and Third Party Web sites inside your Joomla! site. The content within a Wrapper appears within the primary content area defined by the \"mainbody\" tag and allows you to display their content as a part of your own site. A Wrapper will place an IFRAME into the content Section of your Web site and wrap your standard template navigation around it so it appears in the same way an Article would.</p> <h2>Content Parameters</h2> <p>The parameters for each layout type can be found on the right hand side of the editor boxes in the Menu Item configuration screen. The parameters available depend largely on what kind of layout you are configuring.</p>','',1,0,0,17,'2008-08-12 22:33:10',62,'','2008-08-12 22:33:10',62,0,'0000-00-00 00:00:00','2006-10-11 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',11,0,5,'','',1,72,'',0,'*',''),
	(23,77,'What are the requirements to run Joomla! 1.5?',X'776861742D6172652D7468652D726571756972656D656E74732D746F2D72756E2D6A6F6F6D6C612D3135',X'','<p>Joomla! runs on the PHP pre-processor. PHP comes in many flavours, for a lot of operating systems. Beside PHP you will need a Web server. Joomla! is optimized for the Apache Web server, but it can run on different Web servers like Microsoft IIS it just requires additional configuration of PHP and MySQL. Joomla! also depends on a database, for this currently you can only use MySQL. </p>Many people know from their own experience that it\'s not easy to install an Apache Web server and it gets harder if you want to add MySQL, PHP and Perl. XAMPP, WAMP, and MAMP are easy to install distributions containing Apache, MySQL, PHP and Perl for the Windows, Mac OSX and Linux operating systems. These packages are for localhost installations on non-public servers only.<br />The minimum version requirements are:<br /><ul><li>Apache 1.x or 2.x</li><li>PHP 4.3 or up</li><li>MySQL 3.23 or up</li></ul>For the latest minimum requirements details, see <a href=\"http://www.joomla.org/about-joomla/technical-requirements.html\" target=\"_blank\" title=\"Joomla! Technical Requirements\">Joomla! Technical Requirements</a>.','',1,0,0,13,'2008-08-11 00:42:31',62,'','2008-08-11 00:42:31',62,0,'0000-00-00 00:00:00','2006-10-10 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,5,'','',1,27,'',0,'*',''),
	(24,78,'Extensions',X'657874656E73696F6E73',X'','<p>Out of the box, Joomla! does a great job of managing the content needed to make your Web site sing. But for many people, the true power of Joomla! lies in the application framework that makes it possible for developers all around the world to create powerful add-ons that are called <strong>Extensions</strong>. An Extension is used to add capabilities to Joomla! that do not exist in the base core code. Here are just some examples of the hundreds of available Extensions:</p> <ul>   <li>Dynamic form builders</li>   <li>Business or organisational directories</li>   <li>Document management</li>   <li>Image and multimedia galleries</li>   <li>E-commerce and shopping cart engines</li>   <li>Forums and chat software</li>   <li>Calendars</li>   <li>E-mail newsletters</li>   <li>Data collection and reporting tools</li>   <li>Banner advertising systems</li>   <li>Paid subscription services</li>   <li>and many, many, more</li> </ul> <p>You can find more examples over at our ever growing <a href=\"http://extensions.joomla.org\" target=\"_blank\" title=\"Joomla! Extensions Directory\">Joomla! Extensions Directory</a>. Prepare to be amazed at the amount of exciting work produced by our active developer community!</p><p>A useful guide to the Extension site can be found at:<br /><a href=\"http://extensions.joomla.org/content/view/15/63/\" target=\"_blank\" title=\"Guide to the Joomla! Extension site\">http://extensions.joomla.org/content/view/15/63/</a> </p> <h3>Types of Extensions </h3><p>There are five types of extensions:</p> <ul>   <li>Components</li>   <li>Modules</li>   <li>Templates</li>   <li>Plugins</li>   <li>Languages</li> </ul> <p>You can read more about the specifics of these using the links in the Article Index - a Table of Contents (yet another useful feature of Joomla!) - at the top right or by clicking on the <strong>Next </strong>link below.<br /> </p> <hr title=\"Components\" class=\"system-pagebreak\" /> <h3><img src=\"images/ext_com.png\" border=\"0\" alt=\"Component - Joomla! Extension Directory\" title=\"Component - Joomla! Extension Directory\" width=\"17\" height=\"17\" /> Components</h3> <p>A Component is the largest and most complex of the Extension types.  Components are like mini-applications that render the main body of the  page. An analogy that might make the relationship easier to understand  would be that Joomla! is a book and all the Components are chapters in  the book. The core Article Component (<font face=\"courier new,courier\">com_content</font>), for example, is the  mini-application that handles all core Article rendering just as the  core registration Component (<font face=\"courier new,courier\">com_user</font>) is the mini-application  that handles User registration.</p> <p>Many of Joomla!\'s core features are provided by the use of default Components such as:</p> <ul>   <li>Contacts</li>   <li>Front Page</li>   <li>News Feeds</li>   <li>Banners</li>   <li>Mass Mail</li>   <li>Polls</li></ul><p>A Component will manage data, set displays, provide functions, and in general can perform any operation that does not fall under the general functions of the core code.</p> <p>Components work hand in hand with Modules and Plugins to provide a rich variety of content display and functionality aside from the standard Article and content display. They make it possible to completely transform Joomla! and greatly expand its capabilities.</p>  <hr title=\"Modules\" class=\"system-pagebreak\" /> <h3><img src=\"images/ext_mod.png\" border=\"0\" alt=\"Module - Joomla! Extension Directory\" title=\"Module - Joomla! Extension Directory\" width=\"17\" height=\"17\" /> Modules</h3> <p>A more lightweight and flexible Extension used for page rendering is a Module. Modules are used for small bits of the page that are generally  less complex and able to be seen across different Components. To  continue in our book analogy, a Module can be looked at as a footnote  or header block, or perhaps an image/caption block that can be rendered  on a particular page. Obviously you can have a footnote on any page but  not all pages will have them. Footnotes also might appear regardless of  which chapter you are reading. Simlarly Modules can be rendered  regardless of which Component you have loaded.</p> <p>Modules are like little mini-applets that can be placed anywhere on your site. They work in conjunction with Components in some cases and in others are complete stand alone snippets of code used to display some data from the database such as Articles (Newsflash) Modules are usually used to output data but they can also be interactive form items to input data for example the Login Module or Polls.</p> <p>Modules can be assigned to Module positions which are defined in your Template and in the back-end using the Module Manager and editing the Module Position settings. For example, \"left\" and \"right\" are common for a 3 column layout. </p> <h4>Displaying Modules</h4> <p>Each Module is assigned to a Module position on your site. If you wish it to display in two different locations you must copy the Module and assign the copy to display at the new location. You can also set which Menu Items (and thus pages) a Module will display on, you can select all Menu Items or you can pick and choose by holding down the control key and selecting multiple locations one by one in the Modules [Edit] screen</p> <p>Note: Your Main Menu is a Module! When you create a new Menu in the Menu Manager you are actually copying the Main Menu Module (<font face=\"courier new,courier\">mod_mainmenu</font>) code and giving it the name of your new Menu. When you copy a Module you do not copy all of its parameters, you simply allow Joomla! to use the same code with two separate settings.</p> <h4>Newsflash Example</h4> <p>Newsflash is a Module which will display Articles from your site in an assignable Module position. It can be used and configured to display one Category, all Categories, or to randomly choose Articles to highlight to Users. It will display as much of an Article as you set, and will show a <em>Read more...</em> link to take the User to the full Article.</p> <p>The Newsflash Component is particularly useful for things like Site News or to show the latest Article added to your Web site.</p>  <hr title=\"Plugins\" class=\"system-pagebreak\" /> <h3><img src=\"images/ext_plugin.png\" border=\"0\" alt=\"Plugin - Joomla! Extension Directory\" title=\"Plugin - Joomla! Extension Directory\" width=\"17\" height=\"17\" /> Plugins</h3> <p>One  of the more advanced Extensions for Joomla! is the Plugin. In previous  versions of Joomla! Plugins were known as Mambots. Aside from changing their name their  functionality has been expanded. A Plugin is a section of code that  runs when a pre-defined event happens within Joomla!. Editors are Plugins, for example, that execute when the Joomla! event <font face=\"courier new,courier\">onGetEditorArea</font> occurs. Using a Plugin allows a developer to change  the way their code behaves depending upon which Plugins are installed  to react to an event.</p>  <hr title=\"Languages\" class=\"system-pagebreak\" /> <h3><img src=\"images/ext_lang.png\" border=\"0\" alt=\"Language - Joomla! Extensions Directory\" title=\"Language - Joomla! Extensions Directory\" width=\"17\" height=\"17\" /> Languages</h3> <p>New  to Joomla! 1.5 and perhaps the most basic and critical Extension is a Language. Joomla! is released with multiple Installation Languages but the base Site and Administrator are packaged in just the one Language <strong>en-GB</strong> - being English with GB spelling for example. To include all the translations currently available would bloat the core package and make it unmanageable for uploading purposes. The Language files enable all the User interfaces both Front-end and Back-end to be presented in the local preferred language. Note these packs do not have any impact on the actual content such as Articles. </p> <p>More information on languages is available from the <br />   <a href=\"http://community.joomla.org/translations.html\" target=\"_blank\" title=\"Joomla! Translation Teams\">http://community.joomla.org/translations.html</a></p>','',1,0,0,17,'2008-08-11 06:00:00',62,'','2008-08-11 06:00:00',62,0,'0000-00-00 00:00:00','2006-10-10 22:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',24,0,3,'About Joomla!, General, Extensions','',1,142,'',0,'*',''),
	(25,79,'The Joomla! Community',X'7468652D6A6F6F6D6C612D636F6D6D756E697479',X'','<p><strong>Got a question? </strong>With more than 210,000 members, the Joomla! Discussion Forums at <a href=\"http://forum.joomla.org/\" target=\"_blank\" title=\"Forums\">forum.joomla.org</a> are a great resource for both new and experienced users. Ask your toughest questions the community is waiting to see what you\'ll do with your Joomla! site.</p><p><strong>Do you want to show off your new Joomla! Web site?</strong> Visit the <a href=\"http://forum.joomla.org/viewforum.php?f=514\" target=\"_blank\" title=\"Site Showcase\">Site Showcase</a> section of our forum.</p><p><strong>Do you want to contribute?</strong></p><p>If you think working with Joomla is fun, wait until you start working on it. We\'re passionate about helping Joomla users become contributors. There are many ways you can help Joomla\'s development:</p><ul>	<li>Submit news about Joomla. We syndicate Joomla-related news on <a href=\"http://news.joomla.org\" target=\"_blank\" title=\"JoomlaConnect\">JoomlaConnect<sup>TM</sup></a>. If you have Joomla news that you would like to share with the community, find out how to get connected <a href=\"http://community.joomla.org/connect.html\" target=\"_blank\" title=\"JoomlaConnect\">here</a>.</li>	<li>Report bugs and request features in our <a href=\"http://joomlacode.org/gf/project/joomla/tracker/\" target=\"_blank\" title=\"Joomla! developement trackers\">trackers</a>. Please read <a href=\"http://docs.joomla.org/Filing_bugs_and_issues\" target=\"_blank\" title=\"Reporting Bugs\">Reporting Bugs</a>, for details on how we like our bug reports served up</li><li>Submit patches for new and/or fixed behaviour. Please read <a href=\"http://docs.joomla.org/Patch_submission_guidelines\" target=\"_blank\" title=\"Submitting Patches\">Submitting Patches</a>, for details on how to submit a patch.</li><li>Join the <a href=\"http://forum.joomla.org/viewforum.php?f=509\" target=\"_blank\" title=\"Joomla! development forums\">developer forums</a> and share your ideas for how to improve Joomla. We\'re always open to suggestions, although we\'re likely to be sceptical of large-scale suggestions without some code to back it up.</li><li>Join any of the <a href=\"http://www.joomla.org/about-joomla/the-project/working-groups.html\" target=\"_blank\" title=\"Joomla! working groups\">Joomla Working Groups</a> and bring your personal expertise to the Joomla community. </li></ul><p>These are just a few ways you can contribute. See <a href=\"http://www.joomla.org/about-joomla/contribute-to-joomla.html\" target=\"_blank\" title=\"Contribute\">Contribute to Joomla</a> for many more ways.</p>','',1,0,0,18,'2008-08-12 16:50:48',62,'','2008-08-12 16:50:48',62,0,'0000-00-00 00:00:00','2006-10-11 02:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,0,2,'','',1,59,'',0,'*',''),
	(26,80,'How do I install Joomla! 1.5?',X'686F772D646F2D692D696E7374616C6C2D6A6F6F6D6C612D3135',X'','<p>Installing of Joomla! 1.5 is pretty easy. We assume you have set-up your Web site, and it is accessible with your browser.<br /><br />Download Joomla! 1.5, unzip it and upload/copy the files into the directory you Web site points to, fire up your browser and enter your Web site address and the installation will start.  </p><p>For full details on the installation processes check out the <a href=\"http://help.joomla.org/content/category/48/268/302\" target=\"_blank\" title=\"Joomla! 1.5 Installation Manual\">Installation Manual</a> on the <a href=\"http://help.joomla.org\" target=\"_blank\" title=\"Joomla! Help Site\">Joomla! Help Site</a> where you will also find download instructions for a PDF version too. </p>','',1,0,0,13,'2008-08-11 01:10:59',62,'','2008-08-11 01:10:59',62,0,'0000-00-00 00:00:00','2006-10-10 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,0,3,'','',1,7,'',0,'*',''),
	(27,81,'What is the purpose of the collation selection in the installation screen?',X'776861742D69732D7468652D707572706F73652D6F662D7468652D636F6C6C6174696F6E2D73656C656374696F6E2D696E2D7468652D696E7374616C6C6174696F6E2D73637265656E',X'','The collation option determines the way ordering in the database is done. In languages that use special characters, for instance the German umlaut, the database collation determines the sorting order. If you don\'t know which collation you need, select the \"utf8_general_ci\" as most languages use this. The other collations listed are exceptions in regards to the general collation. If your language is not listed in the list of collations it most likely means that \"utf8_general_ci is suitable.','',1,0,0,14,'2008-08-11 03:11:38',62,'','2008-08-11 03:11:38',62,0,'0000-00-00 00:00:00','2006-10-10 08:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,4,'','',1,9,'',0,'*',''),
	(28,82,'What languages are supported by Joomla! 1.5?',X'776861742D6C616E6775616765732D6172652D737570706F727465642D62792D6A6F6F6D6C612D3135',X'','Within the Installer you will find a wide collection of languages. The installer currently supports the following languages: Arabic, Bulgarian, Bengali, Czech, Danish, German, Greek, English, Spanish, Finnish, French, Hebrew, Devanagari(India), Croatian(Croatia), Magyar (Hungary), Italian, Malay, Norwegian bokmal, Dutch, Portuguese(Brasil), Portugues(Portugal), Romanian, Russian, Serbian, Svenska, Thai and more are being added all the time.<br />By default the English language is installed for the Back and Front-ends. You can download additional language files from the <a href=\"http://extensions.joomla.org\" target=\"_blank\" title=\"Joomla! Extensions Directory\">Joomla!Extensions Directory</a>. ','',1,0,0,14,'2008-08-11 01:12:18',62,'','2008-08-11 01:12:18',62,0,'0000-00-00 00:00:00','2006-10-10 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,0,2,'','',1,8,'',0,'*',''),
	(29,83,'Is it useful to install the sample data?',X'69732D69742D75736566756C2D746F2D696E7374616C6C2D7468652D73616D706C652D64617461',X'','Well you are reading it right now! This depends on what you want to achieve. If you are new to Joomla! and have no clue how it all fits together, just install the sample data. If you don\'t like the English sample data because you - for instance - speak Chinese, then leave it out.','',1,0,0,11,'2008-08-11 09:12:55',62,'','2008-08-11 09:12:55',62,0,'0000-00-00 00:00:00','2006-10-10 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,3,'','',1,3,'',0,'*',''),
	(30,84,'Where is the Static Content Item?',X'77686572652D69732D7468652D7374617469632D636F6E74656E74',X'','<p>In Joomla! versions prior to 1.5 there were separate processes for creating a Static Content Item and normal Content Items. The processes have been combined now and whilst both content types are still around they are renamed as Articles for Content Items and Uncategorized Articles for Static Content Items. </p><p>If you want to create a static item, create a new Article in the same way as for standard content and rather than relating this to a particular Section and Category just select <span style=\"font-style: italic\">Uncategorized</span> as the option in the Section and Category drop down lists.</p>','',1,0,0,12,'2008-08-10 23:13:33',62,'','2008-08-10 23:13:33',62,0,'0000-00-00 00:00:00','2006-10-10 04:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,6,'','',1,6,'',0,'*',''),
	(31,85,'What is an Uncategorised Article?',X'776861742D69732D756E63617465676F72697365642D61727469636C65',X'','Most Articles will be assigned to a Section and Category. In many cases, you might not know where you want it to appear so put the Article in the <em>Uncategorized </em>Section/Category. The Articles marked as <em>Uncategorized </em>are handled as static content.','',1,0,0,13,'2008-08-11 15:14:11',62,'','2008-08-11 15:14:11',62,0,'0000-00-00 00:00:00','2006-10-10 12:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,0,2,'','',1,8,'',0,'*',''),
	(32,86,'Does the PDF icon render pictures and special characters?',X'646F65732D7468652D7064662D69636F6E2D72656E6465722D70696374757265732D616E642D7370656369616C2D63686172616374657273',X'','Yes! Prior to Joomla! 1.5, only the text values of an Article and only for ISO-8859-1 encoding was allowed in the PDF rendition. With the new PDF library in place, the complete Article including images is rendered and applied to the PDF. The PDF generator also handles the UTF-8 texts and can handle any character sets from any language. The appropriate fonts must be installed but this is done automatically during a language pack installation.','',1,0,0,14,'2008-08-11 17:14:57',62,'','2008-08-11 17:14:57',62,0,'0000-00-00 00:00:00','2006-10-10 14:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,3,'','',1,6,'',0,'*',''),
	(33,87,'Is it possible to change A Menu Item\'s Type?',X'69732D69742D706F737369626C652D746F2D6368616E67652D7468652D74797065732D6F662D6D656E752D656E7472696573',X'','<p>You indeed can change the Menu Item\'s Type to whatever you want, even after they have been created. </p><p>If, for instance, you want to change the Blog Section of a Menu link, go to the Control Panel-&gt;Menus Menu-&gt;[menuname]-&gt;Menu Item Manager and edit the Menu Item. Select the <strong>Change Type</strong> button and choose the new style of Menu Item Type from the available list. Thereafter, alter the Details and Parameters to reconfigure the display for the new selection  as you require it.</p>','',1,0,0,13,'2008-08-10 23:15:36',62,'','2008-08-10 23:15:36',62,0,'0000-00-00 00:00:00','2006-10-10 04:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,1,'','',1,302,'',0,'*',''),
	(34,88,'Where did the Installers go?',X'77686572652D6469642D7468652D696E7374616C6C65722D676F',X'','The improved Installer can be found under the Extensions Menu. With versions prior to Joomla! 1.5 you needed to select a specific Extension type when you wanted to install it and use the Installer associated with it, with Joomla! 1.5 you just select the Extension you want to upload, and click on install. The Installer will do all the hard work for you.','',1,0,0,12,'2008-08-10 23:16:20',62,'','2008-08-10 23:16:20',62,0,'0000-00-00 00:00:00','2006-10-10 04:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,1,'','',1,4,'',0,'*',''),
	(35,89,'Where did the Mambots go?',X'77686572652D6469642D7468652D6D616D626F74732D676F',X'','<p>Mambots have been renamed as Plugins. </p><p>Mambots were introduced in Mambo and offered possibilities to add plug-in logic to your site mainly for the purpose of manipulating content. In Joomla! 1.5, Plugins will now have much broader capabilities than Mambots. Plugins are able to extend functionality at the framework layer as well.</p>','',1,0,0,12,'2008-08-11 09:17:00',62,'','2008-08-11 09:17:00',62,0,'0000-00-00 00:00:00','2006-10-10 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,5,'','',1,5,'',0,'*',''),
	(36,90,'I installed with my own language, but the Back-end is still in English',X'692D696E7374616C6C65642D776974682D6D792D6F776E2D6C616E67756167652D6275742D7468652D6261636B2D656E642D69732D7374696C6C2D696E2D656E676C697368',X'','<p>A lot of different languages are available for the Back-end, but by default this language may not be installed. If you want a translated Back-end, get your language pack and install it using the Extension Installer. After this, go to the Extensions Menu, select Language Manager and make your language the default one. Your Back-end will be translated immediately.</p><p>Users who have access rights to the Back-end may choose the language they prefer in their Personal Details parameters. This is of also true for the Front-end language.</p><p> A good place to find where to download your languages and localised versions of Joomla! is <a href=\"http://extensions.joomla.org/index.php?option=com_mtree&task=listcats&cat_id=1837&Itemid=35\" target=\"_blank\" title=\"Translations for Joomla!\">Translations for Joomla!</a> on JED.</p>','',1,0,0,14,'2008-08-11 17:18:14',62,'','2008-08-11 17:18:14',62,0,'0000-00-00 00:00:00','2006-10-10 14:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',7,0,1,'','',1,7,'',0,'*',''),
	(37,91,'How do I remove an Article?',X'686F772D646F2D692D72656D6F76652D616E2D61727469636C65',X'','<p>To completely remove an Article, select the Articles that you want to delete and move them to the Trash. Next, open the Article Trash in the Content Menu and select the Articles you want to delete. After deleting an Article, it is no longer available as it has been deleted from the database and it is not possible to undo this operation.  </p>','',1,0,0,11,'2008-08-11 09:19:01',62,'','2008-08-11 09:19:01',62,0,'0000-00-00 00:00:00','2006-10-10 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,2,'','',1,6,'',0,'*',''),
	(38,92,'What is the difference between Archiving and Trashing an Article? ',X'776861742D69732D7468652D646966666572656E63652D6265747765656E2D617263686976696E672D616E642D7472617368696E672D616E2D61727469636C65',X'','<p>When you <em>Archive </em>an Article, the content is put into a state which removes it from your site as published content. The Article is still available from within the Control Panel and can be <em>retrieved </em>for editing or republishing purposes. Trashed Articles are just one step from being permanently deleted but are still available until you Remove them from the Trash Manager. You should use Archive if you consider an Article important, but not current. Trash should be used when you want to delete the content entirely from your site and from future search results.  </p>','',1,0,0,11,'2008-08-11 05:19:43',62,'','2008-08-11 05:19:43',62,0,'0000-00-00 00:00:00','2006-10-10 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',8,0,1,'','',1,5,'',0,'*',''),
	(39,93,'Newsflash 5',X'6E657773666C6173682D35',X'','Joomla! 1.5 - \'Experience the Freedom\'!. It has never been easier to create your own dynamic Web site. Manage all your content from the best CMS admin interface and in virtually any language you speak.','',1,0,0,9,'2008-08-12 00:17:31',62,'','2008-08-12 00:17:31',62,0,'0000-00-00 00:00:00','2006-10-11 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,0,2,'','',1,4,'',0,'*',''),
	(40,94,'Newsflash 4',X'6E657773666C6173682D34',X'','Yesterday all servers in the U.S. went out on strike in a bid to get more RAM and better CPUs. A spokes person said that the need for better RAM was due to some fool increasing the front-side bus speed. In future, buses will be told to slow down in residential motherboards.','',1,0,0,9,'2008-08-12 00:25:50',62,'','2008-08-12 00:25:50',62,0,'0000-00-00 00:00:00','2006-10-11 06:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',5,0,1,'','',1,5,'',0,'*',''),
	(41,95,'Example Pages and Menu Links',X'6578616D706C652D70616765732D616E642D6D656E752D6C696E6B73',X'','<h4>{jb_info}This page is an example of content that is <em>Uncategorized</em>; that is, it does not belong to any Section or Category. You will see there is a new Menu in the left column. It shows links to the same content presented in 4 different page layouts.{/jb_info}</h4>\r\n<ul>\r\n<li>Section Blog</li>\r\n<li>Section Table</li>\r\n<li> Blog Category</li>\r\n<li>Category Table</li>\r\n</ul>\r\n{jb_greenbox}Follow the links in the <strong>Example Pages</strong> Menu to see some of the options available to you to present all the different types of content included within the default installation of Joomla!.{/jb_greenbox} {jb_blackbox}This includes Components and individual Articles. These links or Menu Item Types (to give them their proper name) are all controlled from within the <span class=\"jb_white\"><strong><span style=\"font-family: \'courier new\', courier;\">Menu Manager-&gt;[menuname]-&gt;Menu Items Manager</span></strong></span>.{/jb_blackbox}','',1,0,0,2,'2008-08-12 09:26:52',62,'','2010-11-11 13:05:37',62,0,'0000-00-00 00:00:00','2006-10-11 10:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',15,0,2,'Uncategorized, Uncategorized, Example Pages and Menu Links','',1,59,'',0,'*',''),
	(42,96,'Joomla! Security Strike Team',X'6A6F6F6D6C612D73656375726974792D737472696B652D7465616D',X'','<p>The Joomla! Project has assembled a top-notch team of experts to form the new Joomla! Security Strike Team. This new team will solely focus on investigating and resolving security issues. Instead of working in relative secrecy, the JSST will have a strong public-facing presence at the <a href=\"http://developer.joomla.org/security.html\" target=\"_blank\" title=\"Joomla! Security Center\">Joomla! Security Center</a>.</p>','<p>The new JSST will call the new <a href=\"http://developer.joomla.org/security.html\" target=\"_blank\" title=\"Joomla! Security Center\">Joomla! Security Center</a> their home base. The Security Center provides a public presence for <a href=\"http://developer.joomla.org/security/news.html\" target=\"_blank\" title=\"Joomla! Security News\">security issues</a> and a platform for the JSST to <a href=\"http://developer.joomla.org/security/articles-tutorials.html\" target=\"_blank\" title=\"Joomla! Security Articles\">help the general public better understand security</a> and how it relates to Joomla!. The Security Center also offers users a clearer understanding of how security issues are handled. There\'s also a <a href=\"http://feeds.joomla.org/JoomlaSecurityNews\" target=\"_blank\" title=\"Joomla! Security News Feed\">news feed</a>, which provides subscribers an up-to-the-minute notification of security issues as they arise.</p>',1,0,0,8,'2007-07-07 09:54:06',62,'','2007-07-07 09:54:06',62,0,'0000-00-00 00:00:00','2004-07-06 22:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,3,'','',1,2,'',0,'*',''),
	(43,97,'Joomla! Community Portal',X'6A6F6F6D6C612D636F6D6D756E6974792D706F7274616C',X'','<p>The <a href=\"http://community.joomla.org/\" target=\"_blank\" title=\"Joomla! Community Portal\">Joomla! Community Portal</a> is now online. There, you will find a constant source of information about the activities of contributors powering the Joomla! Project. Learn about <a href=\"http://community.joomla.org/events.html\" target=\"_blank\" title=\"Joomla! Events\">Joomla! Events</a> worldwide, and see if there is a <a href=\"http://community.joomla.org/user-groups.html\" target=\"_blank\" title=\"Joomla! User Groups\">Joomla! User Group</a> nearby.</p><p>The <a href=\"http://community.joomla.org/magazine.html\" target=\"_blank\" title=\"Joomla! Community Magazine\">Joomla! Community Magazine</a> promises an interesting overview of feature articles, community accomplishments, learning topics, and project updates each month. Also, check out <a href=\"http://community.joomla.org/connect.html\" target=\"_blank\" title=\"JoomlaConnect\">JoomlaConnect&#0153;</a>. This aggregated RSS feed brings together Joomla! news from all over the world in your language. Get the latest and greatest by clicking <a href=\"http://community.joomla.org/connect.html\" target=\"_blank\" title=\"JoomlaConnect\">here</a>.</p>','',1,0,0,8,'2007-07-07 09:54:06',62,'','2007-07-07 09:54:06',62,0,'0000-00-00 00:00:00','2004-07-06 22:00:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,2,'','',1,5,'',0,'*',''),
	(44,98,'Rainforest',X'7261696E666F72657374',X'','<p><img class=\"border\" src=\"images/democontent/lenmetcalfe/lenmetcalf-8111678.jpg\" border=\"0\" alt=\"lenmetcalf-8111678\" width=\"400\" height=\"300\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n','\r\n<p> </p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-06-23 03:04:53',62,'','2011-10-22 00:14:32',62,0,'0000-00-00 00:00:00','2010-06-23 03:04:53','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,0,7,'tree nature','',1,79,'',0,'*',''),
	(45,99,'Orchid Dreams',X'6F72636869642D647265616D73',X'','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/iStock_000015379142XSmall.jpg\" alt=\"iStock 000015379142XSmall\" width=\"425\" height=\"282\" /></p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>&nbsp;</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-06-23 03:06:13',62,'','2012-01-26 23:08:46',62,0,'0000-00-00 00:00:00','2010-06-23 03:06:13','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',37,0,3,'trees landscape nature','',1,485,'',0,'*',''),
	(46,100,'K2 Joomla Template',X'6B322D6A6F6F6D6C612D74656D706C617465',X'','<p><img src=\"images/democontent/k2.jpg\" alt=\"k2\" width=\"650\" height=\"250\" class=\"border\" /></p>\r\n<p>This template provides additional styles for <a href=\"http://www.getk2.org/\">K2</a> from <a href=\"http://www.joomlaworks.gr/\">Joomlaworks</a>. This very popular extension gives you additional means to control and create content. You are free to use this template without K2, but we have done the extra work to style K2 to fit the whole theme. Here is an excerpt about K2 and what it can do for you.</p>\r\n<p>&nbsp;</p>\r\n','\r\n<p>\"It provides an out-of-the box integrated solution featuring rich content forms for items (think of Joomla! articles with additional fields for article images, videos, image galleries and attachments), nested-level categories, tags, comments, a system to extend the item base form with additional fields (similar to <a href=\"http://drupal.org/project/cck\" target=\"_blank\">CCK</a> for those acquainted with <a href=\"http://drupal.org/\" target=\"_blank\">Drupal</a>), a powerful plugin API to extend item, category and user forms, ACL, frontend editing, sub-templates and a lot more! <br /><br /> Using K2, you can transform your Joomla! website to a news/magazine site with author blogs, product catalogs, work portfolio, knowledge base, download/document manager, directory listing, event listing and more, all this bundled under one package! Since K2 is extensible with additional fields to its base item form, you can easily create category-specific content types, e.g. article, blog post, product page, directory listing.\"</p>\r\n<p><br /><br /></p>\r\n<p>Here is a list of some of its features:</p>\r\n<ul>\r\n<li>Content creation</li>\r\n<li>Custom fields</li>\r\n<li>Image galleries</li>\r\n<li>Add videos to items</li>\r\n<li>Author profiles</li>\r\n<li>Social bookmarking</li>\r\n<li>Dozens of modules to display K2 content</li>\r\n<li>And more!</li>\r\n</ul>',1,0,0,20,'2010-07-03 10:05:17',62,'','2011-10-18 05:59:44',62,0,'0000-00-00 00:00:00','2010-07-03 10:05:17','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',19,0,8,'','',1,203,'',0,'*',''),
	(47,101,'Bespoke Verbosity',X'626573706F6B652D766572626F73697479',X'','<p><img class=\"border\" src=\"images/democontent/stockimages/iStock_000018037407XSmall.jpg\" alt=\"iStock 000018037407XSmall\" width=\"425\" height=\"282\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>&nbsp;</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-07-10 07:14:59',62,'','2012-01-26 23:20:48',62,0,'0000-00-00 00:00:00','2010-07-10 07:14:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,0,6,'nature','',1,96,'',0,'*',''),
	(48,102,'Opening Glory',X'6F70656E696E672D676C6F7279',X'','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/iStock_000018129406XSmall.jpg\" border=\"0\" alt=\"iStock 000018129406XSmall\" width=\"425\" height=\"282\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Duis urna urna, viverra eu rhoncus vel, facilisis ac dui. Aliquam et massa nec enim molestie gravida vitae sit amet justo! Etiam suscipit erat vitae orci malesuada a venenatis velit ultricies. Nulla facilisi. Etiam turpis velit, aliquam vitae laoreet pretium, fringilla sed nulla? Aenean tincidunt imperdiet lorem, ut cursus ipsum mattis eget. Sed ornare, massa id luctus placerat, leo sapien sagittis quam, eget accumsan ligula magna non justo. In ut justo a nisi sagittis auctor in in turpis. Morbi ullamcorper ante ut ipsum condimentum molestie. Mauris tincidunt massa ultricies augue faucibus placerat. Maecenas nec quam mauris. Vestibulum eget felis sed magna adipiscing tristique sed in metus. Praesent urna neque, molestie vehicula fringilla et, vestibulum vitae neque. Etiam semper risus id turpis hendrerit a iaculis enim vestibulum. Aliquam mattis accumsan diam, et tristique diam dictum nec.</p>\r\n<p>Ut eget ligula velit? Donec feugiat arcu nec risus pulvinar vitae scelerisque arcu pellentesque! Maecenas velit nisi, semper eget laoreet a, vestibulum vel est. In hac habitasse platea dictumst. Duis massa nibh, vehicula a facilisis eu, rhoncus quis justo. In tincidunt lectus vel nunc sodales sed luctus arcu feugiat! Praesent a leo leo. Donec aliquet semper elementum. Donec sed sem sem. Cras euismod pharetra sem, ut convallis odio semper et. Aliquam erat volutpat. Nulla facilisi. Mauris non mauris nibh! Ut convallis laoreet sapien, eu molestie odio gravida sed. Mauris sit amet lorem eu velit semper suscipit ac sit amet odio. Vivamus auctor quam tortor, sit amet interdum sem.</p>\r\n<p>Suspendisse potenti. Vestibulum mollis hendrerit leo quis accumsan. Ut eget fermentum tellus. Aliquam rutrum fringilla eros vitae mattis. Aenean et arcu erat, at pulvinar ipsum. Vestibulum semper dignissim orci, eget semper ipsum posuere ac. Cras in augue eu erat mollis tincidunt id vitae metus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse justo sem, convallis in iaculis vel, elementum ut orci? Nulla dui nunc, ornare id luctus at, ornare sit amet purus.</p>\r\n<hr title=\"page2\" class=\"system-pagebreak\" />\r\n<p> </p>\r\n<p>Morbi feugiat sollicitudin tincidunt. Etiam elementum magna egestas massa condimentum sodales. Maecenas bibendum lobortis sapien, sed dictum justo congue et. Praesent sagittis nunc in erat facilisis euismod volutpat enim fringilla. Morbi sit amet porttitor massa. Phasellus ullamcorper, ante eget iaculis bibendum; tortor lorem mattis libero, quis lacinia nisi diam eget metus. Vivamus a magna sapien, vitae auctor erat. Fusce nec lectus nisl. Cras purus massa, ornare non tempor eget, semper eu risus. Mauris pharetra blandit mi at faucibus! Vivamus rhoncus placerat nisi, sit amet dapibus mauris pellentesque vitae. Maecenas ultrices nulla vel eros posuere ut feugiat felis molestie. Ut consequat, eros in sollicitudin fringilla; urna felis pellentesque mauris, non tincidunt ante libero sed nisi.</p>\r\n<p>Morbi dictum dapibus dolor non feugiat. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Cras eu urna massa, blandit accumsan lectus. Cras massa odio, sodales id consectetur id, tristique sit amet nisl. Nunc fermentum est vitae nisi facilisis nec tempus est dignissim. Integer a nibh lectus. Morbi neque ante, tempus non ullamcorper ac, viverra eu diam? Fusce a odio sit amet nulla eleifend feugiat vel tincidunt metus. Nunc non faucibus nibh. Sed interdum condimentum augue mattis eleifend. Donec egestas lacinia lectus eget varius? Morbi interdum accumsan imperdiet?</p>\r\n<p>Maecenas sodales tempor felis, in vulputate purus consectetur id. Sed at nisi lorem. Praesent dictum ultricies aliquet! Duis scelerisque tortor quis odio imperdiet sit amet pretium lectus egestas. Quisque auctor posuere velit a gravida. Etiam mi tellus, porta sit amet auctor nec, consequat quis arcu? In eleifend orci tortor. Ut ullamcorper tellus sit amet purus consectetur a bibendum est malesuada. Sed a dui lorem. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla sit amet venenatis mauris. Mauris hendrerit lobortis leo, et el</p>',1,0,0,21,'2010-07-10 07:21:41',62,'','2012-02-02 01:51:23',62,0,'0000-00-00 00:00:00','2010-07-10 07:21:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',16,0,5,'nature landscape','',1,138,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(49,103,'Midnight Meadow',X'6D69646E696768742D6D6561646F77',X'','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/iStock_000018251287XSmall.jpg\" alt=\"iStock 000018251287XSmall\" width=\"347\" height=\"346\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>&nbsp;</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-07-10 07:41:34',62,'','2012-01-26 23:17:32',62,0,'0000-00-00 00:00:00','2010-07-10 07:41:34','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',61,0,4,'plants nature','',1,319,'',1,'*',''),
	(50,104,'JB Type',X'7479706F677261706879',X'','<p>&nbsp;</p>\r\n<p><img src=\"images/democontent/extensions/JBtype.png\" width=\"128\" height=\"128\" alt=\"JBtype\" class=\"floatleft\" /></p>\r\n<h3>The following styles are generated by the JB Type plugin that provides some stunning styling for your content using some very simple syntax.</h3>\r\n<p>&nbsp;</p>\r\n','\r\n<div class=\"clear\"></div>\r\n<p>&nbsp;</p>\r\n\r\n<div class=\"grid_six\">\r\n<h3>Coloured Discs</h3>\r\n<p><em>The coloured discs styles are bright and colourful alternatives to your ordered lists. The style is ideally suited to stylign a single digit like a number or a letter to give the impression of creating an ordered list.</em></p>\r\n<p>{jb_bluedisc}1{/jb_bluedisc} This is the jb_bluedisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n<p>{jb_greendisc}2{/jb_greendisc} This is the jb_greendisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&nbsp;</p>\r\n<p>{jb_reddisc}3{/jb_reddisc} This is the jb_reddisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&nbsp;</p>\r\n<p>{jb_blackdisc}4{/jb_blackdisc} This is the jb_blackdisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&nbsp;</p>\r\n<p>{jb_greydisc}5{/jb_greydisc} This is the jb_greydisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&nbsp;</p>\r\n<p>{jb_purpledisc}6{/jb_purpledisc} This is the jb_purpledisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&nbsp;</p>\r\n<p>{jb_yellowdisc}7{/jb_yellowdisc} This is the jb_yellowdisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n<p>{jb_orangedisc}8{/jb_orangedisc} This is the jb_orangedisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n<p>{jb_charcoaldisc}9{/jb_charcoaldisc} This is the jb_charcoaldisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.</p>\r\n<p>{jb_browndisc}10{/jb_browndisc} This is the jb_browndisc style. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum.&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<h3>Simple Span Colours</h3>\r\n<p>{jb_black}jb_black - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_black}</p>\r\n<p>{jb_blue}jb_blue - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_blue}</p>\r\n<p>{jb_red}jb_red - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_red}</p>\r\n<p>{jb_green}jb_green - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_green}</p>\r\n<p>{jb_yellow}jb_yellow - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_yellow}</p>\r\n<p>{jb_white}jb_white - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_white}</p>\r\n<p>{jb_brown}jb_brown - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_brown}</p>\r\n<p>{jb_purple}jb_purple - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_purple}</p>\r\n</div>\r\n<div class=\"grid_six jblast\">\r\n<h3>Some elegant icons from the <a href=\"http://somerandomdude.com/projects/iconic/\">iconic icon set</a>.</h3>\r\n<p>{jb_iconic_info}This is some text rendered using the jb_iconic_info syntax.{/jb_iconic_info}</p>\r\n<p>{jb_iconic_star}This is some text rendered using the jb_iconic_star syntax.{/jb_iconic_star}</p>\r\n<p>{jb_iconic_heart}This is some text rendered using the jb_iconic_heart syntax.{/jb_iconic_heart}</p>\r\n<p>{jb_iconic_tag}This is some text rendered using the jb_iconic_tag syntax.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrival}This is some text rendered using the jb_iconic_arrival syntax.{/jb_iconic_arrival}</p>\r\n<p>{jb_iconic_truck}This is some text rendered using the jb_iconic_truck syntax.{/jb_iconic_truck}</p>\r\n<p>{jb_iconic_arrow}This is some text rendered using the jb_iconic_arrow syntax.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_article}This is some text rendered using the jb_iconic_article syntax.{/jb_iconic_article}</p>\r\n<p>{jb_iconic_email}This is some text rendered using the jb_iconic_email syntax.{/jb_iconic_email}</p>\r\n<p>{jb_iconic_beaker}This is some text rendered using the jb_iconic_beaker syntax.{/jb_iconic_beaker}</p>\r\n<p>{jb_iconic_book}This is some text rendered using the jb_iconic_book syntax.{/jb_iconic_book}</p>\r\n<p>{jb_iconic_bolt}This is some text rendered using the jb_iconic_bolt syntax.{/jb_iconic_bolt}</p>\r\n<p>{jb_iconic_box}This is some text rendered using the jb_iconic_box syntax.{/jb_iconic_box}</p>\r\n<p>{jb_iconic_calendar}This is some text rendered using the jb_iconic_calendar syntax.{/jb_iconic_calendar}</p>\r\n<p>{jb_iconic_comment}This is some text rendered using the jb_iconic_comment syntax.{/jb_iconic_comment}</p>\r\n<p>{jb_iconic_tick}This is some text rendered using the jb_iconic_tick syntax.{/jb_iconic_tick}</p>\r\n<p>{jb_iconic_cloud}This is some text rendered using the jb_iconic_cloud syntax.{/jb_iconic_cloud}</p>\r\n<p>{jb_iconic_document}This is some text rendered using the jb_iconic_document syntax.{/jb_iconic_document}</p>\r\n<p>{jb_iconic_image}This is some text rendered using the jb_iconic_image syntax.{/jb_iconic_image}</p>\r\n<p>{jb_iconic_lightbulb}This is some text rendered using the jb_iconic_lightbulb syntax.{/jb_iconic_lightbulb}</p>\r\n<p>{jb_iconic_search}This is some text rendered using the jb_iconic_search syntax.{/jb_iconic_search}</p>\r\n<p>{jb_iconic_mail}This is some text rendered using the jb_iconic_mail syntax.{/jb_iconic_mail}</p>\r\n<p>{jb_iconic_dash}This is some text rendered using the jb_iconic_dash syntax.{/jb_iconic_dash}</p>\r\n<p>{jb_iconic_movie}This is some text rendered using the jb_iconic_movie syntax.{/jb_iconic_movie}</p>\r\n<p>{jb_iconic_download}This is some text rendered using the jb_iconic_download syntax.{/jb_iconic_download}</p>\r\n<p>&nbsp;</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<h3>Blockquotes</h3>\r\n<p>{jb_quote}jb_quote - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_quote}</p>\r\n<p>{jb_quoteleft}jb_quoteleft - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_quoteleft}</p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.</p>\r\n<div class=\"clear\"></div>\r\n<p>{jb_quoteright}jb_quoteright - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_quoteright}</p>\r\n<p>Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.</p>\r\n<h3>Coquette Icons</h3>\r\n<p>{jb_clear}{/jb_clear} {jb_info}jb_info - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_info}</p>\r\n<p>{jb_warning}jb_warning - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_warning} {jb_film}jb_film - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_film}</p>\r\n<p>{jb_pin}jb_pin - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_pin}</p>\r\n<p>{jb_lightbulb}jb_lightbulb - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_lightbulb}</p>\r\n<p>{jb_recycle}jb_recycle - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_recycle}</p>\r\n<p>{jb_camera}jb_camera - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_camera}</p>\r\n<p>{jb_comment}jb_comment - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_comment}</p>\r\n<p>{jb_chat}jb_chat - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_chat}</p>\r\n<p>{jb_document}jb_document - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_document}</p>\r\n<p>{jb_accessible}jb_accessible - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_accessible}</p>\r\n<p>{jb_star}jb_star - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_star}</p>\r\n<p>{jb_heart}jb_heart - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_heart}</p>\r\n<p>{jb_previous}jb_previous - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_previous}</p>\r\n<p>{jb_cart}jb_cart - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_cart}</p>\r\n<p>{jb_sound}jb_sound - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_sound}</p>\r\n<p>{jb_new}jb_new - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_new}</p>\r\n<p>{jb_code}jb_code - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_code}</p>\r\n<p>{jb_attachment}jb_attachment - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_attachment} {jb_calculator}jb_calculator - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_calculator} {jb_cut}jb_cut - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_cut} {jb_dollar}jb_dollar - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_dollar} {jb_pound}jb_pound - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_pound} {jb_euro}jb_euro - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_euro} {jb_mail}jb_mail Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_mail} {jb_support}jb_support - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_support} {jb_next}jb_next - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_next}</p>\r\n<h3>Coloured Boxes</h3>\r\n<p>{jb_blackbox}jb_blackbox - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_blackbox} {jb_greenbox}jb_greenbox - tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_greenbox} {jb_redbox}jb_redbox - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_redbox} {jb_purplebox}jb_purplebox - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_purplebox} {jb_bluebox}jb_bluebox - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_bluebox} {jb_brownbox}jb_brownbox - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_brownbox} {jb_yellowbox}jb_yellowbox - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_yellowbox}</p>\r\n<p>&nbsp;</p>\r\n<h3>Dropcap</h3>\r\n<p>{jb_dropcap}T{/jb_dropcap}his is the jb_dropcapDonec tempus fringilla neque ac iaculis. Aenean eget ipsum elit, ac dapibus turpis. Nulla non felis est. Duis lacinia felis eu metus suscipit volutpat. Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.</p>\r\n<div class=\"clear\"></div>\r\n<p><br /><br /></p>\r\n<h3>Pull Quotes</h3>\r\n<p>{jb_left45}jb_left45 - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_left45}</p>\r\n<p>{jb_right45}jb_right45 - Morbi tincidunt lectus nec sapien tempus at faucibus ante fermentum. Aliquam condimentum volutpat odio lacinia vehicula.{/jb_right45}</p>',1,0,0,20,'2010-07-15 05:46:16',62,'','2011-10-14 00:43:11',62,0,'0000-00-00 00:00:00','2010-07-15 05:46:16','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',73,0,13,'','',1,522,'',0,'*',''),
	(58,112,'Module Positions',X'6D6F64756C652D706F736974696F6E73',X'','<p><img class=\"border\" src=\"images/democontent/documentation/modulepositions.jpg\" border=\"0\" alt=\"modulepositions\" width=\"650\" height=\"309\" /></p>\r\n<p>This template is built using the Zen Grid Framework and contains 52 module positions for you to use to create flexible page layouts. For a full understanding of how the module positions work in framework compatible templates please visit the Zen Grid Framework documentation.</p>\r\n<p>The screenshot below highlights the modules available in this template. For a run down on how we created the demo site for this template please visit the setup menu item and review the documentation available there.</p>\r\n<p> </p>\r\n','\r\n<p><img src=\"images/democontent/LIfestyleModulePositions.png\" border=\"0\" alt=\"\" /></p>',1,0,0,20,'2010-07-15 06:04:55',62,'','2012-02-06 07:18:37',62,0,'0000-00-00 00:00:00','2010-07-15 06:04:55','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',33,0,11,'','',1,312,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(59,113,'__404__',X'343034',X'5F5F3430345F5F','<h1>Bad karma: we can\'t find that page!</h1>\r\n<p>You asked for <strong>{%sh404SEF_404_URL%}</strong>, but despite our computers looking very hard, we could not find it. What happened ?</p>\r\n<ul>\r\n<li>the link you clicked to arrive here has a typo in it</li>\r\n<li>or somehow we removed that page, or gave it another name</li>\r\n<li>or, quite unlikely for sure, maybe you typed it yourself and there was a little mistake ?</li>\r\n</ul>\r\n<h4>{sh404sefSimilarUrlsCommentStart}It\'s not the end of everything though : you may be interested in the following pages on our site:{sh404sefSimilarUrlsCommentEnd}</h4>\r\n<p>{sh404sefSimilarUrls}</p>\r\n<p> </p>','',1,0,0,2,'2009-01-09 12:00:00',62,'','2010-08-25 11:25:12',62,0,'2009-01-09 12:00:00','2009-01-09 12:00:00','0000-00-00 00:00:00','','','{\"menu_image\":-1,\"show_title\":0,\"show_section\":0,\"show_category\":\"0show_vote=0\",\"show_author\":0,\"show_create_date\":0,\"show_modify_date\":0,\"show_pdf_icon\":0,\"show_print_icon\":0,\"show_email_icon\":0,\"pageclass_sfx\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,1,'','',1,1,'',0,'*',''),
	(66,120,'Module classes',X'6D6F64756C652D636C6173736573',X'','<img src=\"images/democontent/zengridframework/moduleclasses.jpg\" width=\"650\" height=\"250\" alt=\"moduleclasses\" class=\"border\" /><p>The Responsive Joomla template comes with some standard module classes to apply to your modules to create unique highlighting for your module content. These classes are available across all Zen Grid Framework version2 templates but may have been modified in your template\'s theme or hilite css file.</p>\r\n<div class=\"clear\"></div>\r\n','\r\n<p>&nbsp;</p>\r\n<h3>Module Classes</h3>\r\n<div class=\"grid_four\">\r\n<p><strong>-border</strong></p>\r\n<img src=\"images/democontent/moduleclasses/border.png\" width=\"221\" height=\"170\" alt=\"border\" /> <br /><br />\r\n<p><strong>-border2</strong></p>\r\n<img src=\"images/democontent/moduleclasses/border2.png\" width=\"221\" height=\"170\" alt=\"border2\" /></div>\r\n<div class=\"grid_four\">\r\n<p><strong>-notice</strong></p>\r\n<img src=\"images/democontent/moduleclasses/notice.png\" width=\"221\" height=\"170\" alt=\"notice\" /><br /><br />\r\n<p><strong>-success</strong></p>\r\n<img src=\"images/democontent/moduleclasses/success.png\" width=\"221\" height=\"170\" alt=\"success\" /></div>\r\n<div class=\"grid_four zenlast\">\r\n<p><strong>-warning</strong></p>\r\n<img src=\"images/democontent/moduleclasses/warning.png\" width=\"221\" height=\"170\" alt=\"warning\" /><br /><br />\r\n<p><strong>-shadow</strong></p>\r\n<img src=\"images/democontent/moduleclasses/shadow.png\" width=\"221\" height=\"170\" alt=\"shadow\" /></div>\r\n<p><br /><br /></p>\r\n<div class=\"grid_four\"><br /><br />\r\n<p><strong>-rounded</strong></p>\r\n<p><strong><img src=\"images/democontent/moduleclasses/rounded.png\" width=\"221\" height=\"170\" alt=\"rounded\" /></strong></p>\r\n</div>',1,0,0,20,'2010-09-14 10:36:43',62,'','2011-10-18 04:25:57',62,0,'0000-00-00 00:00:00','2010-09-14 10:36:43','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',39,0,6,'','',1,100,'',0,'*',''),
	(67,121,'All about pink',X'616C6C2D61626F75742D70696E6B',X'','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/iStock_000018037983XSmall.jpg\" alt=\"iStock 000018037983XSmall\" width=\"347\" height=\"346\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>&nbsp;</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-07-10 07:41:34',62,'','2012-01-26 23:07:14',62,0,'0000-00-00 00:00:00','2010-07-10 07:41:34','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',15,0,2,'trees landscape flower','',1,187,'',1,'*',''),
	(68,122,'8th Wonder {jb_br}{jb_i}of the world{/jb_i}',X'3874682D776F6E6465722D6F662D7468652D776F726C64',X'','<p><img src=\"images/democontent/slideshow/landscape.jpg\" border=\"0\" /></p>','',1,0,0,22,'2010-07-10 07:21:41',62,'','2012-01-23 08:25:13',62,0,'0000-00-00 00:00:00','2010-07-10 07:21:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',12,0,1,'','',1,24,'',0,'*',''),
	(69,123,'Full Width',X'66756C6C2D7769647468',X'','<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:36:10',62,'','2012-01-26 13:00:00',62,0,'0000-00-00 00:00:00','2010-11-22 23:36:10','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,8,'','',1,52,'',0,'*',''),
	(70,124,'Left Column',X'6C6566742D636F6C756D6E',X'','<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:36:20',62,'','2012-02-06 07:25:20',62,0,'0000-00-00 00:00:00','2010-11-22 23:36:20','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,0,7,'','',1,98,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(71,125,'Right Column',X'72696768742D636F6C756D6E',X'','<p>&nbsp;</p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:36:30',62,'','2011-10-18 04:35:29',62,0,'0000-00-00 00:00:00','2010-11-22 23:36:30','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,6,'','',1,85,'',0,'*',''),
	(72,126,'Left and right column',X'6C6566742D616E642D72696768742D636F6C756D6E',X'','<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:36:40',62,'','2010-11-22 23:54:12',62,0,'0000-00-00 00:00:00','2010-11-22 23:36:40','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":0,\"show_print_icon\":0,\"show_email_icon\":0,\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,5,'','',1,112,'',0,'*',''),
	(73,127,'Left and Center',X'6C6566742D616E642D63656E746572',X'','<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:36:50',62,'','2011-10-18 04:35:07',62,0,'0000-00-00 00:00:00','2010-11-22 23:36:50','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,4,'','',1,113,'',0,'*',''),
	(74,128,'Center and right',X'63656E7465722D616E642D7269676874',X'','<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:37:00',62,'','2011-10-18 04:34:53',62,0,'0000-00-00 00:00:00','2010-11-22 23:37:00','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,3,'','',1,40,'',0,'*',''),
	(75,129,'Left, center and right',X'6C6566742D63656E7465722D616E642D7269676874',X'','<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>','',1,0,0,25,'2010-11-22 23:37:26',62,'','2010-11-22 23:53:41',62,0,'0000-00-00 00:00:00','2010-11-22 23:37:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":0,\"show_print_icon\":0,\"show_email_icon\":0,\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,0,1,'','',1,46,'',0,'*',''),
	(76,130,'Template Features',X'74656D706C6174652D6665617475726573',X'','<p><img class=\"border\" src=\"images/democontent/zengridframework.png\" border=\"0\" alt=\"zengridframework\" width=\"650\" height=\"250\" /></p>\r\n<p> </p>\r\n','\r\n<h2 style=\"font-size: 1.5em; text-align: center;\">Lifestyle is built on the Zen Grid Framework.</h2>\r\n<p>The Zengrid framework is a powerful and feature rich Joomla template framework that caters to designers, developers and site builders alike. Check out it\'s incredible features:</p>\r\n<p> </p>\r\n<div class=\"grid_six\">\r\n<div class=\"features\">\r\n<h2>Awesome font control</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/fontcontrol.jpg\" border=\"0\" alt=\"fontcontrol\" width=\"80\" height=\"80\" />Combine the power of the 250+ font families available in the <a href=\"http://www.google.com/webfonts\">Google Font Directory</a> with the simplicity of the <a href=\"http://typekit.com/\">Typekit</a> font replacement system.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Flexible layouts</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/ipadicon.jpg\" border=\"0\" alt=\"ipadicon\" width=\"80\" height=\"80\" />Choose from fixed width, percentage based fluid and mobile friendly responsive layouts. Also conveniently hide module on mobile devices.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Easily change template colours</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/customstyle.png\" border=\"0\" alt=\"ipadicon\" width=\"80\" height=\"80\" />Easily change template colours using the built-in colour picker and custom selectors.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Translation and localisation</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/translation.jpg\" border=\"0\" alt=\"translation\" width=\"80\" height=\"80\" />All templates are easily localised by simply editing or creating your own language translation of both the template admin and the template front end.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>A multitude of modules</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/modulePositions.jpg\" border=\"0\" alt=\"modulePositions\" width=\"80\" height=\"80\" />Almost all Zen Grid Framework based templates take advantage of the 50+ module positions that exist in the core framework. You wont always need to use 50 module positions but if you do - then we have you covered.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Social Icons</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/socialicons.png\" border=\"0\" alt=\"socialicons\" width=\"80\" height=\"80\" />Integrated support for twitter, Facebook and a stack of other social media links and icons.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>CSS and Javascript Compression</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/compression.jpg\" border=\"0\" alt=\"compression\" width=\"80\" height=\"80\" />The framework combines and compresses the javascript and css delivered by the template and framework which reduces http requests when loading the site and reduces files sizes of your web site\'s core assets.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Easily add your own css and javascript</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/user.png\" border=\"0\" alt=\"socialicons\" width=\"80\" height=\"80\" />Upload your own css and javascript files to the template\'s user folder and have them automatically included in your site.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Integrated Google Analytics</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/google.jpg\" border=\"0\" alt=\"google\" width=\"80\" height=\"80\" />Easily set up Google analytics on your Joomla website by simply pasting your analytics code into the template administrator interface.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Hidden Panel</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/panel.jpg\" border=\"0\" alt=\"panel\" width=\"80\" height=\"80\" />Need to create a slick fly out or dropdown panel for your Joomla site? Just publish any module to a panel position and the framework will do the rest.</p>\r\n</div>\r\n<div class=\"features zenlast\">\r\n<h2>Remove Mootools</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/mootools.jpg\" border=\"0\" alt=\"mootools\" width=\"80\" height=\"80\" />If you dont need Mootools on your site then it\'s easy to set the option to not load Mootools on your site which can be a significant advantage when it comes to page load on your site.</p>\r\n</div>\r\n</div>\r\n<div class=\"grid_six zenlast\">\r\n<div class=\"features\">\r\n<h2>A beautiful user interface</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/ui.png\" border=\"0\" alt=\"User Interface\" width=\"80\" height=\"80\" />Version 2 of the Zen Grid Framework sports a beautiful user interface that makes using framework a true joy.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Template admin access control</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/useraccess.png\" border=\"0\" alt=\"User Interface\" width=\"80\" height=\"80\" />Ever have a customer that wants that likes to fiddle with template settings? The Zen Grid framework now gives you the option to remove selected options from the template administrator interface.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>A beautiful offline page</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/offline.png\" border=\"0\" alt=\"Markup\" width=\"80\" height=\"80\" />When your site isn\'t quite ready to reply you can show a simple and streamlined offline page for your users.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Useful frontend debug mode</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/debug.png\" border=\"0\" alt=\"Markup\" width=\"80\" height=\"80\" />Easily display helpful template information and settings on the front end of your site to help familiarise yourself with framework functionality.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Built-in documentation</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/documentation.png\" border=\"0\" alt=\"Markup\" width=\"80\" height=\"80\" />Never leave the template admin again with the complex built-in framework and template documentation built into the template interface.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Clean markup</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/cleanmarkup.png\" border=\"0\" alt=\"Markup\" width=\"80\" height=\"80\" />The Zen Grid Framework features clean and reusable markup based on a flexible and scalable percentage grid that makes it super easy to scale your content according to screen size.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Three menu systems to choose from</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/menus.jpg\" border=\"0\" alt=\"menus\" width=\"80\" height=\"80\" />Each Zen Grid Framework template has the option of displaying your menus in either a jQuery powered superfish menu, split menu or accordion like panel menu. The menus are delivered via the core Joomla menu module and are a snap to set up.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>Tabbed Modules</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/tabs.jpg\" border=\"0\" alt=\"tabs\" width=\"80\" height=\"80\" />A tabbed interface can easily be created by simply publishing any module of your choosing to the tab1, tab2, tab3, tab4 positions. Take a look at the <a href=\"http://bambootheme.com/showcase/aug11/\" target=\"_blank\">Meridian</a> Joomla template\'s front page for a quick demo.</p>\r\n</div>\r\n<div class=\"features\">\r\n<h2>IE6 PNG Fix</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/ie6icon.jpg\" border=\"0\" alt=\"ie6icon\" width=\"80\" height=\"80\" />The framework also supports a png dix for transparent images for the Internet Explorer 6 browser.</p>\r\n</div>\r\n<div class=\"features zenlast\">\r\n<h2>Rebrandable</h2>\r\n<p><img class=\"floatleft border\" src=\"images/democontent/zengridframework/ourlogo.jpg\" border=\"0\" alt=\"ourlogo\" width=\"80\" height=\"80\" />Removing our branding on the front end of the template is an easy toggle in the template admin.</p>\r\n</div>\r\n</div>',1,0,0,20,'2011-06-09 11:53:38',62,'','2012-02-06 07:17:31',62,0,'0000-00-00 00:00:00','2011-06-09 11:53:38','0000-00-00 00:00:00','','','{\"show_title\":\"1\",\"link_titles\":\"\",\"show_intro\":\"0\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',82,0,1,'','',1,472,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(77,131,'All Module positions',X'616C6C2D6D6F64756C652D706F736974696F6E73',X'','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>','',1,0,0,25,'2011-06-13 06:30:37',62,'','2011-06-16 06:55:49',62,0,'0000-00-00 00:00:00','2011-06-13 06:30:37','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,2,'','',1,776,'',1,'*',''),
	(78,132,'Inner growth',X'696E6E65722D67726F777468',X'','<p><img class=\"border\" src=\"images/democontent/democontent/Fotolia_697232_XS.jpg\" border=\"0\" alt=\"Fotolia 697232_XS\" width=\"400\" height=\"300\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem.</p>\r\n<hr title=\"Part Two\" alt=\"Part Two\" class=\"system-pagebreak\" />\r\n<p> </p>\r\n<p>Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p> </p>\r\n<hr title=\"Part Three\" alt=\"Part Three\" class=\"system-pagebreak\" />\r\n<p> </p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<hr title=\"Part Four\" alt=\"Part Four\" class=\"system-pagebreak\" />\r\n<p> </p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-07-10 07:21:41',62,'','2012-02-03 05:05:02',62,0,'0000-00-00 00:00:00','2010-07-10 07:21:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}',10,0,8,'nature','',1,27,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(79,133,'Grass retrospective',X'67726173732D726574726F7370656374697665',X'','<p><img class=\"border floatleft\" src=\"images/democontent/stockimages/iStock_000015320462XSmall.jpg\" alt=\"iStock 000015320462XSmall\" width=\"425\" height=\"282\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>&nbsp;</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',1,0,0,21,'2010-07-10 07:22:09',62,'','2012-01-26 23:06:09',62,0,'0000-00-00 00:00:00','2010-07-10 07:22:09','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',11,0,1,'flower plants nature','',1,51,'',0,'*',''),
	(80,134,'Basic Typography',X'74797065',X'','<p><img src=\"images/democontent/zengridframework/typography.jpg\" width=\"650\" height=\"250\" alt=\"typography\" class=\"border\" /></p>\r\n<p>The Zen Grid Framework uses a combination of elements from popular css frameworks available. The following highlights the standard typographical element styling that is available across all Zen Grid Framework v2 Joomla templates.</p>\r\n','\r\n<div class=\"grid_six\">\r\n<h1>Heading 1</h1>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h2>Heading 2</h2>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h3>Heading 3</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n</div>\r\n<div class=\"grid_six jblast\">\r\n<h4>Heading 4</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h5>Heading 5</h5>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<h6>Heading 6</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<p>&nbsp;</p>\r\n<p><strong>A simple paragraph.</strong></p>\r\n<p>With some <em>italic text</em>, some <strong>bold text</strong> and an <span style=\"text-decoration: underline;\">underline</span>.&nbsp;Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>\r\n<p>&nbsp;</p>\r\n<p><strong>Code / Pre Tags</strong></p>\r\n<p><code>&lt;ul&gt;<br />&lt;li&gt;Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.&lt;/li&gt;<br />&lt;li&gt;Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.<br />&lt;ul&gt;<br />&lt;li&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit.&lt;/li&gt;<br />&lt;li&gt;Aliquam tincidunt mauris eu risus:&lt;ol&gt;<br />&lt;li&gt;Lorem ipsum dolor sit amet, consectetuer adipiscing elit.&lt;/li&gt;<br />&lt;li&gt;Aliquam tincidunt mauris eu risus.&lt;/li&gt;<br />&lt;li&gt;Vestibulum auctor dapibus neque.&lt;/li&gt;<br />&lt;/ol&gt;&lt;/li&gt;<br />&lt;li&gt;Vestibulum auctor dapibus neque.&lt;/li&gt;<br />&lt;/ul&gt;<br />&lt;/li&gt;<br />&lt;li&gt;Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.&lt;/li&gt;<br />&lt;li&gt;Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.&lt;/li&gt;<br />&lt;/ul&gt;</code></p>\r\n<p><br /><br /></p>\r\n<h2>Some Notices and warnings</h2>\r\n<div class=\"notice\"><strong>A div with the notice class applied to it.</strong><br /> This is a basic notice message, without a header it might even look nicer.</div>\r\n<div class=\"success\"><strong>This is a basic success message.</strong><br /> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>\r\n<div class=\"error\"><strong>A div with the error class applied to it.</strong> <br /> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>\r\n<p>&nbsp;</p>\r\n<h2>Blockquotes</h2>\r\n<blockquote>A simple &lt;blockquote&gt; style. consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.</blockquote>\r\n<p><br /><br /></p>\r\n<h2>Unordered, ordered and nested lists</h2>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus:<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n<li>Vestibulum auctor dapibus neque.</li>\r\n</ol></li>\r\n<li>Vestibulum auctor dapibus neque.</li>\r\n</ul>\r\n</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<h2>Images</h2>\r\n<p><strong>An image with a border class.</strong></p>\r\n<p><em>Images will also scale to the width of the content when the browser is resized.</em></p>\r\n<p><img src=\"images/democontent/lenmetcalfe/_4148807.jpg\" width=\"560\" height=\"420\" alt=\" 4148807\" class=\"border\" /></p>\r\n<p><br /><br /></p>\r\n<h2>Buttons</h2>\r\n<p><button>I am a button</button> <br /><br /><br /><br /></p>\r\n<h2>Other markup code</h2>\r\n<p><a>hyperlink</a><br /> <abbr title=\"title\">abbreviation</abbr><br /> <b>offset text typically styled in bold</b><br /> <cite>cited title of a work</cite><br /> <del>deleted text</del><br /> <dfn title=\"title\">defining instance</dfn><br /> <em>emphatic stress</em><br /> <i>offset text typically styled in italic</i><br /> <ins>inserted text</ins><br /> <kbd>user input</kbd><br /> <mark>marked (highlighted) text</mark><br /><samp>sample output</samp><br /> <small>small print</small><br /> <strong>strong importance</strong><br /> <sup>superscript</sup> <sub>subscript</sub><br /> <var>variable or placeholder text</var></p>',1,0,0,20,'2011-09-17 10:50:26',62,'','2011-10-19 00:58:10',62,0,'0000-00-00 00:00:00','2011-09-17 10:50:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',89,0,4,'','',1,230,'',0,'*',''),
	(81,135,'Reusable grid layouts for your content',X'677269642D6C61796F757473',X'','<img src=\"images/democontent/zengridframework/gridsincontent.jpg\" width=\"650\" height=\"250\" alt=\"gridsincontent\" class=\"border\" /><p>The blocks of text below are controlled via width classes that are built into the Zen Grid Framework.&nbsp;The classes scale according to your browser width and are useful for employing complex or interesting content layouts directly within your Joomla content.</p>\r\n','\r\n<h2>4 columns grid</h2>\r\n<div class=\"grid_three\">\r\n<p><strong>Grid_four.</strong> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium.</p>\r\n</div>\r\n<div class=\"grid_three\">\r\n<p><strong>Grid_four</strong>. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium.</p>\r\n</div>\r\n<div class=\"grid_three\">\r\n<p><strong>Grid_four</strong>. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium.</p>\r\n</div>\r\n<div class=\"grid_three jblast\">\r\n<p><strong>Grid_four<strong style=\"font-weight: bold; font-style: inherit;\">&nbsp;w/ zenlast class</strong><br /></strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo.</p>\r\n</div>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<h2>You can access the grid classes below in your wysiwyg editor.</h2>\r\n<p><img src=\"images/democontent/documentation/gridsincontent.png\" class=\"border\" alt=\"gridsincontent\" /></p>\r\n<p>&nbsp;</p>\r\n<div class=\"grid_twelve\"><br />\r\n<h2>A code sample</h2>\r\n<p><strong>Please note that since we are floating paragraphs both left and right you also need to clear the row of paragraphs after each row is populated. You can see a snippet of the html used below as an example.</strong></p>\r\n<pre>&lt;h2&gt;Simple 2 columns grid&lt;/h2&gt;<br />\r\n<br />&lt;div class=\"grid_six\"&gt;<br />&lt;p&gt;&lt;strong&gt;grid_six&lt;/strong&gt;.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.&lt;/p&gt;<br />&lt;/div&gt;<br />&lt;div class=\"grid_six jblast\"&gt;<br />&lt;p&gt;&lt;strong&gt;grid_six with the zenlast class&lt;/strong&gt;.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.&lt;/p&gt;<br />&lt;/div&gt;\r\n&lt;div class=\"clear\"&gt;&lt;/div&gt;</pre>\r\n<p>&nbsp;</p>\r\n<h2>Simple 2 columns grid</h2>\r\n</div>\r\n<div class=\"grid_six\">\r\n<p><strong>grid_six</strong>.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"grid_six jblast\">\r\n<p><strong>grid_six with the zenlast class</strong>.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<h2>4 columns grid</h2>\r\n<div class=\"grid_three\">\r\n<p><strong>Grid_four.</strong> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"grid_three\">\r\n<p><strong>Grid_four</strong>. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"grid_three\">\r\n<p><strong>Grid_four</strong>. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"grid_three jblast\">\r\n<p><strong>Grid_four<strong style=\"font-weight: bold; font-style: inherit;\">&nbsp;with the zenlast class</strong><br /></strong>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"grid_nine\">\r\n<h2>2 columns, main content and sidebar</h2>\r\n<p><strong>Grid_nine</strong>.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo. Mauris ultricies sapien id dolor lacinia porta. Etiam egestas pharetra molestie. Donec ullamcorper laoreet nisi et pulvinar.</p>\r\n</div>\r\n<div class=\"grid_three jblast\">\r\n<h2>Sidebar</h2>\r\n<h3>With a subtitle</h3>\r\n<p><strong style=\"font-weight: bold; font-style: inherit;\">Grid_three<strong style=\"font-weight: bold; font-style: inherit;\">&nbsp;with the zenlast class</strong></strong></p>\r\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla facilisis justo dictum justo accumsan pretium. Vestibulum sodales massa id dolor eleifend in bibendum odio pulvinar. Donec id laoreet augue. Nulla suscipit arcu vitae metus pellentesque cursus eu nec massa. Donec nec quam velit. Suspendisse potenti. Nam in est et nibh accumsan porta in eget lacus. Maecenas vestibulum scelerisque diam, nec tristique enim interdum a. Fusce eget sem justo.&nbsp;</div>\r\n<div class=\"clear\"></div>\r\n<h2>Units</h2>\r\n<div class=\"grid_one \">\r\n<h3>grid_one</h3>\r\n<p>Lorem ipsum dolor sit amet</p>\r\n</div>\r\n<div class=\"grid_eleven  jblast\">\r\n<h3>grid_eleven</h3>\r\n<p>&nbsp;</p>\r\n<p><strong style=\"font-weight: bold; font-style: inherit;\">Grid_eleven<strong style=\"font-weight: bold; font-style: inherit;\">&nbsp;with the zenlast class</strong></strong></p>\r\nLorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.\r\n<p>&nbsp;</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"grid_two\">\r\n<h3>grid_two</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer&nbsp;</p>\r\n</div>\r\n<div class=\"grid_ten jblast\">\r\n<h3>grid_ten with additional zenlast class.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"grid_three\">\r\n<h3>grid_three</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam&nbsp;</p>\r\n</div>\r\n<div class=\"grid_nine jblast\">\r\n<h3>grid_nine&nbsp;with additional zenlast class</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"grid_four\">\r\n<h3>grid_four</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.&nbsp;</p>\r\n</div>\r\n<div class=\"grid_eight jblast\">\r\n<h3>grid_eight&nbsp;with additional zenlast class</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"grid_five\">\r\n<h3>grid_five</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud&nbsp;</p>\r\n</div>\r\n<div class=\"grid_seven jblast\">\r\n<h3>grid_seven&nbsp;with additional zenlast class</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"grid_six\">\r\n<h3>grid_six</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n</div>\r\n<div class=\"grid_six jblast\">\r\n<h3>grid_six&nbsp;with additional zenlast class</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>\r\n</div>',1,0,0,20,'2011-09-19 06:29:37',62,'','2011-10-18 03:53:46',62,0,'0000-00-00 00:00:00','2011-09-19 06:29:37','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',49,0,3,'','',1,83,'',1,'*',''),
	(83,137,'02',X'3032',X'','<p><img src=\"images/democontent/slideshow/01.jpg\" border=\"0\" /></p>','',1,0,0,22,'2010-07-10 07:21:41',62,'','2012-01-13 04:40:19',62,0,'0000-00-00 00:00:00','2010-07-10 07:21:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,2,'','',1,5,'',0,'*',''),
	(84,138,'03',X'3033',X'','<p><img src=\"images/democontent/slideshow/01.jpg\" border=\"0\" /></p>','',1,0,0,22,'2010-07-10 07:21:41',62,'','2012-01-13 04:40:43',62,0,'0000-00-00 00:00:00','2010-07-10 07:21:41','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,3,'','',1,4,'',0,'*',''),
	(85,139,'A study in Green',X'612D73747564792D696E2D677265656E',X'','<p><img src=\"images/democontent/sea/iStock_000018120730Small.jpg\" width=\"693\" height=\"693\" alt=\"iStock 000018120730Small\" class=\"border floatleft\" />Penatibus lundium pid arcu aenean augue auctor ultrices, lectus nunc ac! Hac, augue, pellentesque tortor lundium, placerat sociis tempor odio cum vut sociis vel, amet sociis in, pulvinar, dis. Mid, phasellus sed ac phasellus dolor, nunc odio adipiscing elit pulvinar, amet arcu.</p>\r\n<p><strong>Et risus?</strong> Massa purus dis dis integer et tortor rhoncus vel, magnis mauris eu, elementum sociis, turpis in, urna elit platea nisi et enim turpis lorem egestas. Lacus, sed urna mus pid nec tempor, in rhoncus scelerisque purus urna magna et pulvinar? Auctor sagittis tincidunt, eu?</p>\r\n','\r\n<p>&nbsp;</p>\r\n<div class=\"clear\"></div>\r\n<p><br /><br /></p>\r\n<h3>More about Me</h3>\r\n<p>Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc. Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! {jb_quote}Porttitor! Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue.{/jb_quote}</p>\r\n<p>{jb_iconic_star}<strong>Mus! Facilisis porttitor vut ac,</strong> proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea. Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt?{/jb_iconic_star}</p>\r\n<p>{jb_iconic_star}<strong> Lacus, dis magnis.</strong> Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_star}</p>\r\n<p>{jb_iconic_heart}<strong>A non! Sed! Turpis parturient,</strong> ut egestas, mattis auctor aliquam duis nascetur urna arcu ultrices nunc augue. Et dignissim cursus dapibus placerat elementum? Ultricies ut facilisis natoque sagittis hac tincidunt cras, purus, scelerisque amet in tempor, rhoncus sed sociis ultricies montes vel integer porta! Porta magna nec? Odio placerat est odio dapibus mauris massa et, ac urna, phasellus hac, parturient enim, et cras, cursus, risus. {/jb_iconic_heart}</p>\r\n<p>{jb_iconic_tag}<strong>Ac lundium, egestas, enim.</strong> Dignissim odio, mid cursus facilisis in, ac! Urna sit, et natoque eros lundium? Aenean et vel? Tortor, pulvinar! Velit? Nisi, nisi! Quis vel rhoncus, etiam? Odio, non etiam lorem proin integer egestas et turpis.{/jb_iconic_tag}</p>',1,0,0,28,'2012-01-03 01:19:18',62,'','2012-01-26 22:45:37',62,0,'0000-00-00 00:00:00','2012-01-03 01:19:18','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,4,'','',1,9,'',0,'*',''),
	(86,140,'Macro Gerbera',X'6D6163726F2D67657262657261',X'','<p><img src=\"images/democontent/stockimages/iStock_000015950961Small.jpg\" class=\"border floatleft\" width=\"693\" height=\"693\" alt=\"iStock 000015950961Small\" />Penatibus lundium pid arcu aenean augue auctor ultrices, lectus nunc ac! Hac, augue, pellentesque tortor lundium, placerat sociis tempor odio cum vut sociis vel, amet sociis in, pulvinar, dis. Mid, phasellus sed ac phasellus dolor, nunc odio adipiscing elit pulvinar, amet arcu.</p>\r\n<p><strong>Et risus?</strong> Massa purus dis dis integer et tortor rhoncus vel, magnis mauris eu, elementum sociis, turpis in, urna elit platea nisi et enim turpis lorem egestas. Lacus, sed urna mus pid nec tempor, in rhoncus scelerisque purus urna magna et pulvinar? Auctor sagittis tincidunt, eu?</p>\r\n','\r\n<p>&nbsp;</p>\r\n<div class=\"clear\"></div>\r\n<p><br /><br /></p>\r\n<h3>More about Me</h3>\r\n<p>Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc. Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! {jb_quote}Porttitor! Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue.{/jb_quote}</p>\r\n<p>{jb_iconic_star}<strong>Mus! Facilisis porttitor vut ac,</strong> proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea. Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt?{/jb_iconic_star}</p>\r\n<p>{jb_iconic_star}<strong> Lacus, dis magnis.</strong> Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_star}</p>\r\n<p>{jb_iconic_heart}<strong>A non! Sed! Turpis parturient,</strong> ut egestas, mattis auctor aliquam duis nascetur urna arcu ultrices nunc augue. Et dignissim cursus dapibus placerat elementum? Ultricies ut facilisis natoque sagittis hac tincidunt cras, purus, scelerisque amet in tempor, rhoncus sed sociis ultricies montes vel integer porta! Porta magna nec? Odio placerat est odio dapibus mauris massa et, ac urna, phasellus hac, parturient enim, et cras, cursus, risus. {/jb_iconic_heart}</p>\r\n<p>{jb_iconic_tag}<strong>Ac lundium, egestas, enim.</strong> Dignissim odio, mid cursus facilisis in, ac! Urna sit, et natoque eros lundium? Aenean et vel? Tortor, pulvinar! Velit? Nisi, nisi! Quis vel rhoncus, etiam? Odio, non etiam lorem proin integer egestas et turpis.{/jb_iconic_tag}</p>',1,0,0,28,'2012-01-03 01:19:18',62,'','2012-01-26 22:52:58',62,0,'0000-00-00 00:00:00','2012-01-03 01:19:18','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',9,0,3,'','',1,17,'',0,'*',''),
	(87,141,'Golden Grass',X'676F6C64656E2D6772617373',X'','<p><img src=\"images/democontent/stockimages/iStock_000018216414Small.jpg\" width=\"849\" height=\"565\" alt=\"iStock 000018216414Small\" class=\"floatleft border\" />Penatibus lundium pid arcu aenean augue auctor ultrices, lectus nunc ac! Hac, augue, pellentesque tortor lundium, placerat sociis tempor odio cum vut sociis vel, amet sociis in, pulvinar, dis. Mid, phasellus sed ac phasellus dolor, nunc odio adipiscing elit pulvinar, amet arcu.</p>\r\n<p><strong>Et risus?</strong> Massa purus dis dis integer et tortor rhoncus vel, magnis mauris eu, elementum sociis, turpis in, urna elit platea nisi et enim turpis lorem egestas. Lacus, sed urna mus pid nec tempor, in rhoncus scelerisque purus urna magna et pulvinar? Auctor sagittis tincidunt, eu?</p>\r\n','\r\n<p>&nbsp;</p>\r\n<div class=\"clear\"></div>\r\n<p><br /><br /></p>\r\n<h3>More about Me</h3>\r\n<p>Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc. Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! {jb_quote}Porttitor! Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue.{/jb_quote}</p>\r\n<p>{jb_iconic_star}<strong>Mus! Facilisis porttitor vut ac,</strong> proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea. Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt?{/jb_iconic_star}</p>\r\n<p>{jb_iconic_star}<strong> Lacus, dis magnis.</strong> Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_star}</p>\r\n<p>{jb_iconic_heart}<strong>A non! Sed! Turpis parturient,</strong> ut egestas, mattis auctor aliquam duis nascetur urna arcu ultrices nunc augue. Et dignissim cursus dapibus placerat elementum? Ultricies ut facilisis natoque sagittis hac tincidunt cras, purus, scelerisque amet in tempor, rhoncus sed sociis ultricies montes vel integer porta! Porta magna nec? Odio placerat est odio dapibus mauris massa et, ac urna, phasellus hac, parturient enim, et cras, cursus, risus. {/jb_iconic_heart}</p>\r\n<p>{jb_iconic_tag}<strong>Ac lundium, egestas, enim.</strong> Dignissim odio, mid cursus facilisis in, ac! Urna sit, et natoque eros lundium? Aenean et vel? Tortor, pulvinar! Velit? Nisi, nisi! Quis vel rhoncus, etiam? Odio, non etiam lorem proin integer egestas et turpis.{/jb_iconic_tag}</p>',1,0,0,28,'2012-01-03 01:19:18',62,'','2012-01-26 22:55:03',62,0,'0000-00-00 00:00:00','2012-01-03 01:19:18','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',6,0,2,'','',1,16,'',1,'*',''),
	(89,143,'Sepia Study',X'73657069612D7374756479',X'','<p><img src=\"images/democontent/stockimages/iStock_000018209303Small.jpg\" width=\"693\" height=\"693\" alt=\"iStock 000018209303Small\" class=\"floatleft border\" />Penatibus lundium pid arcu aenean augue auctor ultrices, lectus nunc ac! Hac, augue, pellentesque tortor lundium, placerat sociis tempor odio cum vut sociis vel, amet sociis in, pulvinar, dis. Mid, phasellus sed ac phasellus dolor, nunc odio adipiscing elit pulvinar, amet arcu.</p>\r\n<p><strong>Et risus?</strong> Massa purus dis dis integer et tortor rhoncus vel, magnis mauris eu, elementum sociis, turpis in, urna elit platea nisi et enim turpis lorem egestas. Lacus, sed urna mus pid nec tempor, in rhoncus scelerisque purus urna magna et pulvinar? Auctor sagittis tincidunt, eu?</p>\r\n','\r\n<p>&nbsp;</p>\r\n<div class=\"clear\"></div>\r\n<p><br /><br /></p>\r\n<h3>More about Me</h3>\r\n<p>Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc. Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! {jb_quote}Porttitor! Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue.{/jb_quote}</p>\r\n<p>{jb_iconic_star}<strong>Mus! Facilisis porttitor vut ac,</strong> proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea. Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt?{/jb_iconic_star}</p>\r\n<p>{jb_iconic_star}<strong> Lacus, dis magnis.</strong> Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_star}</p>\r\n<p>{jb_iconic_heart}<strong>A non! Sed! Turpis parturient,</strong> ut egestas, mattis auctor aliquam duis nascetur urna arcu ultrices nunc augue. Et dignissim cursus dapibus placerat elementum? Ultricies ut facilisis natoque sagittis hac tincidunt cras, purus, scelerisque amet in tempor, rhoncus sed sociis ultricies montes vel integer porta! Porta magna nec? Odio placerat est odio dapibus mauris massa et, ac urna, phasellus hac, parturient enim, et cras, cursus, risus. {/jb_iconic_heart}</p>\r\n<p>{jb_iconic_tag}<strong>Ac lundium, egestas, enim.</strong> Dignissim odio, mid cursus facilisis in, ac! Urna sit, et natoque eros lundium? Aenean et vel? Tortor, pulvinar! Velit? Nisi, nisi! Quis vel rhoncus, etiam? Odio, non etiam lorem proin integer egestas et turpis.{/jb_iconic_tag}</p>',1,0,0,28,'2012-01-03 01:19:18',62,'','2012-01-26 22:53:41',62,0,'0000-00-00 00:00:00','2012-01-03 01:19:18','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',13,0,1,'','',1,32,'',0,'*',''),
	(91,145,'Customised',X'637573746F6D69736564',X'','<p><img class=\"floatleft\" src=\"images/democontent/icons/redTwitter.jpg\" border=\"0\" alt=\"redTwitter\" width=\"53\" height=\"60\" />Rhoncus hac porttitor nascetur. Placerat?</p>\r\n<p>{jb_iconic_search}Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! Porttitor!{/jb_iconic_search}</p>\r\n','\r\n<p>{jb_iconic_tag}Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue. Phasellus. Phasellus massa. Et rhoncus, etiam porttitor ultrices tristique mattis rhoncus, in? Amet quis, lacus nascetur purus, phasellus, tincidunt, vel diam adipiscing turpis.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrow}Mus! Facilisis porttitor vut ac, proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_heart}Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt? Lacus, dis magnis. Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_heart}</p>',1,0,0,29,'2012-01-04 05:08:26',62,'','2012-01-11 19:45:11',62,0,'0000-00-00 00:00:00','2012-01-04 05:08:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',18,0,4,'','',1,16,'',0,'*',''),
	(92,146,'Scalable',X'7363616C61626C65',X'','<p><img class=\"floatleft\" src=\"images/democontent/icons/pallette.jpg\" border=\"0\" alt=\"pallette\" width=\"53\" height=\"56\" />Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc.</p>\r\n<p> </p>\r\n<p>{jb_iconic_search}Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! Porttitor!{/jb_iconic_search}</p>\r\n','\r\n<p>{jb_iconic_tag}Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue. Phasellus. Phasellus massa. Et rhoncus, etiam porttitor ultrices tristique mattis rhoncus, in? Amet quis, lacus nascetur purus, phasellus, tincidunt, vel diam adipiscing turpis.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrow}Mus! Facilisis porttitor vut ac, proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_heart}Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt? Lacus, dis magnis. Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_heart}</p>',1,0,0,29,'2012-01-04 05:08:26',62,'','2012-01-11 19:42:12',62,0,'0000-00-00 00:00:00','2012-01-04 05:08:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,0,3,'','',1,9,'',0,'*',''),
	(93,147,'User Friendly',X'757365722D667269656E646C79',X'','<p><img class=\"floatleft\" src=\"images/democontent/icons/paint.jpg\" border=\"0\" alt=\"paint\" width=\"53\" height=\"56\" />Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc.</p>\r\n<p> </p>\r\n<p>{jb_iconic_search}Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! Porttitor!{/jb_iconic_search}</p>\r\n','\r\n<p>{jb_iconic_tag}Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue. Phasellus. Phasellus massa. Et rhoncus, etiam porttitor ultrices tristique mattis rhoncus, in? Amet quis, lacus nascetur purus, phasellus, tincidunt, vel diam adipiscing turpis.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrow}Mus! Facilisis porttitor vut ac, proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_heart}Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt? Lacus, dis magnis. Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_heart}</p>',1,0,0,29,'2012-01-04 05:08:26',62,'','2012-01-11 19:47:04',62,0,'0000-00-00 00:00:00','2012-01-04 05:08:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,6,'','',1,2,'',0,'*',''),
	(94,148,'Support',X'737570706F7274',X'','<p><img class=\"floatleft\" src=\"images/democontent/icons/crayons.jpg\" border=\"0\" alt=\"crayons\" width=\"54\" height=\"57\" />Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc.</p>\r\n<p> </p>\r\n<p>{jb_iconic_search}Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! Porttitor!{/jb_iconic_search}</p>\r\n','\r\n<p>{jb_iconic_tag}Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue. Phasellus. Phasellus massa. Et rhoncus, etiam porttitor ultrices tristique mattis rhoncus, in? Amet quis, lacus nascetur purus, phasellus, tincidunt, vel diam adipiscing turpis.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrow}Mus! Facilisis porttitor vut ac, proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_heart}Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt? Lacus, dis magnis. Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_heart}</p>',1,0,0,29,'2012-01-04 05:08:26',62,'','2012-01-11 19:46:42',62,0,'0000-00-00 00:00:00','2012-01-04 05:08:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',3,0,5,'','',1,2,'',0,'*',''),
	(95,149,'Zentools Slideshow',X'7A656E746F6F6C732D736C69646573686F77',X'','<p><strong>Overview</strong></p>\r\n<p>The Zentools slideshow is a responsive slideshow that is simple to use.</p>\r\n<p> </p>\r\n<p><strong>Features</strong></p>\r\n<ul>\r\n<li>A responsive slideshow that responds to the width of your template.</li>\r\n<li>Display any number of core elements sourced from Joomla, K2 or images from a folder.<strong> </strong></li>\r\n<li>Multipl epagination options inclusing thumbnails, titles, numbers and discs.</li>\r\n<li>A selection of simple pre-built themes.</li>\r\n<li>Next / Previous buttons.</li>\r\n<li>Control slideshow speed and duration.</li>\r\n<li>Multiple slideshows on a single page.</li>\r\n</ul>\r\n<p> </p>\r\n<p><strong>Slideshow using the overlay theme</strong></p>\r\n<p>The overlay theme positions the image of the slideshow underneath the other elements assigned to the module. To use this layout effectively you must make sure that the image is the first image in the ordering of tags int he admin.</p>\r\n<p>The example below features the thumbnails as pagination option.</p>\r\n<p>{loadposition slideshow}</p>\r\n<p> </p>\r\n<p> </p>\r\n<p><strong style=\"font-weight: bold; font-style: inherit;\">Slideshow using the flat theme.</strong></p>\r\n<p>The flat theme allows you to create a number of different layouts using the</p>\r\n<p>The example below features the number pagination option.</p>\r\n<p> </p>\r\n<p>{loadposition slideshow2}</p>\r\n<p> </p>\r\n<p><strong><br /></strong></p>','',1,0,0,20,'2012-01-05 02:05:47',62,'','2012-02-06 07:30:41',62,0,'0000-00-00 00:00:00','2012-01-05 02:05:47','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',4,0,12,'','',1,50,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*',''),
	(96,150,'Zentools Carousel',X'7A656E746F6F6C732D6361726F7573656C',X'','<p><strong>Overview</strong></p>\r\n<p>The Zentools carousel is a responsive carousel (resize your browser) that scales to suit the width of your page. The examples below are highlighting the subtle image effects available in the module.</p>\r\n<p> </p>\r\n<p><strong>Carousel Features</strong></p>\r\n<ul>\r\n<li>Responsive: responds to the width of your page (resize your browser to see)</li>\r\n<li>Display unlimited images from a folder, Joomla or K2 content.</li>\r\n<li>Determine the base width of the carousel item</li>\r\n<li>Determine the minimum number of items to display in a carousel at one time.</li>\r\n<li>When the page is resized the current item is returned to the visible part of the carousel.</li>\r\n<li>Based on the <a href=\"http://www.google.com/url?sa=t&amp;rct=j&amp;q=elastislide&amp;source=web&amp;cd=1&amp;ved=0CCUQFjAA&amp;url=http://tympanus.net/codrops/2011/09/12/elastislide-responsive-carousel/&amp;ei=O_reTrX_EaSsiAfhh9yfBQ&amp;usg=AFQjCNF8Yipy9NtllPiEFu939RPtpCys3Q&amp;sig2=ZkVgTocJF8CZuxSyMgTsqg\">elastislide</a> carousel script.</li>\r\n</ul>\r\n<p><strong>Rounded shadow example</strong></p>\r\n<p>The shadow example below is another implementation of css3 to generate a subtle shadow effect on the image. The relevant css is .zenshadow img.</p>\r\n<p>The carousel is displaying a selection of images loaded from a folder.</p>\r\n<p>{loadposition carousel}</p>','',1,0,0,20,'2012-01-05 02:17:12',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-01-05 02:17:12','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,10,'','',1,34,'',0,'*',''),
	(97,151,'Zentools Accordion',X'7A656E746F6F6C732D6163636F7264696F6E',X'','<p>Accordion mode</p>\r\n','\r\n<p>{loadposition accordion}</p>',1,0,0,20,'2012-01-05 02:24:15',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-01-05 02:24:15','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,9,'','',1,31,'',0,'*',''),
	(98,152,'Zentools Grid',X'7A656E746F6F6C732D67726964',X'','<p><strong>Overview</strong></p>\r\n<p>The Zentools grid layout is a classic multi-column responsive grid that scales to fit your template.</p>\r\n<p> </p>\r\n<p><strong>Features</strong></p>\r\n<ul>\r\n<li>A flexible grid based on 1 to 12 columns</li>\r\n<li>Create columns within columns.</li>\r\n</ul>\r\n<p><strong>A simple grid </strong></p>\r\n<p>{loadposition grid}</p>\r\n<p><strong style=\"font-weight: bold; font-style: inherit;\">Lots of columns</strong></p>\r\n<p>{loadposition zengrid2}</p>\r\n<p><strong style=\"font-weight: bold; font-style: inherit;\">Columns within columns</strong></p>\r\n<p>{loadposition zengrid3}</p>','',1,0,0,20,'2012-01-05 02:30:59',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-01-05 02:30:59','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,7,'','',1,53,'',0,'*',''),
	(99,153,'Zentools List',X'7A656E746F6F6C732D6C697374',X'','<p><strong>Overview</strong></p>\r\n<p>The Zentools list layout is the perfect layout for when you need to display your content in a simple unordered list.</p>\r\n<p> </p>\r\n<p><strong>Features</strong></p>\r\n<ul>\r\n<li>Each item is rendered underneath the next one in a vertical list.</li>\r\n<li>Create layouts that include up to four columns.</li>\r\n</ul>\r\n<h3>Two columns</h3>\r\n<p>A simple blog style two column layout using Joomla as the content source.</p>\r\n<p>{loadposition list}</p>\r\n<p> </p>\r\n<h3>Three Columns</h3>\r\n<p>A three column list layout rendering content from Joomla.</p>\r\n<p>{loadposition list2}</p>\r\n<p> </p>\r\n<h3>A K2 Example</h3>\r\n<p>The following example uses k2 as the content source. The module provides a setting to replace the image from the item with a video if the video exists. It is also possible to display both he image and the video for each item.</p>\r\n<p>{loadposition list3}</p>\r\n<p> </p>\r\n<h3>Four Columns</h3>\r\n<p>A four column layout using K2 as it\'s source.</p>\r\n<p> </p>\r\n<p>{loadposition list4}</p>\r\n<p> </p>','',1,0,0,20,'2012-01-05 02:41:08',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2012-01-05 02:41:08','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,5,'','',1,22,'',0,'*',''),
	(100,154,'Zentools Masonry',X'7A656E746F6F6C732D6D61736F6E7279',X'','<p><strong>Overview</strong></p>\r\n<p>The best way to think of the <a href=\"http://masonry.desandro.com/\">jQuery Masonry</a> effect is that it\'s the opposite of css floats. Whereas floating elements with css will organise each block horizontally (see the <a href=\"index.php?option=com_content&amp;view=article&amp;id=202:zentools-accordion&amp;catid=60:zentools&amp;Itemid=206\">grid layout</a>), masonry organises each block vertically. The blocks on the page consequently organise themselves based on the next available space below the preceding block, like a jigsaw puzzle or as the name suggests a piece of masonry.</p>\r\n<p><strong>Two main layout options. </strong></p>\r\n<p>There are two main ways that zentools implements the masonry layout.</p>\r\n<ul>\r\n<li>Widths specified by the meta keywords - as shown below. (setup instructions below).</li>\r\n<li>Equal number of columns. <a href=\"index.php?option=com_content&amp;view=article&amp;id=213:zentools-masonry&amp;catid=60:zentools\">Example here</a>.</li>\r\n</ul>\r\n<p><strong>Features</strong></p>\r\n<ul>\r\n<li>Create dynamic and flexible layouts using multiple width items as well as <a href=\"index.php?option=com_content&amp;view=article&amp;id=213:zentools-masonry&amp;catid=60:zentools\">equal width</a> items.</li>\r\n<li>Display any number of core elements from your Joomla or K2 content or images retrieved from a folder.</li>\r\n<li>Media queries revert all items to a 100% width for smaller screens.</li>\r\n</ul>\r\n<p><strong>Responding to small screens</strong></p>\r\n<p>If you resize this page you will be able to see that rather than rendering smaller and smaller columns on mobile resolutions we have used some media queries to specify that when the browser reaches the width of 520px, all of the columns collpase into a single column. This is a uniform behaviour for all of the Zentool module layouts.</p>\r\n<p><strong>The item category overlay</strong></p>\r\n<p>The platform template has some specific css added for the zentools module to display the category element as an overlay on top of the image. In order to display the category name in this way you need to ensure that the category element is the second item in the zentools list while the first is the image. If this is not the case then the category layout will display in a normal \"flat\" method.</p>\r\n<p><strong>Masonry using equal widths </strong></p>\r\n<p>{loadposition masonry}</p>','',1,0,0,20,'2012-01-05 02:55:12',62,'','2012-01-05 02:56:07',62,0,'0000-00-00 00:00:00','2012-01-05 02:55:12','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',2,0,2,'','',1,18,'',0,'*',''),
	(101,155,'Less Risky',X'6C6573732D7269736B79',X'','<p><img class=\"floatleft\" src=\"images/democontent/icons/crayons.jpg\" border=\"0\" alt=\"crayons\" width=\"54\" height=\"57\" />Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc.</p>\r\n<p> </p>\r\n<p>{jb_iconic_search}Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! Porttitor!{/jb_iconic_search}</p>\r\n','\r\n<p>{jb_iconic_tag}Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue. Phasellus. Phasellus massa. Et rhoncus, etiam porttitor ultrices tristique mattis rhoncus, in? Amet quis, lacus nascetur purus, phasellus, tincidunt, vel diam adipiscing turpis.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrow}Mus! Facilisis porttitor vut ac, proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_heart}Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt? Lacus, dis magnis. Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_heart}</p>',1,0,0,29,'2012-01-04 05:08:26',62,'','2012-01-11 19:21:10',62,0,'0000-00-00 00:00:00','2012-01-04 05:08:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,0,1,'','',1,1,'',0,'*',''),
	(102,156,'Quick and Easy',X'717569636B2D616E642D65617379',X'','<p><img class=\"floatleft\" src=\"images/democontent/icons/paint.jpg\" border=\"0\" alt=\"paint\" width=\"53\" height=\"56\" />Rhoncus hac porttitor nascetur. Placerat? Ridiculus magna tincidunt auctor, mattis vel rhoncus odio, augue, enim, arcu urna vel nunc.</p>\r\n<p> </p>\r\n<p>{jb_iconic_search}Elementum magna porttitor magna est turpis augue turpis integer lundium, cursus eros urna porttitor hac habitasse in augue lorem magna elit et sociis placerat habitasse in porta rhoncus mattis lectus aliquam nec, odio adipiscing sit adipiscing, nisi lundium, ultrices scelerisque, risus adipiscing, adipiscing! Porttitor!{/jb_iconic_search}</p>\r\n','\r\n<p>{jb_iconic_tag}Mus porttitor tristique et proin a tortor egestas? Nisi vel elementum scelerisque, amet mus, natoque velit purus vel et tincidunt mid in hac pulvinar, aliquam nunc ridiculus scelerisque amet aliquet aenean elementum, augue. Phasellus. Phasellus massa. Et rhoncus, etiam porttitor ultrices tristique mattis rhoncus, in? Amet quis, lacus nascetur purus, phasellus, tincidunt, vel diam adipiscing turpis.{/jb_iconic_tag}</p>\r\n<p>{jb_iconic_arrow}Mus! Facilisis porttitor vut ac, proin massa duis integer, nunc sed, diam vel ac in cursus? Parturient rhoncus auctor mid! Et ac enim sed odio? Tincidunt tincidunt cursus ut. Tristique etiam purus montes porta, pulvinar rhoncus lorem ac mus. Sagittis, velit, dictumst egestas? A urna magna porttitor, habitasse eros? Turpis pellentesque in platea.{/jb_iconic_arrow}</p>\r\n<p>{jb_iconic_heart}Scelerisque ac porttitor dolor, tincidunt vel, pulvinar arcu. Porta mus, tincidunt? Lacus, dis magnis. Lorem diam, scelerisque sagittis. Nascetur, parturient a magnis nisi ut, scelerisque sit, cum scelerisque a purus nisi vut est ut porttitor amet. Ac? Penatibus, magna elementum aenean. Tempor et porttitor velit enim nunc aliquam? Penatibus? Nec in a. Turpis risus, duis dignissim. Mus elementum, tincidunt aliquam porttitor! Elementum quis ac rhoncus cum.{/jb_iconic_heart}</p>',1,0,0,29,'2012-01-04 05:08:26',62,'','2012-01-11 19:21:29',62,0,'0000-00-00 00:00:00','2012-01-04 05:08:26','0000-00-00 00:00:00','','','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_vote\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"language\":\"\",\"keyref\":\"\",\"readmore\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_author\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',0,0,2,'','',1,1,'',0,'*','');

/*!40000 ALTER TABLE `#__content` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content_frontpage
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content_frontpage`;

CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__content_frontpage` WRITE;
/*!40000 ALTER TABLE `#__content_frontpage` DISABLE KEYS */;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`)
VALUES
	(81,7),
	(77,6),
	(87,5),
	(173,4),
	(56,3),
	(67,2),
	(49,1);

/*!40000 ALTER TABLE `#__content_frontpage` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__content_rating
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__content_rating`;

CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__core_log_searches
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__core_log_searches`;

CREATE TABLE `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__extensions
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__extensions`;

CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__extensions` WRITE;
/*!40000 ALTER TABLE `#__extensions` DISABLE KEYS */;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`)
VALUES
	(1,'com_mailto','component','com_mailto','',0,1,1,1,'{\"legacy\":false,\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(2,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"legacy\":false,\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(3,'com_admin','component','com_admin','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(4,'com_banners','component','com_banners','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(5,'com_cache','component','com_cache','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(6,'com_categories','component','com_categories','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(7,'com_checkin','component','com_checkin','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"Unknown\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(8,'com_contact','component','com_contact','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"presentation_style\":\"sliders\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"allow_vcard_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_category_crumb\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(9,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10,'JBLifestyle','component','com_installer','',1,1,1,1,'{\"legacy\":true,\"name\":\"JB Lifestyle\",\"type\":\"template\",\"creationDate\":\"January, 2012\",\"author\":\"Anthony Olsen\",\"copyright\":\"Joomla Bamboo, 2012.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"2.1.0\",\"description\":\"The Lifestyle Joomla Template is the new starter theme from Joomlabamboo. It\'s built on the Zen Grid Framework v2.0 which is feature rich, mobile ready and easy to use ...\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(11,'com_languages','component','com_languages','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),
	(12,'com_login','component','com_login','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(13,'com_media','component','com_media','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(14,'com_menus','component','com_menus','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(15,'com_messages','component','com_messages','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(16,'com_modules','component','com_modules','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(17,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(18,'com_plugins','component','com_plugins','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(19,'com_search','component','com_search','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','{\"enabled\":\"0\",\"show_date\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(20,'com_templates','component','com_templates','',1,1,1,1,'{\"legacy\":false,\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(21,'com_weblinks','component','com_weblinks','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_weblinks\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"show_comp_description\":\"1\",\"comp_description\":\"\",\"show_link_hits\":\"1\",\"show_link_description\":\"1\",\"show_other_cats\":\"0\",\"show_headings\":\"0\",\"show_numbers\":\"0\",\"show_report\":\"1\",\"count_clicks\":\"1\",\"target\":\"0\",\"link_icons\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(22,'com_content','component','com_content','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"1\",\"show_author\":\"1\",\"link_author\":\"0\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"1\",\"readmore_limit\":\"100\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"category_layout\":\"_:blog\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"none\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"filters\":{\"1\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),
	(10000,'COM_K2','component','com_k2','',1,1,1,0,'','{\"enable_css\":\"0\",\"jQueryHandling\":\"0\",\"backendJQueryHandling\":\"local\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"userItemCount\":\"10\",\"userItemTitle\":\"1\",\"userItemTitleLinked\":\"1\",\"userItemDateCreated\":\"1\",\"userItemImage\":\"1\",\"userItemIntroText\":\"1\",\"userItemCategory\":\"1\",\"userItemTags\":\"1\",\"userItemCommentsAnchor\":\"1\",\"userItemReadMore\":\"1\",\"userItemK2Plugins\":\"1\",\"tagItemCount\":\"10\",\"tagItemTitle\":\"1\",\"tagItemTitleLinked\":\"1\",\"tagItemDateCreated\":\"1\",\"tagItemImage\":\"1\",\"tagItemIntroText\":\"1\",\"tagItemCategory\":\"1\",\"tagItemReadMore\":\"1\",\"tagItemExtraFields\":\"0\",\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"genericItemCount\":\"10\",\"genericItemTitle\":\"1\",\"genericItemTitleLinked\":\"1\",\"genericItemDateCreated\":\"1\",\"genericItemImage\":\"1\",\"genericItemIntroText\":\"1\",\"genericItemCategory\":\"1\",\"genericItemReadMore\":\"1\",\"genericItemExtraFields\":\"0\",\"genericFeedLink\":\"1\",\"genericFeedIcon\":\"1\",\"feedLimit\":\"10\",\"feedItemImage\":\"1\",\"feedImgSize\":\"S\",\"feedItemIntroText\":\"1\",\"feedTextWordLimit\":\"\",\"feedItemFullText\":\"1\",\"feedItemTags\":\"0\",\"feedItemVideo\":\"0\",\"feedItemGallery\":\"0\",\"feedItemAttachments\":\"0\",\"feedBogusEmail\":\"\",\"introTextCleanup\":\"0\",\"introTextCleanupExcludeTags\":\"\",\"introTextCleanupTagAttr\":\"\",\"fullTextCleanup\":\"0\",\"fullTextCleanupExcludeTags\":\"\",\"fullTextCleanupTagAttr\":\"\",\"xssFiltering\":\"0\",\"linkPopupWidth\":\"900\",\"linkPopupHeight\":\"600\",\"imagesQuality\":\"100\",\"itemImageXS\":\"100\",\"itemImageS\":\"200\",\"itemImageM\":\"400\",\"itemImageL\":\"600\",\"itemImageXL\":\"900\",\"itemImageGeneric\":\"300\",\"catImageWidth\":\"100\",\"catImageDefault\":\"1\",\"userImageWidth\":\"100\",\"userImageDefault\":\"1\",\"commenterImgWidth\":\"48\",\"onlineImageEditor\":\"splashup\",\"imageTimestamp\":\"0\",\"imageMemoryLimit\":\"\",\"socialButtonCode\":\"\",\"twitterUsername\":\"\",\"facebookImage\":\"XSmall\",\"comments\":\"1\",\"commentsOrdering\":\"DESC\",\"commentsLimit\":\"10\",\"commentsFormPosition\":\"below\",\"commentsPublishing\":\"1\",\"commentsReporting\":\"2\",\"commentsReportRecipient\":\"\",\"inlineCommentsModeration\":\"0\",\"gravatar\":\"1\",\"recaptcha\":\"0\",\"commentsFormNotes\":\"1\",\"commentsFormNotesText\":\"\",\"frontendEditing\":\"1\",\"showImageTab\":\"1\",\"showImageGalleryTab\":\"1\",\"showVideoTab\":\"1\",\"showExtraFieldsTab\":\"1\",\"showAttachmentsTab\":\"1\",\"showK2Plugins\":\"1\",\"sideBarDisplayFrontend\":\"0\",\"mergeEditors\":\"1\",\"sideBarDisplay\":\"1\",\"attachmentsFolder\":\"\",\"hideImportButton\":\"0\",\"taggingSystem\":\"1\",\"lockTags\":\"0\",\"showTagFilter\":\"0\",\"googleSearch\":\"0\",\"googleSearchContainer\":\"k2Container\",\"K2UserProfile\":\"1\",\"K2UserGroup\":\"1\",\"redirect\":\"152\",\"adminSearch\":\"simple\",\"cookieDomain\":\"\",\"recaptcha_public_key\":\"\",\"recaptcha_private_key\":\"\",\"recaptcha_theme\":\"clean\",\"recaptchaOnRegistration\":\"0\",\"showItemsCounterAdmin\":\"1\",\"showChildCatItems\":\"1\",\"disableCompactOrdering\":\"0\",\"SEFReplacements\":\"\\u00c5\\u00a0\\\\|S, \\u00c5\\u2019\\\\|O, \\u00c5\\u00bd\\\\|Z, \\u00c5\\u00a1\\\\|s, \\u00c5\\u201c\\\\|oe, \\u00c5\\u00be\\\\|z, \\u00c5\\u00b8\\\\|Y, \\u00c2\\u00a5\\\\|Y, \\u00c2\\u00b5\\\\|u, \\u00c3\\u20ac\\\\|A, \\u00c3\\ufffd\\\\|A, \\u00c3\\u201a\\\\|A, \\u00c3\\u0192\\\\|A, \\u00c3\\u201e\\\\|A, \\u00c3\\u2026\\\\|A, \\u00c3\\u2020\\\\|A, \\u00c3\\u2021\\\\|C, \\u00c3\\u02c6\\\\|E, \\u00c3\\u2030\\\\|E, \\u00c3\\u0160\\\\|E, \\u00c3\\u2039\\\\|E, \\u00c3\\u0152\\\\|I, \\u00c3\\ufffd\\\\|I, \\u00c3\\u017d\\\\|I, \\u00c3\\ufffd\\\\|I, \\u00c3\\ufffd\\\\|D, \\u00c3\\u2018\\\\|N, \\u00c3\\u2019\\\\|O, \\u00c3\\u201c\\\\|O, \\u00c3\\u201d\\\\|O, \\u00c3\\u2022\\\\|O, \\u00c3\\u2013\\\\|O, \\u00c3\\u02dc\\\\|O, \\u00c3\\u2122\\\\|U, \\u00c3\\u0161\\\\|U, \\u00c3\\u203a\\\\|U, \\u00c3\\u0153\\\\|U, \\u00c3\\ufffd\\\\|Y, \\u00c3\\u0178\\\\|s, \\u00c3\\u00a0\\\\|a, \\u00c3\\u00a1\\\\|a, \\u00c3\\u00a2\\\\|a, \\u00c3\\u00a3\\\\|a, \\u00c3\\u00a4\\\\|a, \\u00c3\\u00a5\\\\|a, \\u00c3\\u00a6\\\\|a, \\u00c3\\u00a7\\\\|c, \\u00c3\\u00a8\\\\|e, \\u00c3\\u00a9\\\\|e, \\u00c3\\u00aa\\\\|e, \\u00c3\\u00ab\\\\|e, \\u00c3\\u00ac\\\\|i, \\u00c3\\u00ad\\\\|i, \\u00c3\\u00ae\\\\|i, \\u00c3\\u00af\\\\|i, \\u00c3\\u00b0\\\\|o, \\u00c3\\u00b1\\\\|n, \\u00c3\\u00b2\\\\|o, \\u00c3\\u00b3\\\\|o, \\u00c3\\u00b4\\\\|o, \\u00c3\\u00b5\\\\|o, \\u00c3\\u00b6\\\\|o, \\u00c3\\u00b8\\\\|o, \\u00c3\\u00b9\\\\|u, \\u00c3\\u00ba\\\\|u, \\u00c3\\u00bb\\\\|u, \\u00c3\\u00bc\\\\|u, \\u00c3\\u00bd\\\\|y, \\u00c3\\u00bf\\\\|y, \\u00c3\\u0178\\\\|ss\",\"metaDescLimit\":\"150\",\"sh404SefLabelCat\":\"\",\"sh404SefLabelUser\":\"blog\",\"sh404SefLabelItem\":\"2\",\"sh404SefTitleAlias\":\"alias\",\"sh404SefModK2ContentFeedAlias\":\"feed\"}','','',0,'0000-00-00 00:00:00',0,0),
	(23,'com_config','component','com_config','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','{\"filters\":{\"1\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),
	(24,'com_redirect','component','com_redirect','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(25,'com_users','component','com_users','',1,1,0,1,'{\"legacy\":false,\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"useractivation\":\"1\",\"frontend_userparams\":\"1\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(100,'PHPMailer','library','phpmailer','',0,1,1,1,'{\"legacy\":false,\"name\":\"PHPMailer\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"PHPMailer\",\"copyright\":\"Copyright (C) PHPMailer.\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/phpmailer.codeworxtech.com\\/\",\"version\":\"2.5.0\",\"description\":\"LIB_PHPMAILER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(101,'SimplePie','library','simplepie','',0,1,1,1,'{\"legacy\":false,\"name\":\"SimplePie\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"SimplePie\",\"copyright\":\"Copyright (C) 2008 SimplePie\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/simplepie.org\\/\",\"version\":\"1.0.1\",\"description\":\"LIB_SIMPLEPIE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(102,'phputf8','library','phputf8','',0,1,1,1,'{\"legacy\":false,\"name\":\"phputf8\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"2.5.0\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(103,'Joomla! Web Application Framework','library','joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"Joomla! Web Application Framework\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(200,'mod_articles_archive','module','mod_articles_archive','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters.\\n\\t\\tAll rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(201,'mod_articles_latest','module','mod_articles_latest','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(202,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(203,'mod_banners','module','mod_banners','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(204,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(205,'mod_custom','module','mod_custom','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(206,'mod_feed','module','mod_feed','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(207,'mod_footer','module','mod_footer','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(208,'mod_login','module','mod_login','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(209,'mod_menu','module','mod_menu','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(210,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(211,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(212,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(213,'mod_search','module','mod_search','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(214,'mod_stats','module','mod_stats','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(215,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(216,'mod_users_latest','module','mod_users_latest','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(217,'mod_weblinks','module','mod_weblinks','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_weblinks\",\"type\":\"module\",\"creationDate\":\"July 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(218,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(219,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(220,'mod_articles_category','module','mod_articles_category','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(221,'mod_articles_categories','module','mod_articles_categories','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(222,'mod_languages','module','mod_languages','',0,1,1,1,'{\"legacy\":false,\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(300,'mod_custom','module','mod_custom','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(301,'mod_feed','module','mod_feed','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(302,'mod_latest','module','mod_latest','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(303,'mod_logged','module','mod_logged','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(304,'mod_login','module','mod_login','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(305,'mod_menu','module','mod_menu','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(307,'mod_popular','module','mod_popular','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(308,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(309,'mod_status','module','mod_status','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(310,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(311,'mod_title','module','mod_title','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(312,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"legacy\":false,\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(313,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"1.7.1\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(400,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),
	(401,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(402,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),
	(404,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),
	(405,'plg_content_geshi','plugin','geshi','content',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_content_geshi\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"\",\"authorUrl\":\"qbnz.com\\/highlighter\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_GESHI_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(406,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\"}','{\"style\":\"xhtml\"}','','',0,'2011-09-18 15:22:50',0,0),
	(407,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{\"title\":\"1\",\"article_index\":\"1\",\"article_index_text\":\"\",\"multipage_toc\":\"1\",\"showall\":\"1\",\"style\":\"sliders\"}','','',0,'0000-00-00 00:00:00',4,0),
	(408,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),
	(409,'plg_content_vote','plugin','vote','content',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),
	(410,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\"}','{\"linenumbers\":\"0\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),
	(411,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Unknown\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"2.5.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(412,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2011\",\"author\":\"Moxiecode Systems AB\",\"copyright\":\"Moxiecode Systems AB\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"tinymce.moxiecode.com\\/\",\"version\":\"3.4.7\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\"}','{\"mode\":\"1\",\"skin\":\"0\",\"compressed\":\"0\",\"cleanup_startup\":\"0\",\"cleanup_save\":\"2\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"safari\":\"0\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),
	(413,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(414,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',2,0),
	(415,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),
	(416,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),
	(417,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(418,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(419,'plg_search_content','plugin','content','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(420,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(421,'plg_search_weblinks','plugin','weblinks','search',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_search_weblinks\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(422,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',4,0),
	(423,'plg_system_p3p','plugin','p3p','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',5,0),
	(424,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',12,0),
	(425,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',7,0),
	(426,'plg_system_log','plugin','log','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',8,0),
	(427,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',9,0),
	(428,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',10,0),
	(429,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',11,0),
	(430,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',6,0),
	(431,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),
	(432,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2009 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),
	(433,'plg_user_profile','plugin','profile','user',0,0,1,1,'{\"legacy\":false,\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(434,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"legacy\":false,\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(435,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"legacy\":false,\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(500,'atomic','template','atomic','',0,1,1,0,'{\"legacy\":false,\"name\":\"atomic\",\"type\":\"template\",\"creationDate\":\"10\\/10\\/09\",\"author\":\"Ron Severdia\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"contact@kontentdesign.com\",\"authorUrl\":\"http:\\/\\/www.kontentdesign.com\",\"version\":\"2.5.0\",\"description\":\"TPL_ATOMIC_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(502,'bluestork','template','bluestork','',1,1,1,0,'{\"legacy\":false,\"name\":\"bluestork\",\"type\":\"template\",\"creationDate\":\"07\\/02\\/09\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"TPL_BLUESTORK_XML_DESCRIPTION\",\"group\":\"\"}','{\"useRoundedCorners\":\"1\",\"showSiteName\":\"0\",\"textBig\":\"0\",\"highContrast\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(503,'beez_20','template','beez_20','',0,1,1,0,'{\"legacy\":false,\"name\":\"beez_20\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"2.5.0\",\"description\":\"TPL_BEEZ2_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),
	(504,'hathor','template','hathor','',1,1,1,0,'{\"legacy\":false,\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"hathor@tarrconsulting.com\",\"authorUrl\":\"http:\\/\\/www.tarrconsulting.com\",\"version\":\"2.5.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(505,'beez5','template','beez5','',0,1,1,0,'{\"legacy\":false,\"name\":\"beez5\",\"type\":\"template\",\"creationDate\":\"21 May 2010\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"2.5.0\",\"description\":\"TPL_BEEZ5_XML_DESCRIPTION\",\"group\":\"\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"html5\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(600,'English (United Kingdom)','language','en-GB','',0,1,1,1,'{\"legacy\":false,\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2008-03-15\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(601,'English (United Kingdom)','language','en-GB','',1,1,1,1,'{\"legacy\":false,\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2008-03-15\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(700,'files_joomla','file','joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.1\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(800,'PKG_JOOMLA','package','pkg_joomla','',0,1,1,1,'{\"legacy\":false,\"name\":\"PKG_JOOMLA\",\"type\":\"package\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PKG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),
	(10001,'K2 Comments','module','mod_k2_comments','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Comments\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_COMMENTS\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"\",\"\":\"K2_TOP_COMMENTERS\",\"catfilter\":\"0\",\"category_id\":\"\",\"comments_limit\":\"5\",\"comments_word_limit\":\"10\",\"commenterName\":\"1\",\"commentAvatar\":\"1\",\"commentAvatarWidthSelect\":\"custom\",\"commentAvatarWidth\":\"50\",\"commentDate\":\"1\",\"commentDateFormat\":\"absolute\",\"commentLink\":\"1\",\"itemTitle\":\"1\",\"itemCategory\":\"1\",\"feed\":\"1\",\"commenters_limit\":\"5\",\"commenterNameOrUsername\":\"1\",\"commenterAvatar\":\"1\",\"commenterAvatarWidthSelect\":\"custom\",\"commenterAvatarWidth\":\"50\",\"commenterLink\":\"1\",\"commenterCommentsCounter\":\"1\",\"commenterLatestComment\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10002,'K2 Content','module','mod_k2_content','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Content\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_MOD_K2_CONTENT_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"filter\",\"\":\"K2_OTHER_OPTIONS\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"itemCount\":\"5\",\"itemsOrdering\":\"\",\"FeaturedItems\":\"1\",\"popularityRange\":\"\",\"videosOnly\":\"0\",\"item\":\"\",\"items\":\"\",\"itemTitle\":\"1\",\"itemAuthor\":\"1\",\"itemAuthorAvatar\":\"1\",\"itemAuthorAvatarWidthSelect\":\"custom\",\"itemAuthorAvatarWidth\":\"50\",\"userDescription\":\"1\",\"itemIntroText\":\"1\",\"itemIntroTextWordLimit\":\"\",\"itemImage\":\"1\",\"itemImgSize\":\"Small\",\"itemVideo\":\"1\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemAttachments\":\"1\",\"itemTags\":\"1\",\"itemCategory\":\"1\",\"itemDateCreated\":\"1\",\"itemHits\":\"1\",\"itemReadMore\":\"1\",\"itemExtraFields\":\"0\",\"itemCommentsCounter\":\"1\",\"feed\":\"1\",\"itemPreText\":\"\",\"itemCustomLink\":\"0\",\"itemCustomLinkTitle\":\"\",\"itemCustomLinkURL\":\"http:\\/\\/\",\"itemCustomLinkMenuItem\":\"\",\"K2Plugins\":\"1\",\"JPlugins\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10003,'K2 Login','module','mod_k2_login','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Login\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_LOGIN_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10004,'K2 Tools','module','mod_k2_tools','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Tools\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_TOOLS\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"module_usage\":\"0\",\"\":\"K2_CUSTOM_CODE_SETTINGS\",\"archiveItemsCounter\":\"1\",\"archiveCategory\":\"\",\"authors_module_category\":\"\",\"authorItemsCounter\":\"1\",\"authorAvatar\":\"1\",\"authorAvatarWidthSelect\":\"custom\",\"authorAvatarWidth\":\"50\",\"authorLatestItem\":\"1\",\"calendarCategory\":\"\",\"home\":\"\",\"seperator\":\"\",\"root_id\":\"\",\"end_level\":\"\",\"categoriesListOrdering\":\"\",\"categoriesListItemsCounter\":\"1\",\"root_id2\":\"\",\"catfilter\":\"0\",\"category_id\":\"\",\"getChildren\":\"0\",\"liveSearch\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"imagebutton\":\"\",\"button_text\":\"\",\"min_size\":\"75\",\"max_size\":\"300\",\"cloud_limit\":\"30\",\"cloud_category\":\"0\",\"cloud_category_recursive\":\"0\",\"customCode\":\"\",\"parsePhp\":\"0\",\"K2Plugins\":\"0\",\"JPlugins\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10005,'K2 Users','module','mod_k2_users','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 Users\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_MOD_K2_USERS_DESCRTIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"getTemplate\":\"Default\",\"source\":\"0\",\"\":\"K2_DISPLAY_OPTIONS\",\"filter\":\"1\",\"K2UserGroup\":\"\",\"ordering\":\"1\",\"limit\":\"4\",\"userIDs\":\"\",\"userName\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"userDescription\":\"1\",\"userDescriptionWordLimit\":\"\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeed\":\"1\",\"userItemCount\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10006,'K2 User','module','mod_k2_user','',0,1,0,0,'{\"legacy\":true,\"name\":\"K2 User\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_MOD_K2_USER_DESCRIPTION\",\"group\":\"\"}','{\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"\":\"K2_LOGIN_LOGOUT_REDIRECTION\",\"name\":\"1\",\"userAvatar\":\"1\",\"userAvatarWidthSelect\":\"custom\",\"userAvatarWidth\":\"50\",\"menu\":\"\",\"login\":\"\",\"logout\":\"\",\"usesecure\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10007,'K2 Quick Icons (admin)','module','mod_k2_quickicons','',1,1,2,0,'{\"legacy\":true,\"name\":\"K2 Quick Icons (admin)\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE\",\"group\":\"\"}','{\"modCSSStyling\":\"1\",\"modLogo\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10008,'K2 Stats (admin)','module','mod_k2_stats','',1,1,2,0,'{\"legacy\":true,\"name\":\"K2 Stats (admin)\",\"type\":\"module\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE\",\"group\":\"\"}','{\"latestItems\":\"1\",\"popularItems\":\"1\",\"mostCommentedItems\":\"1\",\"latestComments\":\"1\",\"statistics\":\"1\",\"cache\":\"0\",\"cache_time\":\"900\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10009,'Search - K2','plugin','k2','search',0,1,1,0,'{\"legacy\":true,\"name\":\"Search - K2\",\"type\":\"plugin\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT\",\"group\":\"\"}','{\"search_limit\":\"50\",\"search_tags\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10010,'System - K2','plugin','k2','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - K2\",\"type\":\"plugin\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',3,0),
	(10011,'User - K2','plugin','k2','user',0,1,1,0,'{\"legacy\":true,\"name\":\"User - K2\",\"type\":\"plugin\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10012,'k2','component','com_k2','',1,1,0,0,'{\"legacy\":true,\"name\":\"K2\",\"type\":\"component\",\"creationDate\":\"December 9th, 2011\",\"author\":\"JoomlaWorks\",\"copyright\":\"Copyright (c) 2006 - 2011 JoomlaWorks Ltd. All rights reserved.\",\"authorEmail\":\"contact@joomlaworks.gr\",\"authorUrl\":\"www.joomlaworks.gr\",\"version\":\"2.5.4\",\"description\":\"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!\",\"group\":\"\"}','{\"enable_css\":\"1\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"0\",\"userFeedLink\":\"1\",\"userFeedIcon\":\"1\",\"userItemCount\":\"10\",\"userItemTitle\":\"1\",\"userItemTitleLinked\":\"1\",\"userItemDateCreated\":\"1\",\"userItemImage\":\"1\",\"userItemIntroText\":\"1\",\"userItemCategory\":\"1\",\"userItemTags\":\"1\",\"userItemCommentsAnchor\":\"1\",\"userItemReadMore\":\"1\",\"userItemK2Plugins\":\"1\",\"tagItemCount\":\"10\",\"tagItemTitle\":\"1\",\"tagItemTitleLinked\":\"1\",\"tagItemDateCreated\":\"1\",\"tagItemImage\":\"1\",\"tagItemIntroText\":\"1\",\"tagItemCategory\":\"1\",\"tagItemReadMore\":\"1\",\"tagItemExtraFields\":\"0\",\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"genericItemCount\":\"10\",\"genericItemTitle\":\"1\",\"genericItemTitleLinked\":\"1\",\"genericItemDateCreated\":\"1\",\"genericItemImage\":\"1\",\"genericItemIntroText\":\"1\",\"genericItemCategory\":\"1\",\"genericItemReadMore\":\"1\",\"genericItemExtraFields\":\"0\",\"genericFeedLink\":\"1\",\"genericFeedIcon\":\"1\",\"feedLimit\":\"10\",\"feedItemImage\":\"1\",\"feedImgSize\":\"S\",\"feedItemIntroText\":\"1\",\"feedTextWordLimit\":\"\",\"feedItemFullText\":\"1\",\"feedItemTags\":\"0\",\"feedItemVideo\":\"0\",\"feedItemGallery\":\"0\",\"feedItemAttachments\":\"0\",\"feedBogusEmail\":\"\",\"introTextCleanup\":\"0\",\"introTextCleanupExcludeTags\":\"\",\"introTextCleanupTagAttr\":\"\",\"fullTextCleanup\":\"0\",\"fullTextCleanupExcludeTags\":\"\",\"fullTextCleanupTagAttr\":\"\",\"xssFiltering\":\"0\",\"linkPopupWidth\":\"900\",\"linkPopupHeight\":\"600\",\"imagesQuality\":\"100\",\"itemImageXS\":\"100\",\"itemImageS\":\"200\",\"itemImageM\":\"400\",\"itemImageL\":\"600\",\"itemImageXL\":\"900\",\"itemImageGeneric\":\"300\",\"catImageWidth\":\"100\",\"catImageDefault\":\"1\",\"userImageWidth\":\"100\",\"userImageDefault\":\"1\",\"commenterImgWidth\":\"48\",\"onlineImageEditor\":\"splashup\",\"imageTimestamp\":\"0\",\"imageMemoryLimit\":\"\",\"socialButtonCode\":\"\",\"twitterUsername\":\"\",\"urlShortener\":\"1\",\"comments\":\"1\",\"commentsOrdering\":\"DESC\",\"commentsLimit\":\"10\",\"commentsFormPosition\":\"below\",\"commentsPublishing\":\"1\",\"gravatar\":\"1\",\"recaptcha\":\"0\",\"commentsFormNotes\":\"1\",\"commentsFormNotesText\":\"\",\"frontendEditing\":\"1\",\"showImageTab\":\"1\",\"showImageGalleryTab\":\"1\",\"showVideoTab\":\"1\",\"showExtraFieldsTab\":\"1\",\"showAttachmentsTab\":\"1\",\"showK2Plugins\":\"1\",\"sideBarDisplayFrontend\":\"0\",\"mergeEditors\":\"1\",\"sideBarDisplay\":\"1\",\"attachmentsFolder\":\"\",\"hideImportButton\":\"0\",\"taggingSystem\":\"1\",\"lockTags\":\"0\",\"showTagFilter\":\"0\",\"googleSearch\":\"0\",\"googleSearchContainer\":\"k2Container\",\"K2UserProfile\":\"1\",\"K2UserGroup\":\"\",\"redirect\":\"\",\"adminSearch\":\"simple\",\"cookieDomain\":\"\",\"recaptcha_public_key\":\"\",\"recaptcha_private_key\":\"\",\"recaptcha_theme\":\"clean\",\"recaptchaOnRegistration\":\"0\",\"showItemsCounterAdmin\":\"1\",\"showChildCatItems\":\"1\",\"disableCompactOrdering\":\"0\",\"SEFReplacements\":\"\",\"metaDescLimit\":\"150\",\"sh404SefLabelCat\":\"\",\"sh404SefLabelUser\":\"blog\",\"sh404SefLabelItem\":\"2\",\"sh404SefTitleAlias\":\"alias\",\"sh404SefModK2ContentFeedAlias\":\"feed\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10013,'System - JB Type ','plugin','jbtype','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - JB Type \",\"type\":\"plugin\",\"creationDate\":\"Feb 2010\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright 2009 - joomlabamboo.com\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com.com\",\"version\":\"1.5.2\",\"description\":\"<p style=\\\"line-height:180%;font-size:1.2em\\\"><a href=\\\"http:\\/\\/www.joomlabamboo.com\\/joomla-extensions\\/jb-type-joomla-typography-plugin\\\"><img src=\\\"http:\\/\\/d129tlhqmunv45.cloudfront.net\\/images\\/stories\\/blog\\/icons\\/JBtype.png?1305337042\\\" alt=\\\"JB Type\\\" style=\\\"float:left;margin:0 20px 20px 0px\\\"\\/><\\/a>JB Type is a Joomla style and typography plugin for your content. By using some simple Joomla syntax you can create some awesome typography for your site without knowing any html at all.<\\/p>\",\"group\":\"\"}','{\"iconStyle\":\"coquette\"}','','',0,'0000-00-00 00:00:00',2,0),
	(10014,'jTweet','module','mod_jTweet','',0,1,0,0,'{\"legacy\":true,\"name\":\"jTweet\",\"type\":\"module\",\"creationDate\":\"October 2009\",\"author\":\"Joomla Bamboo\",\"copyright\":\"(C) 2005 Open Source Matters. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"1.8.1\",\"description\":\"jTweets is a port of the Sea of Clouds jQuery script called Tweet.\",\"group\":\"\"}','{\"type\":\"0\",\"userName\":\"\",\"query\":\"\",\"count\":\"5\",\"scripts\":\"article\",\"twitterBird\":\"bird1\",\"avatar\":\"no\",\"avatarSize\":\"48\",\"twitterName\":\"yes\",\"tweetSource\":\"yes\",\"joinText\":\"auto\",\"noReplies\":\"no\",\"tweetTemplate\":\"1\",\"popup\":\"yes\",\"moreInfo\":\"more info...!\",\"popupIntro\":\"I am on Twitter!\",\"follow\":\"yes\",\"followText\":\"Follow me on Twitter\",\"followStyle\":\"auto\",\"followPosition\":\"right\",\"cache\":\"0\",\"cache_time\":\"900\",\"moduleclass_sfx\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10015,'Zen Tools','module','mod_zentools','',0,1,0,0,'{\"legacy\":true,\"name\":\"Zen Tools\",\"type\":\"module\",\"creationDate\":\"Oct 09\",\"author\":\"Joomla Bamboo\",\"copyright\":\"Copyright (C) Joomla Bamboo. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"1.2.3\",\"description\":\"<p style=\\\"line-height:180%;font-size:1.2em\\\"><a href=\\\"http:\\/\\/www.joomlabamboo.com\\\"><img src=\\\"http:\\/\\/www.joomlabamboo.com\\/images\\/zentoolsSmall.jpg\\\" alt=\\\"joomla Bamboo\\\" style=\\\"float:left;margin:0 20px 20px 0px;padding:4px;border:1px solid #ddd\\\"\\/><\\/a><br style=\\\"clear:both\\\" \\/>Zen Tools makes creating image and content galleries for Joomla simple.<\\/p><p  style=\\\"color:#555\\\">The module features the following layouts:<\\/p>\\n\\t<ul style=\\\"color:#777\\\">\\n\\t\\t<li>Grid galleries<\\/li>\\n\\t \\t<li>Responsive Slideshows<\\/li>\\n\\t\\t<li>Responsive Carousels<\\/li>\\n\\t\\t<li>Masonry Layouts<\\/li>\\n\\t\\t<li>Accordions<\\/li>\\n\\t\\t<li>Simple Lists and more<\\/li>\\n\\t<\\/ul>\\n\\t<div style=\\\"color:#555\\\"><p>You can use this module to display your Joomla content, your k2 items or even images from a folder.<\\/p>\\n\\t<p>Please ensure you read the documentation contained within the module or via the <a href=\\\"http:\\/\\/zentools.joomlabamboo.com\\\">Zentools<\\/a> demo site.<\\/p>\\n\\t<p>Please ensure that you also have either the  <a href=\'http:\\/\\/www.joomlabamboo.com\\/downloads\\/zen-grid-framework-downloads\' target=\'_blank\'>Zen Grid Framework plugin<\\/a> or the <a href=\'http:\\/\\/www.joomlabamboo.com\\/joomla-extensions\\/jb-library-plugin-a-free-joomla-jquery-plugin\' target=\'_blank\'>JB Library plugin<\\/a> in order to use this module.<\\/p><\\/div>\\n\\t<\\/p>\\n\\t\",\"group\":\"\"}','[]','','',0,'0000-00-00 00:00:00',0,0),
	(10016,'System - Zen Grid Framework','plugin','zengridframework','system',0,1,1,0,'{\"legacy\":true,\"name\":\"System - Zen Grid Framework\",\"type\":\"plugin\",\"creationDate\":\"October, 2011\",\"author\":\"Author\",\"copyright\":\"Copyright (C) 2011 Joomlabamboo. All rights reserved.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"http:\\/\\/www.joomlabamboo.com\",\"version\":\"2.0.12\",\"description\":\"\\n\\t\\t<p style=\\\"line-height:180%;font-size:1.2em\\\"><a href=\\\"http:\\/\\/www.joomlabamboo.com\\\"><img src=\\\"http:\\/\\/www.joomlabamboo.com\\/images\\/zengrid2\\/zengridframework2.png\\\" alt=\\\"Zen Grid Framework\\\" style=\\\"float:left;margin:0 20px 20px 0px\\\"\\/><\\/a><br style=\\\"clear:both\\\" \\/>The Zen Grid Framework v2.0 is a feature rich, mobile friendly and easy to use Joomla template framework. <br \\/>Please visit the <a href=\\\"http:\\/\\/docs.joomlabamboo.com\\/zen-grid-framework\\\">Zen Grid Framework Knowledgebase<\\/a> for more details.<br \\/><br \\/> This plugin must be enabled for your Zen grid framework compatible template to operate. The plugin does not contain any configuration options as all plugin parameters are controlled via the template.<\\/p>\\n\\t\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',1,0),
	(10034,'JBLifestyle','template','jblifestyle','',0,1,1,0,'{\"legacy\":true,\"name\":\"JB Lifestyle\",\"type\":\"template\",\"creationDate\":\"January, 2012\",\"author\":\"Anthony Olsen\",\"copyright\":\"Joomla Bamboo, 2012.\",\"authorEmail\":\"design@joomlabamboo.com\",\"authorUrl\":\"www.joomlabamboo.com\",\"version\":\"2.1.0\",\"description\":\"Lifestyle is a stunning Joomla template combining transparency, bold slideshows with a healthy dose of white space. It is a responsive design that comes with 15 colour schemes. It features support for the brand new Zentools module which when combined with the Zen Grid Framework creates a powerful scaffold for you to build your Joomla website on.\",\"group\":\"\"}','{\"debug\":\"0\",\"legacy\":\"0\",\"zenTranslate\":\"1\",\"removejblogo\":\"0\",\"customcopyright\":\"\",\"hilite\":\"hilite13\",\"overwriteCSS\":\"0\",\"firstcolorelement\":\"\",\"firstcolorAtt\":\"\",\"firstcolor\":\"\",\"secondcolorelement\":\"\",\"secondcolorAtt\":\"\",\"secondcolor\":\"\",\"thirdcolorelement\":\"\",\"thirdcolorAtt\":\"\",\"thirdcolor\":\"\",\"fourthcolorelement\":\"\",\"fourthcolorAtt\":\"\",\"fourthcolor\":\"\",\"fifthcolorelement\":\"\",\"fifthcolorAtt\":\"\",\"fifthecolor\":\"\",\"sixthcolourelement\":\"\",\"sixthcolorAtt\":\"\",\"sixthcolor\":\"\",\"extraCSS\":\"\",\"logoType\":\"image\",\"logoWidth\":\"three\",\"logoLink\":\"\\/\",\"logoClass\":\"h1\",\"logoPosition\":\"above\",\"logoAlign\":\"zenleft\",\"logoText\":\"Lifestyle\",\"fontStackLogo\":\"Rochester\",\"logoFontSize\":\"2em\",\"logoColour\":\"\",\"logoFile\":\"\",\"logoAltTag\":\"Lifestyle\",\"enableTagline\":\"0\",\"tagline\":\"\",\"taglineTop\":\"0px\",\"taglineLeft\":\"0px\",\"taglineCSS\":\"\",\"fonts\":\"3\",\"fontSize\":\"74%\",\"fontStackBody\":\"helvetica\",\"fontStackHeading\":\"Mako\",\"fontStackNav\":\"Mako\",\"fontStackSelector1\":\"\",\"fontStackCustom1\":\"helvetica\",\"fontStackSelector2\":\"\",\"fontStackCustom2\":\"helvetica\",\"fontStackSelector3\":\"\",\"fontStackCustom3\":\"helvetica\",\"typekit\":\"0\",\"typekitId\":\"\",\"bodyclassOption\":\"0\",\"bodyclassView\":\"1\",\"bodyclassLayout\":\"0\",\"bodyclassTask\":\"0\",\"bodyclassItem\":\"0\",\"bodyclassMainWidth\":\"0\",\"containerPosition\":\"center\",\"layoutType\":\"fixed\",\"tWidth\":\"1000px\",\"containerMargin\":\"0\",\"allEqual\":\"0\",\"controlMainArea\":\"0\",\"bannerheight\":\"340px\",\"topEqual\":\"1\",\"top1Width\":\"three\",\"top2Width\":\"three\",\"top3Width\":\"three\",\"top4Width\":\"three\",\"headerEqual\":\"1\",\"header1Width\":\"three\",\"header2Width\":\"three\",\"header3Width\":\"three\",\"header4Width\":\"nine\",\"grid1Equal\":\"1\",\"grid1Width\":\"three\",\"grid2Width\":\"three\",\"grid3Width\":\"three\",\"grid4Width\":\"three\",\"grid2Equal\":\"1\",\"grid5Width\":\"three\",\"grid6Width\":\"three\",\"grid7Width\":\"three\",\"grid8Width\":\"three\",\"grid3Equal\":\"1\",\"grid9Width\":\"three\",\"grid10Width\":\"three\",\"grid11Width\":\"three\",\"grid12Width\":\"three\",\"grid4Equal\":\"1\",\"grid13Width\":\"three\",\"grid14Width\":\"three\",\"grid15Width\":\"three\",\"grid16Width\":\"three\",\"grid5Equal\":\"1\",\"grid17Width\":\"three\",\"grid18Width\":\"three\",\"grid19Width\":\"three\",\"grid20Width\":\"three\",\"grid6Equal\":\"1\",\"grid21Width\":\"three\",\"grid22Width\":\"three\",\"grid23Width\":\"three\",\"grid24Width\":\"three\",\"bottomEqual\":\"1\",\"bottom1Width\":\"six\",\"bottom2Width\":\"three\",\"bottom3Width\":\"three\",\"bottom4Width\":\"three\",\"bottom5Width\":\"two\",\"bottom6Width\":\"six\",\"footerWidth\":\"twelve\",\"navposition\":\"left\",\"navWidth\":\"nine\",\"mainLayout\":\"1\",\"leftCols2L\":\"three\",\"midCols2L\":\"nine\",\"midCols2R\":\"nine\",\"rightCols2R\":\"three\",\"leftCols3LR\":\"three\",\"midCols3LR\":\"six\",\"rightCols3LR\":\"three\",\"leftCols4LRC\":\"two\",\"midCols4LRC\":\"six\",\"centerCols4LRC\":\"two\",\"rightCols4LRC\":\"two\",\"leftCols3LC\":\"three\",\"centerCols3LC\":\"three\",\"midCols3LC\":\"six\",\"midCols3RC\":\"six\",\"centerCols3RC\":\"three\",\"rightCols3RC\":\"three\",\"banner\":\"1\",\"bottom\":\"1\",\"closeContainer\":\"1\",\"footer\":\"1\",\"frontpage\":\"1\",\"grid1\":\"1\",\"grid2\":\"1\",\"grid3\":\"1\",\"grid4\":\"1\",\"grid5\":\"1\",\"grid6\":\"1\",\"header\":\"1\",\"main\":\"1\",\"nav\":\"1\",\"jbtabs\":\"1\",\"openContainer\":\"1\",\"panel\":\"1\",\"top\":\"1\",\"superfish\":\"1\",\"sfEffect\":\"1\",\"sfSpeed\":\"normal\",\"sfhover\":\"1\",\"sfDelay\":\"800\",\"sfMinWidth\":\"14\",\"sfMaxWidth\":\"17\",\"panelMenu\":\"1\",\"panelMenuType\":\"accordion\",\"accordionFirst\":\"1\",\"accordionShowActive\":\"1\",\"splitMenu\":\"0\",\"splitMenuName\":\"mainmenu\",\"splitMenuNavPos\":\"menu\",\"splitMenuNavStart\":\"0\",\"splitMenuNavEnd\":\"1\",\"splitMenuNav\":\"0\",\"splitMenuSubNavStart\":\"0\",\"splitMenuSubNavEnd\":\"1\",\"splitMenuAbove\":\"0\",\"splitMenuAboveStart\":\"0\",\"splitMenuAboveEnd\":\"1\",\"splitMenuLeft\":\"0\",\"splitMenuLeftTitle\":\"In this section ...\",\"splitMenuLeftStart\":\"1\",\"splitMenuLeftEnd\":\"2\",\"splitMenuRight\":\"0\",\"splitMenuRightTitle\":\"In this section ...\",\"splitMenuRightStart\":\"2\",\"splitMenuRightEnd\":\"3\",\"csscompress\":\"0\",\"k2CSS\":\"0\",\"combinescripts\":\"0\",\"bottomScripts\":\"0\",\"removeMootools\":\"0\",\"removeModal\":\"0\",\"removeK2\":\"0\",\"moduleslide\":\"0\",\"jQueryVersion\":\"1.7.0\",\"jQuerySource\":\"google\",\"noConflict\":\"1\",\"stripCustom\":\"0\",\"customScripts\":\"\",\"removeJgen\":\"0\",\"disableTP\":\"0\",\"analyticsPosition\":\"after\",\"analytics\":\"\",\"extraScripts\":\"\",\"pngfix\":\"0\",\"pngfixrules\":\".pathway img,#logo a img,.topInner,.jbLogo,#topShadow,.slideShowNav.indexNavButtons  a.activeSlide,#slideShowNav.indexNavButtons  a:hover,div.jbReadmore,.mbMoreFlat .readon,.itemRatingList,.itemRatingList a:hover,.itemRatingList .itemCurrentRating,.k2ReadMore\",\"ie6Warning\":\"0\",\"css3pie\":\"0\",\"css3pierules\":\".rounded, .corner, .gradient, .boxshadow\",\"mediqueries\":\"0\",\"paneltype\":\"opacity\",\"tab1Title\":\"Tab1\",\"tab2Title\":\"Tab2\",\"tab3Title\":\"Tab3\",\"tab4Title\":\"Tab4\",\"socialicons\":\"1\",\"socialiconstitle\":\"\",\"socialiconsposition\":\"1\",\"socialalign\":\"below\",\"icon1Image\":\"-1\",\"icon1Link\":\"#\",\"icon2Image\":\"-1\",\"icon2Link\":\"#\",\"icon3Image\":\"-1\",\"icon3Link\":\"#\",\"icon4Image\":\"-1\",\"icon4Link\":\"#\",\"icon5Image\":\"-1\",\"icon5Link\":\"#\",\"icon6Image\":\"-1\",\"icon6Link\":\"#\",\"lazyLoad\":\"1\",\"lazyloadSelector\":\"img\",\"scrolltop\":\"0\",\"scrollText\":\"Back to top\",\"mediaqueries\":\"0\",\"mobileMeta\":\"0\",\"mobilemenu\":\"0\",\"mobileDetect\":\"OPT1\",\"topMob\":\"0\",\"headerMob\":\"0\",\"logoMob\":\"0\",\"navMob\":\"0\",\"bannerMob\":\"0\",\"tabMob\":\"0\",\"grid1Mob\":\"0\",\"grid2Mob\":\"0\",\"grid3Mob\":\"0\",\"grid4Mob\":\"0\",\"grid5Mob\":\"0\",\"grid6Mob\":\"0\",\"bottomMob\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10018,'com_finder','component','com_finder','',1,1,1,0,'{\"legacy\":false,\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10019,'mod_finder','module','mod_finder','',0,1,1,0,'{\"legacy\":false,\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{\"searchfilter\":\"\",\"show_autosuggest\":\"1\",\"show_advanced\":\"0\",\"moduleclass_sfx\":\"\",\"field_size\":\"25\",\"show_label\":\"1\",\"label_pos\":\"top\",\"show_button\":\"0\",\"button_pos\":\"right\",\"opensearch\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10020,'mod_version','module','mod_version','',1,1,1,0,'{\"legacy\":false,\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\"}','{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10021,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10022,'plg_content_finder','plugin','finder','content',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10023,'plg_finder_categories','plugin','categories','finder',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10024,'plg_finder_contacts','plugin','contacts','finder',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10025,'plg_finder_content','plugin','content','finder',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10026,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10027,'plg_finder_weblinks','plugin','weblinks','finder',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_finder_weblinks\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_FINDER_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10028,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{\"context\":\"mod_quickicon\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10029,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{\"context\":\"mod_quickicon\"}','','',0,'0000-00-00 00:00:00',0,0),
	(10030,'plg_system_highlight','plugin','highlight','system',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),
	(10031,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{\"legacy\":false,\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"2.5.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0);

/*!40000 ALTER TABLE `#__extensions` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__finder_filters
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_filters`;

CREATE TABLE `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links`;

CREATE TABLE `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms0
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms0`;

CREATE TABLE `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms1
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms1`;

CREATE TABLE `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms2
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms2`;

CREATE TABLE `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms3
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms3`;

CREATE TABLE `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms4
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms4`;

CREATE TABLE `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms5
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms5`;

CREATE TABLE `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms6
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms6`;

CREATE TABLE `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms7
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms7`;

CREATE TABLE `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms8
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms8`;

CREATE TABLE `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_terms9
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_terms9`;

CREATE TABLE `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_termsa
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_termsa`;

CREATE TABLE `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_termsb
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_termsb`;

CREATE TABLE `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_termsc
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_termsc`;

CREATE TABLE `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_termsd
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_termsd`;

CREATE TABLE `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_termse
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_termse`;

CREATE TABLE `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_links_termsf
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_links_termsf`;

CREATE TABLE `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_taxonomy
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_taxonomy`;

CREATE TABLE `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__finder_taxonomy` WRITE;
/*!40000 ALTER TABLE `#__finder_taxonomy` DISABLE KEYS */;

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`)
VALUES
	(1,0,'ROOT',0,0,0);

/*!40000 ALTER TABLE `#__finder_taxonomy` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__finder_taxonomy_map
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_taxonomy_map`;

CREATE TABLE `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_terms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_terms`;

CREATE TABLE `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__finder_terms_common
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_terms_common`;

CREATE TABLE `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

LOCK TABLES `#__finder_terms_common` WRITE;
/*!40000 ALTER TABLE `#__finder_terms_common` DISABLE KEYS */;

INSERT INTO `#__finder_terms_common` (`term`, `language`)
VALUES
	('a','en'),
	('about','en'),
	('after','en'),
	('ago','en'),
	('all','en'),
	('am','en'),
	('an','en'),
	('and','en'),
	('ani','en'),
	('any','en'),
	('are','en'),
	('aren\'t','en'),
	('as','en'),
	('at','en'),
	('be','en'),
	('but','en'),
	('by','en'),
	('for','en'),
	('from','en'),
	('get','en'),
	('go','en'),
	('how','en'),
	('if','en'),
	('in','en'),
	('into','en'),
	('is','en'),
	('isn\'t','en'),
	('it','en'),
	('its','en'),
	('me','en'),
	('more','en'),
	('most','en'),
	('must','en'),
	('my','en'),
	('new','en'),
	('no','en'),
	('none','en'),
	('not','en'),
	('noth','en'),
	('nothing','en'),
	('of','en'),
	('off','en'),
	('often','en'),
	('old','en'),
	('on','en'),
	('onc','en'),
	('once','en'),
	('onli','en'),
	('only','en'),
	('or','en'),
	('other','en'),
	('our','en'),
	('ours','en'),
	('out','en'),
	('over','en'),
	('page','en'),
	('she','en'),
	('should','en'),
	('small','en'),
	('so','en'),
	('some','en'),
	('than','en'),
	('thank','en'),
	('that','en'),
	('the','en'),
	('their','en'),
	('theirs','en'),
	('them','en'),
	('then','en'),
	('there','en'),
	('these','en'),
	('they','en'),
	('this','en'),
	('those','en'),
	('thus','en'),
	('time','en'),
	('times','en'),
	('to','en'),
	('too','en'),
	('true','en'),
	('under','en'),
	('until','en'),
	('up','en'),
	('upon','en'),
	('use','en'),
	('user','en'),
	('users','en'),
	('veri','en'),
	('version','en'),
	('very','en'),
	('via','en'),
	('want','en'),
	('was','en'),
	('way','en'),
	('were','en'),
	('what','en'),
	('when','en'),
	('where','en'),
	('whi','en'),
	('which','en'),
	('who','en'),
	('whom','en'),
	('whose','en'),
	('why','en'),
	('wide','en'),
	('will','en'),
	('with','en'),
	('within','en'),
	('without','en'),
	('would','en'),
	('yes','en'),
	('yet','en'),
	('you','en'),
	('your','en'),
	('yours','en');

/*!40000 ALTER TABLE `#__finder_terms_common` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__finder_tokens
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_tokens`;

CREATE TABLE `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;



# Dump of table #__finder_tokens_aggregate
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_tokens_aggregate`;

CREATE TABLE `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;



# Dump of table #__finder_types
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__finder_types`;

CREATE TABLE `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__k2_attachments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_attachments`;

CREATE TABLE `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__k2_categories
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_categories`;

CREATE TABLE `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_categories` WRITE;
/*!40000 ALTER TABLE `#__k2_categories` DISABLE KEYS */;

INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`)
VALUES
	(14,'Democontent','democontent','',0,0,1,1,1,'','{\"inheritFrom\":\"0\",\"theme\":\"lifestyle\",\"num_leading_items\":\"10\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"0\",\"num_primary_columns\":\"0\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"0\",\"num_secondary_columns\":\"0\",\"secondaryImgSize\":\"Small\",\"num_links\":\"0\",\"num_links_columns\":\"0\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"0\",\"catTitleItemCounter\":\"0\",\"catDescription\":\"0\",\"catImage\":\"0\",\"catFeedLink\":\"0\",\"catFeedIcon\":\"0\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"1\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"1\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"1\",\"catItemHits\":\"1\",\"catItemCategory\":\"1\",\"catItemTags\":\"1\",\"catItemAttachments\":\"1\",\"catItemAttachmentsCounter\":\"1\",\"catItemVideo\":\"1\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"1\",\"catItemImageGallery\":\"1\",\"catItemDateModified\":\"1\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"1\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"1\",\"itemRelatedFulltext\":\"1\",\"itemRelatedAuthor\":\"1\",\"itemRelatedMedia\":\"1\",\"itemRelatedImageGallery\":\"1\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*'),
	(20,'Democontent','democontent','',14,0,1,1,1,'','{\"inheritFrom\":\"14\",\"theme\":\"\",\"num_leading_items\":\"2\",\"num_leading_columns\":\"1\",\"leadingImgSize\":\"Large\",\"num_primary_items\":\"4\",\"num_primary_columns\":\"2\",\"primaryImgSize\":\"Medium\",\"num_secondary_items\":\"4\",\"num_secondary_columns\":\"1\",\"secondaryImgSize\":\"Small\",\"num_links\":\"4\",\"num_links_columns\":\"1\",\"linksImgSize\":\"XSmall\",\"catCatalogMode\":\"0\",\"catFeaturedItems\":\"1\",\"catOrdering\":\"\",\"catPagination\":\"2\",\"catPaginationResults\":\"1\",\"catTitle\":\"1\",\"catTitleItemCounter\":\"1\",\"catDescription\":\"1\",\"catImage\":\"1\",\"catFeedLink\":\"1\",\"catFeedIcon\":\"1\",\"subCategories\":\"1\",\"subCatColumns\":\"2\",\"subCatOrdering\":\"\",\"subCatTitle\":\"1\",\"subCatTitleItemCounter\":\"1\",\"subCatDescription\":\"1\",\"subCatImage\":\"1\",\"itemImageXS\":\"\",\"itemImageS\":\"\",\"itemImageM\":\"\",\"itemImageL\":\"\",\"itemImageXL\":\"\",\"catItemTitle\":\"1\",\"catItemTitleLinked\":\"1\",\"catItemFeaturedNotice\":\"0\",\"catItemAuthor\":\"1\",\"catItemDateCreated\":\"1\",\"catItemRating\":\"0\",\"catItemImage\":\"1\",\"catItemIntroText\":\"1\",\"catItemIntroTextWordLimit\":\"\",\"catItemExtraFields\":\"0\",\"catItemHits\":\"0\",\"catItemCategory\":\"1\",\"catItemTags\":\"1\",\"catItemAttachments\":\"0\",\"catItemAttachmentsCounter\":\"0\",\"catItemVideo\":\"0\",\"catItemVideoWidth\":\"\",\"catItemVideoHeight\":\"\",\"catItemAudioWidth\":\"\",\"catItemAudioHeight\":\"\",\"catItemVideoAutoPlay\":\"0\",\"catItemImageGallery\":\"0\",\"catItemDateModified\":\"0\",\"catItemReadMore\":\"1\",\"catItemCommentsAnchor\":\"1\",\"catItemK2Plugins\":\"1\",\"itemDateCreated\":\"1\",\"itemTitle\":\"1\",\"itemFeaturedNotice\":\"1\",\"itemAuthor\":\"1\",\"itemFontResizer\":\"1\",\"itemPrintButton\":\"1\",\"itemEmailButton\":\"1\",\"itemSocialButton\":\"1\",\"itemVideoAnchor\":\"1\",\"itemImageGalleryAnchor\":\"1\",\"itemCommentsAnchor\":\"1\",\"itemRating\":\"1\",\"itemImage\":\"1\",\"itemImgSize\":\"Large\",\"itemImageMainCaption\":\"1\",\"itemImageMainCredits\":\"1\",\"itemIntroText\":\"1\",\"itemFullText\":\"1\",\"itemExtraFields\":\"1\",\"itemDateModified\":\"1\",\"itemHits\":\"1\",\"itemCategory\":\"1\",\"itemTags\":\"1\",\"itemAttachments\":\"1\",\"itemAttachmentsCounter\":\"1\",\"itemVideo\":\"1\",\"itemVideoWidth\":\"\",\"itemVideoHeight\":\"\",\"itemAudioWidth\":\"\",\"itemAudioHeight\":\"\",\"itemVideoAutoPlay\":\"0\",\"itemVideoCaption\":\"1\",\"itemVideoCredits\":\"1\",\"itemImageGallery\":\"1\",\"itemNavigation\":\"1\",\"itemComments\":\"1\",\"itemTwitterButton\":\"1\",\"itemFacebookButton\":\"1\",\"itemGooglePlusOneButton\":\"1\",\"itemAuthorBlock\":\"1\",\"itemAuthorImage\":\"1\",\"itemAuthorDescription\":\"1\",\"itemAuthorURL\":\"1\",\"itemAuthorEmail\":\"0\",\"itemAuthorLatest\":\"1\",\"itemAuthorLatestLimit\":\"5\",\"itemRelated\":\"1\",\"itemRelatedLimit\":\"5\",\"itemRelatedTitle\":\"1\",\"itemRelatedCategory\":\"0\",\"itemRelatedImageSize\":\"0\",\"itemRelatedIntrotext\":\"0\",\"itemRelatedFulltext\":\"0\",\"itemRelatedAuthor\":\"0\",\"itemRelatedMedia\":\"0\",\"itemRelatedImageGallery\":\"0\",\"itemK2Plugins\":\"1\",\"catMetaDesc\":\"\",\"catMetaKey\":\"\",\"catMetaRobots\":\"\",\"catMetaAuthor\":\"\"}',0,'','*');

/*!40000 ALTER TABLE `#__k2_categories` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_comments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_comments`;

CREATE TABLE `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_comments` WRITE;
/*!40000 ALTER TABLE `#__k2_comments` DISABLE KEYS */;

INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`)
VALUES
	(1,88,0,'The Commenter','2010-10-06 05:09:29','This is a comment. But i think you can tell that already.','comment@commenter.com','',1),
	(2,88,0,'Commenter','2010-10-06 05:10:34','This is another comment that Im leaving. I hope it adds to the experience for you.','comment@commenter.com','',1),
	(3,88,0,'asd','2011-09-20 06:26:33','Message me','sdf@j.com','http://dasf',1),
	(4,88,62,'Administrator','2011-09-20 10:49:16','dfgh','design@joomlabamboo.com','',1),
	(5,144,0,'Anthony','2012-01-23 01:53:00','This is a comment','design@joodmlabamboo.com','http://www.joomlabamboo.com',1),
	(6,144,0,'Paulo Griiettner','2012-02-01 00:03:33','I\'m testing the commenting area','oi@email.com','',1),
	(7,144,0,'Paulo Griiettner','2012-02-01 00:12:25','I\'m testing the commenting area','oi@email.com','',1);

/*!40000 ALTER TABLE `#__k2_comments` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_extra_fields
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_extra_fields`;

CREATE TABLE `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__k2_extra_fields_groups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_extra_fields_groups`;

CREATE TABLE `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__k2_items
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_items`;

CREATE TABLE `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`),
  FULLTEXT KEY `search` (`title`,`introtext`,`fulltext`,`extra_fields_search`,`image_caption`,`image_credits`,`video_caption`,`video_credits`,`metadesc`,`metakey`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_items` WRITE;
/*!40000 ALTER TABLE `#__k2_items` DISABLE KEYS */;

INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`)
VALUES
	(56,'Open Book','open-book',20,1,'<p><img src=\"images/democontent/democontent/open-book.jpg\" border=\"0\" align=\"left\" class=\"border floatleft\" /></p>\r\n<p>This is the start and this is the end. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n','\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',NULL,NULL,'[]','','2010-06-23 03:06:13',62,'',0,'0000-00-00 00:00:00','2012-01-03 03:58:32',62,'2010-06-23 03:06:13','0000-00-00 00:00:00',0,1,4,0,0,'','','','',102,'catItemTitle=\ncatItemTitleLinked=\ncatItemFeaturedNotice=\ncatItemAuthor=\ncatItemDateCreated=\ncatItemRating=\ncatItemImage=\ncatItemIntroText=\ncatItemExtraFields=\ncatItemHits=\ncatItemCategory=\ncatItemTags=\ncatItemAttachments=\ncatItemAttachmentsCounter=\ncatItemVideo=\ncatItemVideoWidth=\ncatItemVideoHeight=\ncatItemAudioWidth=\ncatItemAudioHeight=\ncatItemVideoAutoPlay=\ncatItemImageGallery=\ncatItemDateModified=\ncatItemReadMore=\ncatItemCommentsAnchor=\ncatItemK2Plugins=\nitemDateCreated=\nitemTitle=\nitemFeaturedNotice=\nitemAuthor=\nitemFontResizer=\nitemPrintButton=\nitemEmailButton=\nitemSocialButton=\nitemVideoAnchor=\nitemImageGalleryAnchor=\nitemCommentsAnchor=\nitemRating=\nitemImage=\nitemImgSize=\nitemImageMainCaption=\nitemImageMainCredits=\nitemIntroText=\nitemFullText=\nitemExtraFields=\nitemDateModified=\nitemHits=\nitemCategory=\nitemTags=\nitemAttachments=\nitemAttachmentsCounter=\nitemVideo=\nitemVideoWidth=\nitemVideoHeight=\nitemAudioWidth=\nitemAudioHeight=\nitemVideoAutoPlay=\nitemVideoCaption=\nitemVideoCredits=\nitemImageGallery=\nitemNavigation=\nitemComments=\nitemTwitterButton=\nitemFacebookButton=\nitemGooglePlusOneButton=\nitemAuthorBlock=\nitemAuthorImage=\nitemAuthorDescription=\nitemAuthorURL=\nitemAuthorEmail=\nitemAuthorLatest=\nitemAuthorLatestLimit=\nitemRelated=\nitemRelatedLimit=\nitemRelatedTitle=\nitemRelatedCategory=\nitemRelatedImageSize=\nitemRelatedIntrotext=\nitemRelatedFulltext=\nitemRelatedAuthor=\nitemRelatedMedia=\nitemRelatedImageGallery=\nitemK2Plugins=\n\n','','robots=\nauthor=','','',''),
	(77,'Give more colors to your life','give-more-colors-to-your-life',20,1,'<p><img src=\"images/democontent/democontent/color-card-paint-samples.jpg\" border=\"0\" align=\"left\" class=\"border floatleft\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n','\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',NULL,NULL,'[]','','2010-07-10 07:14:59',62,'',0,'0000-00-00 00:00:00','2012-01-03 03:56:09',62,'2010-07-10 07:14:59','0000-00-00 00:00:00',0,1,6,0,0,'','','','',58,'catItemTitle=\ncatItemTitleLinked=\ncatItemFeaturedNotice=\ncatItemAuthor=\ncatItemDateCreated=\ncatItemRating=\ncatItemImage=\ncatItemIntroText=\ncatItemExtraFields=\ncatItemHits=\ncatItemCategory=\ncatItemTags=\ncatItemAttachments=\ncatItemAttachmentsCounter=\ncatItemVideo=\ncatItemVideoWidth=\ncatItemVideoHeight=\ncatItemAudioWidth=\ncatItemAudioHeight=\ncatItemVideoAutoPlay=\ncatItemImageGallery=\ncatItemDateModified=\ncatItemReadMore=\ncatItemCommentsAnchor=\ncatItemK2Plugins=\nitemDateCreated=\nitemTitle=\nitemFeaturedNotice=\nitemAuthor=\nitemFontResizer=\nitemPrintButton=\nitemEmailButton=\nitemSocialButton=\nitemVideoAnchor=\nitemImageGalleryAnchor=\nitemCommentsAnchor=\nitemRating=\nitemImage=\nitemImgSize=\nitemImageMainCaption=\nitemImageMainCredits=\nitemIntroText=\nitemFullText=\nitemExtraFields=\nitemDateModified=\nitemHits=\nitemCategory=\nitemTags=\nitemAttachments=\nitemAttachmentsCounter=\nitemVideo=\nitemVideoWidth=\nitemVideoHeight=\nitemAudioWidth=\nitemAudioHeight=\nitemVideoAutoPlay=\nitemVideoCaption=\nitemVideoCredits=\nitemImageGallery=\nitemNavigation=\nitemComments=\nitemTwitterButton=\nitemFacebookButton=\nitemGooglePlusOneButton=\nitemAuthorBlock=\nitemAuthorImage=\nitemAuthorDescription=\nitemAuthorURL=\nitemAuthorEmail=\nitemAuthorLatest=\nitemAuthorLatestLimit=\nitemRelated=\nitemRelatedLimit=\nitemRelatedTitle=\nitemRelatedCategory=\nitemRelatedImageSize=\nitemRelatedIntrotext=\nitemRelatedFulltext=\nitemRelatedAuthor=\nitemRelatedMedia=\nitemRelatedImageGallery=\nitemK2Plugins=\n\n','','robots=\nauthor=','','',''),
	(79,'Less than zero','less-than-zero',20,1,'<p><img src=\"images/democontent/democontent/blue-sky.jpg\" border=\"0\" align=\"left\" class=\"border floatleft\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>','',NULL,NULL,'[]','','2010-07-10 07:16:43',62,'',0,'0000-00-00 00:00:00','2012-01-03 03:53:05',62,'2010-07-10 07:16:43','0000-00-00 00:00:00',0,1,5,0,0,'','','','',9,'catItemTitle=\ncatItemTitleLinked=\ncatItemFeaturedNotice=\ncatItemAuthor=\ncatItemDateCreated=\ncatItemRating=\ncatItemImage=\ncatItemIntroText=\ncatItemExtraFields=\ncatItemHits=\ncatItemCategory=\ncatItemTags=\ncatItemAttachments=\ncatItemAttachmentsCounter=\ncatItemVideo=\ncatItemVideoWidth=\ncatItemVideoHeight=\ncatItemAudioWidth=\ncatItemAudioHeight=\ncatItemVideoAutoPlay=\ncatItemImageGallery=\ncatItemDateModified=\ncatItemReadMore=\ncatItemCommentsAnchor=\ncatItemK2Plugins=\nitemDateCreated=\nitemTitle=\nitemFeaturedNotice=\nitemAuthor=\nitemFontResizer=\nitemPrintButton=\nitemEmailButton=\nitemSocialButton=\nitemVideoAnchor=\nitemImageGalleryAnchor=\nitemCommentsAnchor=\nitemRating=\nitemImage=\nitemImgSize=\nitemImageMainCaption=\nitemImageMainCredits=\nitemIntroText=\nitemFullText=\nitemExtraFields=\nitemDateModified=\nitemHits=\nitemCategory=\nitemTags=\nitemAttachments=\nitemAttachmentsCounter=\nitemVideo=\nitemVideoWidth=\nitemVideoHeight=\nitemAudioWidth=\nitemAudioHeight=\nitemVideoAutoPlay=\nitemVideoCaption=\nitemVideoCredits=\nitemImageGallery=\nitemNavigation=\nitemComments=\nitemTwitterButton=\nitemFacebookButton=\nitemGooglePlusOneButton=\nitemAuthorBlock=\nitemAuthorImage=\nitemAuthorDescription=\nitemAuthorURL=\nitemAuthorEmail=\nitemAuthorLatest=\nitemAuthorLatestLimit=\nitemRelated=\nitemRelatedLimit=\nitemRelatedTitle=\nitemRelatedCategory=\nitemRelatedImageSize=\nitemRelatedIntrotext=\nitemRelatedFulltext=\nitemRelatedAuthor=\nitemRelatedMedia=\nitemRelatedImageGallery=\nitemK2Plugins=\n\n','','robots=\nauthor=','','',''),
	(143,'Quit Smoking and Drinking','quit-smoking-and-drinking',20,1,'<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n<p><img src=\"images/democontent/democontent/cigar-on-drink.jpg\" border=\"0\" align=\"left\" class=\"border floatleft\" /></p>\r\n<p>Placerat rhoncus quis diam mid? Amet sed. Enim, integer est turpis nascetur rhoncus est, turpis! Ac porta, pid ut! Platea, sed porttitor et sagittis, nec dignissim, natoque etiam adipiscing habitasse aliquet dignissim, ultrices, duis magna! In egestas rhoncus parturient auctor integer, augue urna scelerisque placerat placerat pulvinar, cum adipiscing quis elementum magna eros, phasellus velit! Porttitor elit scelerisque cursus! Elementum rhoncus lundium proin, amet. Elementum placerat, in sit, augue ut rhoncus ridiculus sit arcu turpis augue sed, scelerisque, placerat augue. Aliquam velit scelerisque, etiam sagittis nisi dignissim! Ut urna? Adipiscing amet diam augue amet, sed turpis, integer eros, urna? Cursus turpis sed egestas lundium, enim, lorem rhoncus, ultrices et proin. Nisi, tincidunt pid! Magnis etiam rhoncus lorem elit ultrices.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p> </p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',NULL,NULL,'[]','','2010-07-10 07:41:34',62,'',0,'0000-00-00 00:00:00','2012-01-03 03:51:09',62,'2010-07-10 07:41:34','0000-00-00 00:00:00',0,1,3,0,0,'','','','',12,'catItemTitle=\ncatItemTitleLinked=\ncatItemFeaturedNotice=\ncatItemAuthor=\ncatItemDateCreated=\ncatItemRating=\ncatItemImage=\ncatItemIntroText=\ncatItemExtraFields=\ncatItemHits=\ncatItemCategory=\ncatItemTags=\ncatItemAttachments=\ncatItemAttachmentsCounter=\ncatItemVideo=\ncatItemVideoWidth=\ncatItemVideoHeight=\ncatItemAudioWidth=\ncatItemAudioHeight=\ncatItemVideoAutoPlay=\ncatItemImageGallery=\ncatItemDateModified=\ncatItemReadMore=\ncatItemCommentsAnchor=\ncatItemK2Plugins=\nitemDateCreated=\nitemTitle=\nitemFeaturedNotice=\nitemAuthor=\nitemFontResizer=\nitemPrintButton=\nitemEmailButton=\nitemSocialButton=\nitemVideoAnchor=\nitemImageGalleryAnchor=\nitemCommentsAnchor=\nitemRating=\nitemImage=\nitemImgSize=\nitemImageMainCaption=\nitemImageMainCredits=\nitemIntroText=\nitemFullText=\nitemExtraFields=\nitemDateModified=\nitemHits=\nitemCategory=\nitemTags=\nitemAttachments=\nitemAttachmentsCounter=\nitemVideo=\nitemVideoWidth=\nitemVideoHeight=\nitemAudioWidth=\nitemAudioHeight=\nitemVideoAutoPlay=\nitemVideoCaption=\nitemVideoCredits=\nitemImageGallery=\nitemNavigation=\nitemComments=\nitemTwitterButton=\nitemFacebookButton=\nitemGooglePlusOneButton=\nitemAuthorBlock=\nitemAuthorImage=\nitemAuthorDescription=\nitemAuthorURL=\nitemAuthorEmail=\nitemAuthorLatest=\nitemAuthorLatestLimit=\nitemRelated=\nitemRelatedLimit=\nitemRelatedTitle=\nitemRelatedCategory=\nitemRelatedImageSize=\nitemRelatedIntrotext=\nitemRelatedFulltext=\nitemRelatedAuthor=\nitemRelatedMedia=\nitemRelatedImageGallery=\nitemK2Plugins=\n\n','','robots=\nauthor=','','',''),
	(144,'Little Creatures','little-creatures',20,1,'<p><img src=\"images/democontent/democontent/honey-bee.jpg\" border=\"0\" align=\"left\" class=\"border floatleft\" /></p>\r\n<p>Vel dictumst amet? Sit montes? Magnis, pid amet ac amet facilisis, dolor pellentesque tortor, auctor, pid augue. Lectus duis duis amet penatibus proin purus est ultricies, ultricies ac mauris? Dolor purus integer magna etiam, hac. In placerat phasellus amet? Magnis montes! Turpis penatibus augue scelerisque elit in, ut porttitor pellentesque proin lorem dolor arcu? Vel augue ridiculus nascetur dignissim, mus integer mauris dapibus turpis integer, mid hac natoque, aliquet est egestas? Magna ac lacus elementum, ac velit ultricies sociis? Sit tortor! In scelerisque. Magna augue sit hac montes elementum? Nec aliquam nascetur phasellus tincidunt, augue natoque placerat pid urna! Penatibus in turpis ultrices non tincidunt pulvinar penatibus. Penatibus ac nunc ac ridiculus, in, cum. Lacus, urna sed? Pid sit.</p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p> </p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',NULL,NULL,'[]','','2010-07-10 07:42:04',62,'',0,'0000-00-00 00:00:00','2012-01-03 03:47:36',62,'2010-07-10 07:42:04','0000-00-00 00:00:00',0,1,2,0,0,'','','','',464,'catItemTitle=\ncatItemTitleLinked=\ncatItemFeaturedNotice=\ncatItemAuthor=\ncatItemDateCreated=\ncatItemRating=\ncatItemImage=\ncatItemIntroText=\ncatItemExtraFields=\ncatItemHits=\ncatItemCategory=\ncatItemTags=\ncatItemAttachments=\ncatItemAttachmentsCounter=\ncatItemVideo=\ncatItemVideoWidth=\ncatItemVideoHeight=\ncatItemAudioWidth=\ncatItemAudioHeight=\ncatItemVideoAutoPlay=\ncatItemImageGallery=\ncatItemDateModified=\ncatItemReadMore=\ncatItemCommentsAnchor=\ncatItemK2Plugins=\nitemDateCreated=\nitemTitle=\nitemFeaturedNotice=\nitemAuthor=\nitemFontResizer=\nitemPrintButton=\nitemEmailButton=\nitemSocialButton=\nitemVideoAnchor=\nitemImageGalleryAnchor=\nitemCommentsAnchor=\nitemRating=\nitemImage=\nitemImgSize=\nitemImageMainCaption=\nitemImageMainCredits=\nitemIntroText=\nitemFullText=\nitemExtraFields=\nitemDateModified=\nitemHits=\nitemCategory=\nitemTags=\nitemAttachments=\nitemAttachmentsCounter=\nitemVideo=\nitemVideoWidth=\nitemVideoHeight=\nitemAudioWidth=\nitemAudioHeight=\nitemVideoAutoPlay=\nitemVideoCaption=\nitemVideoCredits=\nitemImageGallery=\nitemNavigation=\nitemComments=\nitemTwitterButton=\nitemFacebookButton=\nitemGooglePlusOneButton=\nitemAuthorBlock=\nitemAuthorImage=\nitemAuthorDescription=\nitemAuthorURL=\nitemAuthorEmail=\nitemAuthorLatest=\nitemAuthorLatestLimit=\nitemRelated=\nitemRelatedLimit=\nitemRelatedTitle=\nitemRelatedCategory=\nitemRelatedImageSize=\nitemRelatedIntrotext=\nitemRelatedFulltext=\nitemRelatedAuthor=\nitemRelatedMedia=\nitemRelatedImageGallery=\nitemK2Plugins=\n\n','','robots=\nauthor=','','',''),
	(145,'Head in the clouds, but feet on ground','head-in-the-clouds-but-feet-on-ground',20,1,'<p>Sed, tortor lorem. Odio. Nec ridiculus, risus nec platea vut a, a tempor, rhoncus rhoncus adipiscing scelerisque, tincidunt turpis scelerisque, tortor? Nunc est, natoque turpis dis porta. Platea cum. Sagittis tincidunt in risus tristique arcu, nec turpis placerat? Pellentesque, natoque diam integer cum mus mid auctor in enim quis, integer nec ridiculus turpis elementum enim lectus aliquam aliquam sit. Porttitor adipiscing nisi nunc facilisis in nascetur porttitor? Ut. Non pulvinar nec sociis eros? Nunc augue tortor augue nec? Montes platea, turpis lacus, tincidunt mattis placerat lectus mus, ac, sagittis! Pellentesque et integer porttitor, urna tortor, lundium penatibus a lorem? Etiam mauris parturient nec augue et tincidunt sed tristique velit ut, tortor. Adipiscing lundium. Nunc nunc. Eu egestas, mauris augue.</p>\r\n<p><img src=\"images/democontent/democontent/blue-sky-with-white-clouds.jpg\" border=\"0\" align=\"left\" class=\"border floatleft\" /></p>\r\n<p>Donec mollis orci vel turpis tempus aliquam. Suspendisse tincidunt tincidunt ante eget lacinia. In iaculis pulvinar urna, in iaculis lacus blandit in. Vivamus euismod, nisi eget interdum mollis, augue leo vulputate diam, eu vulputate lectus elit et augue. Cras a leo in quam bibendum dapibus tempus euismod est.</p>\r\n','\r\n<p>Nunc sit amet urna non augue sodales semper non et velit. Nullam sodales dapibus tempor. Aliquam quis turpis sed nulla convallis feugiat. Vestibulum laoreet venenatis iaculis. Vivamus augue erat, sagittis vestibulum aliquet non, blandit ac sem. Sed eros tellus, dapibus eu auctor ac, sodales ac est. Aliquam neque lacus, fringilla quis sagittis lobortis, bibendum eget tellus. Nam blandit adipiscing nisi eget suscipit. Mauris auctor lobortis enim sit amet ullamcorper. Morbi nulla lorem, auctor at varius eu, hendrerit eget lectus. Suspendisse nec auctor nulla.</p>\r\n<p> </p>\r\n<p>Vivamus ac lorem et elit fringilla sagittis eu in sapien. Sed vel nisl ut magna volutpat porta ac a diam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum enim lectus, euismod id pretium dapibus, malesuada vitae mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Vestibulum malesuada molestie elit tristique mattis. In commodo, velit id accumsan tristique, neque purus ultricies ipsum, et aliquet diam erat a risus. Sed vehicula ullamcorper tortor, quis blandit odio tincidunt nec.</p>\r\n<p>Morbi aliquet, quam ut rutrum bibendum, sapien urna tempor lacus, porttitor consequat nisi justo euismod odio. Donec pretium mattis pulvinar. Maecenas tincidunt fringilla massa. Nulla odio sapien, aliquam bibendum placerat quis, dictum non orci.</p>',NULL,NULL,'[]','','2010-07-10 07:14:59',62,'',0,'0000-00-00 00:00:00','2012-01-03 03:39:02',62,'2010-07-10 07:14:59','0000-00-00 00:00:00',0,1,1,1,0,'','','','',14,'catItemTitle=\ncatItemTitleLinked=\ncatItemFeaturedNotice=\ncatItemAuthor=\ncatItemDateCreated=\ncatItemRating=\ncatItemImage=\ncatItemIntroText=\ncatItemExtraFields=\ncatItemHits=\ncatItemCategory=\ncatItemTags=\ncatItemAttachments=\ncatItemAttachmentsCounter=\ncatItemVideo=\ncatItemVideoWidth=\ncatItemVideoHeight=\ncatItemAudioWidth=\ncatItemAudioHeight=\ncatItemVideoAutoPlay=\ncatItemImageGallery=\ncatItemDateModified=\ncatItemReadMore=\ncatItemCommentsAnchor=\ncatItemK2Plugins=\nitemDateCreated=\nitemTitle=\nitemFeaturedNotice=\nitemAuthor=\nitemFontResizer=\nitemPrintButton=\nitemEmailButton=\nitemSocialButton=\nitemVideoAnchor=\nitemImageGalleryAnchor=\nitemCommentsAnchor=\nitemRating=\nitemImage=\nitemImgSize=\nitemImageMainCaption=\nitemImageMainCredits=\nitemIntroText=\nitemFullText=\nitemExtraFields=\nitemDateModified=\nitemHits=\nitemCategory=\nitemTags=\nitemAttachments=\nitemAttachmentsCounter=\nitemVideo=\nitemVideoWidth=\nitemVideoHeight=\nitemAudioWidth=\nitemAudioHeight=\nitemVideoAutoPlay=\nitemVideoCaption=\nitemVideoCredits=\nitemImageGallery=\nitemNavigation=\nitemComments=\nitemTwitterButton=\nitemFacebookButton=\nitemGooglePlusOneButton=\nitemAuthorBlock=\nitemAuthorImage=\nitemAuthorDescription=\nitemAuthorURL=\nitemAuthorEmail=\nitemAuthorLatest=\nitemAuthorLatestLimit=\nitemRelated=\nitemRelatedLimit=\nitemRelatedTitle=\nitemRelatedCategory=\nitemRelatedImageSize=\nitemRelatedIntrotext=\nitemRelatedFulltext=\nitemRelatedAuthor=\nitemRelatedMedia=\nitemRelatedImageGallery=\nitemK2Plugins=\n\n','','robots=\nauthor=','','','');

/*!40000 ALTER TABLE `#__k2_items` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_rating
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_rating`;

CREATE TABLE `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_rating` WRITE;
/*!40000 ALTER TABLE `#__k2_rating` DISABLE KEYS */;

INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`)
VALUES
	(88,4,1,'::1'),
	(144,5,1,'::1');

/*!40000 ALTER TABLE `#__k2_rating` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_tags`;

CREATE TABLE `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_tags` WRITE;
/*!40000 ALTER TABLE `#__k2_tags` DISABLE KEYS */;

INSERT INTO `#__k2_tags` (`id`, `name`, `published`)
VALUES
	(1,'About Joomla!',1),
	(2,'General',1),
	(3,'Extensions',1),
	(4,'lover geek designer coder',1),
	(5,'lover designer coder geek',1),
	(6,'lover geek coder',1),
	(7,'lover geek admin',1),
	(8,'fighter geek coder admin',1),
	(9,'designer lover',1),
	(10,'designer admin fighter',1),
	(11,'coder lover designer',1),
	(12,'Uncategorized',1),
	(13,'Example Pages and Menu Links',1),
	(14,'healthy food',1),
	(15,'shopping',1),
	(16,'blog',1),
	(17,'business',1),
	(18,'nature',1),
	(19,'color',1);

/*!40000 ALTER TABLE `#__k2_tags` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_tags_xref
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_tags_xref`;

CREATE TABLE `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_tags_xref` WRITE;
/*!40000 ALTER TABLE `#__k2_tags_xref` DISABLE KEYS */;

INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`)
VALUES
	(36,16,143),
	(35,18,144),
	(30,16,145),
	(31,17,145),
	(34,16,144),
	(37,14,143),
	(38,16,77),
	(39,19,77),
	(40,16,56),
	(41,17,56);

/*!40000 ALTER TABLE `#__k2_tags_xref` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_user_groups
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_user_groups`;

CREATE TABLE `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_user_groups` WRITE;
/*!40000 ALTER TABLE `#__k2_user_groups` DISABLE KEYS */;

INSERT INTO `#__k2_user_groups` (`id`, `name`, `permissions`)
VALUES
	(1,'Registered','frontEdit=0\nadd=0\neditOwn=0\neditAll=0\npublish=0\ncomment=1\ninheritance=0\ncategories=all\n\n'),
	(2,'Site Owner','frontEdit=1\nadd=1\neditOwn=1\neditAll=1\npublish=1\ncomment=1\ninheritance=1\ncategories=all\n\n');

/*!40000 ALTER TABLE `#__k2_user_groups` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__k2_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__k2_users`;

CREATE TABLE `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__k2_users` WRITE;
/*!40000 ALTER TABLE `#__k2_users` DISABLE KEYS */;

INSERT INTO `#__k2_users` (`id`, `userID`, `userName`, `gender`, `description`, `image`, `url`, `group`, `plugins`)
VALUES
	(1,62,'Administrator','m','',NULL,'',2,'');

/*!40000 ALTER TABLE `#__k2_users` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__languages
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__languages`;

CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__languages` WRITE;
/*!40000 ALTER TABLE `#__languages` DISABLE KEYS */;

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `ordering`)
VALUES
	(1,'en-GB','English (UK)','English (UK)','en','en','','','','',1,1);

/*!40000 ALTER TABLE `#__languages` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__menu
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__menu`;

CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(333)),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__menu` WRITE;
/*!40000 ALTER TABLE `#__menu` DISABLE KEYS */;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`)
VALUES
	(1,'','Menu_Item_Root',X'726F6F74','','','','',1,0,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,239,0,'*',0),
	(2,'menu','com_banners',X'42616E6E657273','','Banners','index.php?option=com_banners','component',0,1,1,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',1,10,0,'*',1),
	(3,'menu','com_banners',X'42616E6E657273','','Banners/Banners','index.php?option=com_banners','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',2,3,0,'*',1),
	(4,'menu','com_banners_categories',X'43617465676F72696573','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',0,2,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',4,5,0,'*',1),
	(5,'menu','com_banners_clients',X'436C69656E7473','','Banners/Clients','index.php?option=com_banners&view=clients','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',6,7,0,'*',1),
	(6,'menu','com_banners_tracks',X'547261636B73','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',0,2,2,4,0,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',8,9,0,'*',1),
	(7,'menu','com_contact',X'436F6E7461637473','','Contacts','index.php?option=com_contact','component',0,1,1,8,0,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',11,16,0,'*',1),
	(8,'menu','com_contact',X'436F6E7461637473','','Contacts/Contacts','index.php?option=com_contact','component',0,7,2,8,0,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',12,13,0,'*',1),
	(9,'menu','com_contact_categories',X'43617465676F72696573','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',0,7,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',14,15,0,'*',1),
	(10,'menu','com_messages',X'4D6573736167696E67','','Messaging','index.php?option=com_messages','component',0,1,1,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',17,22,0,'*',1),
	(11,'menu','com_messages_add',X'4E65772050726976617465204D657373616765','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',0,10,2,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',18,19,0,'*',1),
	(12,'menu','com_messages_read',X'526561642050726976617465204D657373616765','','Messaging/Read Private Message','index.php?option=com_messages','component',0,10,2,15,0,0,'0000-00-00 00:00:00',0,0,'class:messages-read',0,'',20,21,0,'*',1),
	(13,'menu','com_newsfeeds',X'4E657773204665656473','','News Feeds','index.php?option=com_newsfeeds','component',0,1,1,17,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',23,28,0,'*',1),
	(14,'menu','com_newsfeeds_feeds',X'4665656473','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',0,13,2,17,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',24,25,0,'*',1),
	(15,'menu','com_newsfeeds_categories',X'43617465676F72696573','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',0,13,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',26,27,0,'*',1),
	(16,'menu','com_redirect',X'5265646972656374','','Redirect','index.php?option=com_redirect','component',0,1,1,24,0,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',37,38,0,'*',1),
	(17,'menu','com_search',X'536561726368','','Search','index.php?option=com_search','component',0,1,1,19,0,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',29,30,0,'*',1),
	(18,'menu','com_weblinks',X'5765626C696E6B73','','Weblinks','index.php?option=com_weblinks','component',0,1,1,21,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',31,36,0,'*',1),
	(19,'menu','com_weblinks_links',X'4C696E6B73','','Weblinks/Links','index.php?option=com_weblinks','component',0,18,2,21,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks',0,'',32,33,0,'*',1),
	(20,'menu','com_weblinks_categories',X'43617465676F72696573','','Weblinks/Categories','index.php?option=com_categories&extension=com_weblinks','component',0,18,2,6,0,0,'0000-00-00 00:00:00',0,0,'class:weblinks-cat',0,'',34,35,0,'*',1),
	(102,'mainmenu','Home',X'686F6D65','','home','index.php?option=com_content&view=featured','component',1,1,1,22,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"0\",\"num_columns\":\"1\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"order\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"0\",\"show_title\":\"1\",\"link_titles\":\"\",\"show_intro\":\"1\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"1\",\"show_noauth\":\"0\",\"show_feed_link\":\"0\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"Welcome to the Frontpage\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"teste\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',47,48,1,'*',0),
	(104,'usermenu','Your Details',X'796F75722D64657461696C73','','your-details','index.php?option=com_users&view=user&task=edit','component',1,1,1,25,1,0,'0000-00-00 00:00:00',0,2,'',0,'{}',49,50,0,'*',0),
	(105,'usermenu','Logout',X'6C6F676F7574','','logout','index.php?option=com_users&view=login','component',1,1,1,25,4,0,'0000-00-00 00:00:00',0,2,'',0,'{}',131,132,0,'*',0),
	(106,'mainmenu','Joomla',X'6A6F6F6D6C612D72656C61746564','','joomla-related','index.php?option=com_content&view=category&layout=blog&id=21','component',1,1,1,22,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',137,180,0,'*',0),
	(107,'mainmenu','Article Layout',X'61727469636C652D6C61796F7574','','joomla-related/content/article-layout','index.php?option=com_content&view=article&id=45','component',1,122,3,22,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"1\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"1\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"\",\"show_item_navigation\":\"1\",\"show_vote\":\"1\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"show_noauth\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',155,156,0,'*',0),
	(109,'top-menu','Login',X'6C6F67696E','','login','index.php?Itemid=','alias',1,1,1,0,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"129\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',43,44,0,'*',0),
	(110,'top-menu','Contact Us',X'636F6E746163742D7573','','contact-us','index.php?Itemid=','alias',1,1,1,8,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"135\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',91,92,0,'*',0),
	(111,'mainmenu','Web Links',X'7765622D6C696E6B73','','joomla-related/components/web-links','index.php?option=com_weblinks&view=categories','component',1,123,3,21,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"image\":-1,\"image_align\":\"right\",\"show_feed_link\":1,\"show_comp_description\":1,\"comp_description\":\"\",\"show_link_hits\":1,\"show_link_description\":1,\"show_other_cats\":1,\"show_headings\":1,\"target\":\"\",\"link_icons\":\"\",\"page_title\":\"Weblinks\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',169,170,0,'*',0),
	(112,'mainmenu','News Feeds',X'6E6577732D6665656473','','joomla-related/components/news-feeds','index.php?option=com_newsfeeds&view=categories','component',1,123,3,17,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_limit\":1,\"show_comp_description\":1,\"comp_description\":\"\",\"image\":-1,\"image_align\":\"right\",\"show_headings\":1,\"show_name\":1,\"show_articles\":1,\"show_link\":1,\"show_cat_description\":1,\"show_cat_items\":1,\"show_feed_image\":1,\"show_feed_description\":1,\"show_item_description\":1,\"feed_word_count\":0,\"page_title\":\"Newsfeeds\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',167,168,0,'*',0),
	(113,'mainmenu','Category Blog',X'63617465676F72792D626C6F67','','joomla-related/content/category-blog','index.php?option=com_content&view=category&layout=blog&id=19','component',1,122,3,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"1\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"\",\"show_item_navigation\":\"1\",\"show_vote\":\"1\",\"show_readmore\":\"1\",\"show_readmore_title\":\"\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"1\",\"show_noauth\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"The News\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',151,152,0,'*',0),
	(114,'usermenu','Submit an Article',X'7375626D69742D616E2D61727469636C65','','submit-an-article','index.php?option=com_content&view=article&layout=form','component',1,1,1,22,2,0,'0000-00-00 00:00:00',0,3,'',0,'{}',89,90,0,'*',0),
	(115,'usermenu','Submit a Web Link',X'7375626D69742D612D7765622D6C696E6B','','submit-a-web-link','index.php?option=com_weblinks&view=weblink&layout=form','component',1,1,1,21,3,0,'0000-00-00 00:00:00',0,3,'',0,'{}',113,114,0,'*',0),
	(116,'mainmenu','K2',X'6B32','','k2','index.php?option=com_content&view=article&id=46','component',1,1,1,22,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',115,128,0,'*',0),
	(117,'mainmenu','K2 Item',X'6B322D6974656D','','k2/k2-item','index.php?option=com_k2&view=item&layout=item&id=144','component',1,116,2,10000,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"K2 Item\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',116,117,0,'*',0),
	(118,'mainmenu','K2 Category',X'6B322D63617465676F7279','','k2/k2-category','index.php?option=com_k2&view=itemlist&layout=category&task=category&id=20','component',1,116,2,10000,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"categories\":[\"20\"],\"singleCatOrdering\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"K2 Category\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',118,119,0,'*',0),
	(119,'mainmenu','K2 User Page',X'6B322D757365722D70616765','','k2/k2-user-page','index.php?option=com_k2&view=itemlist&layout=user&id=62&task=user','component',1,116,2,0,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"feedLink\":1,\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',120,121,0,'*',0),
	(120,'mainmenu','K2 Latest Items User',X'6B322D6C61746573742D6974656D732D75736572','','k2/k2-latest-items-user','index.php?option=com_k2&view=latest&layout=latest','component',1,116,2,10000,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"lifestyle\",\"source\":\"0\",\"latestItemsCols\":\"1\",\"latestItemsLimit\":\"3\",\"latestItemsDisplayEffect\":\"all\",\"userIDs\":[\"62\"],\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"1\",\"userFeed\":\"1\",\"categoryTitle\":\"1\",\"categoryDescription\":\"1\",\"categoryImage\":\"1\",\"categoryFeed\":\"1\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"1\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Medium\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"1\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"1\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',122,123,0,'*',0),
	(121,'mainmenu','Latest Items Category',X'6C61746573742D6974656D732D63617465676F7279','','k2/latest-items-category','index.php?option=com_k2&view=latest&layout=latest','component',1,116,2,10000,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"lifestyle\",\"source\":\"1\",\"latestItemsCols\":\"1\",\"latestItemsLimit\":\"3\",\"latestItemsDisplayEffect\":\"all\",\"userName\":\"1\",\"userImage\":\"1\",\"userDescription\":\"1\",\"userURL\":\"1\",\"userEmail\":\"1\",\"userFeed\":\"1\",\"categoryIDs\":[\"20\"],\"categoryTitle\":\"1\",\"categoryDescription\":\"1\",\"categoryImage\":\"1\",\"categoryFeed\":\"1\",\"latestItemTitle\":\"1\",\"latestItemTitleLinked\":\"1\",\"latestItemDateCreated\":\"1\",\"latestItemImage\":\"1\",\"latestItemImageSize\":\"Medium\",\"latestItemVideo\":\"1\",\"latestItemVideoWidth\":\"\",\"latestItemVideoHeight\":\"\",\"latestItemAudioWidth\":\"\",\"latestItemAudioHeight\":\"\",\"latestItemVideoAutoPlay\":\"0\",\"latestItemIntroText\":\"1\",\"latestItemCategory\":\"1\",\"latestItemTags\":\"1\",\"latestItemReadMore\":\"1\",\"latestItemCommentsAnchor\":\"1\",\"feedLink\":\"1\",\"latestItemK2Plugins\":\"0\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',124,125,0,'*',0),
	(122,'mainmenu','Content',X'636F6E74656E74','','joomla-related/content','index.php?option=com_content&view=article&id=45','component',1,106,2,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',150,165,0,'*',0),
	(123,'mainmenu','Components',X'636F6D706F6E656E7473','','joomla-related/components','index.php?option=com_newsfeeds&view=categories','component',1,106,2,17,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_limit\":1,\"show_comp_description\":1,\"comp_description\":\"\",\"image\":-1,\"image_align\":\"right\",\"show_headings\":\"\",\"show_name\":\"\",\"show_articles\":\"\",\"show_link\":\"\",\"show_cat_description\":\"\",\"show_cat_items\":\"\",\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_word_count\":0,\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',166,173,0,'*',0),
	(124,'mainmenu','Category list',X'63617465676F72792D6C697374','','joomla-related/content/category-list','index.php?option=com_content&view=category&id=21','component',1,122,3,22,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"show_pagination_limit\":\"1\",\"filter_field\":\"\",\"show_headings\":\"1\",\"list_show_date\":\"\",\"date_format\":\"\",\"list_show_hits\":\"\",\"list_show_author\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"1\",\"show_pagination_results\":\"\",\"display_num\":\"10\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',153,154,0,'*',0),
	(125,'mainmenu','Archived Article List',X'61726368697665642D61727469636C652D6C697374','','joomla-related/content/archived-article-list','index.php?option=com_content&view=archive','component',1,122,3,22,6,0,'0000-00-00 00:00:00',0,1,'',0,'{\"orderby_sec\":\"alpha\",\"order_date\":\"created\",\"display_num\":\"5\",\"filter_field\":\"hide\",\"introtext_limit\":\"100\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_hits\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',157,158,0,'*',0),
	(126,'mainmenu','Article Submission',X'61727469636C652D7375626D697373696F6E','','joomla-related/content/article-submission','index.php?option=com_content&view=form&layout=edit','component',1,122,3,22,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"enable_category\":\"1\",\"catid\":\"21\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',161,162,0,'*',0),
	(127,'mainmenu','Featured Blog',X'66656174757265642D626C6F67','','joomla-related/content/featured-blog','index.php?option=com_content&view=featured','component',1,122,3,22,9,0,'0000-00-00 00:00:00',0,1,'',0,'{\"featured_categories\":[\"21\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"4\",\"num_columns\":\"1\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"orderby_pri\":\"\",\"orderby_sec\":\"front\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',163,164,0,'*',0),
	(128,'mainmenu','User Layout',X'757365722D6C61796F7574','','joomla-related/user-layout','index.php?option=com_users&view=login','component',1,106,2,25,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_login_title\":1,\"header_login\":\"\",\"login\":\"\",\"login_message\":0,\"description_login\":0,\"description_login_text\":\"\",\"image_login\":\"\",\"image_login_align\":\"right\",\"show_logout_title\":1,\"header_logout\":\"\",\"logout\":\"\",\"logout_message\":1,\"description_logout\":1,\"description_logout_text\":\"\",\"image_logout\":\"\",\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',138,149,0,'*',0),
	(129,'mainmenu','Default Login',X'64656661756C742D6C6F67696E','','joomla-related/user-layout/default-login','index.php?option=com_users&view=login','component',1,128,3,25,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_login_title\":1,\"header_login\":\"\",\"login\":\"\",\"login_message\":0,\"description_login\":0,\"description_login_text\":\"\",\"image_login\":\"\",\"image_login_align\":\"right\",\"show_logout_title\":1,\"header_logout\":\"\",\"logout\":\"\",\"logout_message\":1,\"description_logout\":1,\"description_logout_text\":\"\",\"image_logout\":\"\",\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',139,140,0,'*',0),
	(130,'mainmenu','Default Remind',X'64656661756C742D72656D696E64','','joomla-related/user-layout/default-remind','index.php?option=com_users&view=remind','component',1,128,3,25,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',141,142,0,'*',0),
	(131,'mainmenu','Default Reset',X'64656661756C742D7265736574','','joomla-related/user-layout/default-reset','index.php?option=com_users&view=reset','component',1,128,3,25,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',143,144,0,'*',0),
	(132,'mainmenu','Default User',X'64656661756C742D75736572','','joomla-related/user-layout/default-user','index.php?option=com_users&view=profile','component',1,128,3,25,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',145,146,0,'*',0),
	(133,'mainmenu','Contact',X'636F6E74616374','','joomla-related/contact','index.php?option=com_contact&view=category&catid=12&id=4','component',1,106,2,8,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"initial_sort\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',174,179,0,'*',0),
	(134,'mainmenu','Contact Category',X'636F6E746163742D63617465676F7279','','joomla-related/contact/contact-category','index.php?option=com_contact&view=category&id=4','component',1,133,3,8,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_subcat_desc\":\"\",\"show_cat_items\":\"\",\"show_pagination_limit\":\"\",\"show_headings\":\"\",\"show_position_headings\":\"\",\"show_email_headings\":\"\",\"show_telephone_headings\":\"\",\"show_mobile_headings\":\"\",\"show_fax_headings\":\"\",\"show_suburb_headings\":\"\",\"show_state_headings\":\"\",\"show_country_headings\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"initial_sort\":\"\",\"presentation_style\":\"\",\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\",\"show_feed_link\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',175,176,0,'*',0),
	(135,'mainmenu','Contact layout',X'636F6E746163742D6C61796F7574','','joomla-related/contact/contact-layout','index.php?option=com_contact&view=contact&id=1','component',1,133,3,8,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_contact_list\":0,\"show_category_crumb\":0,\"contact_icons\":\"\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"show_headings\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"allow_vcard\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',177,178,0,'*',0),
	(137,'mainmenu','Search',X'736561726368','','joomla-related/components/search','index.php?option=com_search&view=search&searchword=joomla','component',1,123,3,19,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"search_areas\":\"1\",\"show_date\":\"1\",\"searchphrase\":\"0\",\"ordering\":\"newest\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',171,172,0,'*',0),
	(138,'mainmenu','Features',X'6665617475726573','','features','','separator',1,1,1,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1}',53,86,0,'*',0),
	(139,'mainmenu','Setup',X'7365747570','','setup','http://docs.joomlabamboo.com/item/780-lifestyle-documentation','url',1,1,1,0,6,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',183,184,0,'*',0),
	(140,'mainmenu','Typography',X'7479706F677261706879','','features/typography','index.php?option=com_content&view=article&id=50','component',1,138,2,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',56,63,0,'*',0),
	(141,'mainmenu','Module Positions',X'6D6F64756C652D706F736974696F6E73','','features/module-positions','index.php?option=com_content&view=article&id=58','component',1,138,2,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',64,65,0,'*',0),
	(142,'panel-menu','Joomla Extensions',X'6A6F6F6D6C612D657874656E73696F6E73','','joomla-extensions','','separator',1,1,1,0,9,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',199,214,0,'*',0),
	(143,'panel-menu','Zentools Accordion',X'7A656E746F6F6C732D6163636F7264696F6E','','joomla-extensions/zentools-accordion','index.php?option=com_content&view=article&id=97','component',1,142,2,22,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',200,201,0,'*',0),
	(144,'panel-menu','Panel Parent Item',X'70616E656C2D706172656E742D6974656D','','panel-parent-item','','separator',1,1,1,0,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',189,196,0,'*',0),
	(145,'nocturnalmenu','Services',X'7365727669636573','','services','#','url',1,1,1,0,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',45,46,0,'*',0),
	(146,'nocturnalmenu','Careers',X'63617265657273','','careers','#','url',1,1,1,0,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',181,182,0,'*',0),
	(147,'nocturnalmenu','About',X'61626F7574','','about','#','url',1,1,1,0,6,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',185,186,0,'*',0),
	(148,'nocturnalmenu','Support',X'737570706F7274','','support','#','url',1,1,1,0,7,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',187,188,0,'*',0),
	(149,'productsmenu','IT Services',X'69742D7365727669636573','','it-services','#','url',-2,1,1,0,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',39,40,0,'*',0),
	(150,'nocturnalmenu','Works',X'776F726B73','','works','#','url',1,1,1,0,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',95,96,0,'*',0),
	(151,'nocturnalmenu','News',X'6E657773','','news','#','url',1,1,1,0,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',133,134,0,'*',0),
	(152,'locationsmenu','Melbourne',X'6D656C626F75726E65','','melbourne','#','url',1,1,1,0,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',41,42,0,'*',0),
	(153,'locationsmenu','Sydney',X'7379646E6579','','sydney','#','url',1,1,1,0,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',87,88,0,'*',0),
	(154,'locationsmenu','London',X'6C6F6E646F6E','','london','#','url',1,1,1,0,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',93,94,0,'*',0),
	(155,'locationsmenu','New York',X'6E65772D796F726B','','new-york','#','url',1,1,1,0,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',135,136,0,'*',0),
	(156,'mainmenu','Slideshow Items',X'736C69646573686F772D6974656D73','','joomla-related/content/slideshow-items','index.php?option=com_content&view=category&layout=blog&id=22','component',0,122,3,22,7,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_description\":0,\"show_description_image\":0,\"num_leading_articles\":1,\"num_intro_articles\":1,\"num_columns\":2,\"num_links\":4,\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"multi_column_order\":0,\"show_pagination\":2,\"show_pagination_results\":1,\"show_feed_link\":1,\"show_noauth\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":0,\"show_section\":\"\",\"link_section\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_item_navigation\":\"\",\"show_readmore\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_pdf_icon\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"feed_summary\":\"\",\"page_title\":\"\",\"pageclass_sfx\":\"\",\"menu_image\":\"\",\"secure\":0,\"show_page_heading\":1}',159,160,0,'*',0),
	(157,'mainmenu','Layout',X'6C61796F7574','','features/layout','index.php?Itemid=','alias',1,138,2,0,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"162\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":0}',66,83,0,'*',0),
	(158,'mainmenu','Left Column',X'6C6566742D636F6C756D6E','','features/layout/left-column','index.php?option=com_content&view=article&id=70','component',1,157,3,22,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',67,68,0,'*',0),
	(159,'mainmenu','Right Column',X'72696768742D636F6C756D6E','','features/layout/right-column','index.php?option=com_content&view=article&id=71','component',1,157,3,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',69,70,0,'*',0),
	(160,'mainmenu','Full Width',X'66756C6C2D7769647468','','features/layout/full-width','index.php?option=com_content&view=article&id=69','component',1,157,3,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',71,72,0,'*',0),
	(161,'mainmenu','Left and Right',X'6C6566742D616E642D7269676874','','features/layout/left-and-right','index.php?option=com_content&view=article&id=72','component',1,157,3,22,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',73,74,0,'*',0),
	(162,'mainmenu','All Modules',X'616C6C2D6D6F64756C6573','','features/layout/all-modules','index.php?option=com_content&view=article&id=77','component',1,157,3,22,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',75,76,0,'*',0),
	(163,'mainmenu','Template Features',X'74656D706C6174652D6665617475726573','','features/template-features','index.php?option=com_content&view=article&id=76','component',1,138,2,22,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',54,55,0,'*',0),
	(164,'mainmenu','Basic Typography',X'62617369632D7479706F677261706879','','features/typography/basic-typography','index.php?option=com_content&view=article&id=80','component',1,140,3,22,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',57,58,0,'*',0),
	(165,'mainmenu','Grid in Content',X'677269642D696E2D636F6E74656E74','','features/typography/grid-in-content','index.php?option=com_content&view=article&id=81','component',1,140,3,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',59,60,0,'*',0),
	(166,'mainmenu','JB Type Joomla Plugin',X'6A622D747970652D6A6F6F6D6C612D636F6E74656E742D706C7567696E','','features/typography/jb-type-joomla-content-plugin','index.php?option=com_content&view=article&id=50','component',1,140,3,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',61,62,0,'*',0),
	(167,'mainmenu','Left, Center and Right',X'6C6566742D63656E7465722D616E642D7269676874','','features/layout/left-center-and-right','index.php?option=com_content&view=article&id=75','component',1,157,3,22,6,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',77,78,0,'*',0),
	(168,'mainmenu','Center and Right',X'63656E7465722D616E642D7269676874','','features/layout/center-and-right','index.php?option=com_content&view=article&id=74','component',1,157,3,22,7,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',79,80,0,'*',0),
	(169,'mainmenu','Left and Center',X'6C6566742D616E642D63656E746572','','features/layout/left-and-center','index.php?option=com_content&view=article&id=73','component',1,157,3,22,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',81,82,0,'*',0),
	(170,'mainmenu','Extensions',X'657874656E73696F6E73','','extensions','index.php?option=com_content&view=category&layout=blog&id=27','component',1,1,1,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',97,110,0,'*',0),
	(171,'mainmenu','Module Classes',X'6D6F64756C652D636C6173736573','','features/module-classes','index.php?option=com_content&view=article&id=66','component',1,138,2,22,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',84,85,0,'*',0),
	(172,'nocturnalmenu','Clients',X'636C69656E7473','','clients','#','url',1,1,1,0,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',51,52,0,'*',0),
	(179,'panel-menu','Zentools Grid',X'7A656E746F6F6C732D67726964','','joomla-extensions/zentools-grid','index.php?option=com_content&view=article&id=98','component',1,142,2,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',204,205,0,'*',0),
	(180,'panel-menu','Zentools Carousel',X'7A656E746F6F6C732D6361726F7573656C','','joomla-extensions/zentools-carousel','index.php?option=com_content&view=article&id=96','component',1,142,2,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',202,203,0,'*',0),
	(181,'panel-menu','Zentools List',X'7A656E746F6F6C732D6C697374','','joomla-extensions/zentools-list','index.php?option=com_content&view=article&id=99','component',1,142,2,22,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',206,207,0,'*',0),
	(182,'panel-menu','Zentools Masonry',X'7A656E746F6F6C732D6D61736F6E7279','','joomla-extensions/zentools-masonry','index.php?option=com_content&view=article&id=100','component',1,142,2,22,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',208,209,0,'*',0),
	(183,'panel-menu','Zentools Slideshow',X'7A656E746F6F6C732D736C69646573686F77','','joomla-extensions/zentools-slideshow','index.php?option=com_content&view=article&id=95','component',1,142,2,22,6,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',210,211,0,'*',0),
	(184,'panel-menu','jTweet',X'6A7477656574','','joomla-extensions/jtweet','index.php?option=com_content&view=article&id=54','component',1,142,2,22,7,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',212,213,0,'*',0),
	(185,'panel-menu','A sub menu item',X'612D7375622D6974656D','','panel-parent-item/a-sub-item','index.php?option=com_content&view=article&id=79','component',1,144,2,22,1,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',190,191,0,'*',0),
	(186,'panel-menu','Another sub menu item',X'616E6F746865722D7375622D6D656E752D6974656D','','panel-parent-item/another-sub-menu-item','index.php?option=com_content&view=article&id=78','component',1,144,2,22,2,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',192,193,0,'*',0),
	(187,'panel-menu','One more sub menu item',X'6F6E652D6D6F72652D7375622D6D656E752D6974656D','','panel-parent-item/one-more-sub-menu-item','index.php?option=com_content&view=article&id=49','component',1,144,2,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',194,195,0,'*',0),
	(195,'mainmenu','User Details',X'757365722D64657461696C73','','joomla-related/user-layout/user-details','index.php?option=com_users&view=profile&layout=edit','component',1,128,3,25,5,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',147,148,0,'*',0),
	(196,'mainmenu','K2 Tags',X'6B322D74616773','','k2/k2-tags','index.php?option=com_k2&view=itemlist&layout=tag&tag=nature&task=tag','component',1,116,2,10000,6,0,'0000-00-00 00:00:00',0,1,'',0,'{\"theme\":\"lifestyle\",\"categoriesFilter\":[\"14\",\"20\"],\"tagOrdering\":\"\",\"tagFeedLink\":\"1\",\"tagFeedIcon\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',126,127,0,'*',0),
	(197,'mainmenu','Zentools Slideshow',X'7A656E746F6F6C732D736C69646573686F77','','extensions/zentools-slideshow','index.php?option=com_content&view=article&id=95','component',1,170,2,22,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',98,99,0,'*',0),
	(198,'mainmenu','Zentools Carousel',X'7A656E746F6F6C732D6361726F7573656C','','extensions/zentools-carousel','index.php?option=com_content&view=article&id=96','component',1,170,2,22,9,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',100,101,0,'*',0),
	(199,'mainmenu','Zentools Accordion',X'7A656E746F6F6C732D6163636F7264696F6E','','extensions/zentools-accordion','index.php?option=com_content&view=article&id=97','component',1,170,2,22,10,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',102,103,0,'*',0),
	(200,'mainmenu','Zentools Grid',X'7A656E746F6F6C732D67726964','','extensions/zentools-grid','index.php?option=com_content&view=article&id=98','component',1,170,2,22,11,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',104,105,0,'*',0),
	(201,'mainmenu','Zentools List',X'7A656E746F6F6C732D6C697374','','extensions/zentools-list','index.php?option=com_content&view=article&id=99','component',1,170,2,22,12,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',106,107,0,'*',0),
	(202,'mainmenu','Zentools Masonry',X'7A656E746F6F6C732D6D61736F6E7279','','extensions/zentools-masonry','index.php?option=com_content&view=article&id=100','component',1,170,2,22,13,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',108,109,0,'*',0),
	(203,'nocturnalmenu','Contact',X'636F6E7461637437','','contact7','#','url',1,1,1,0,8,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\"}',197,198,0,'*',0),
	(204,'top-menu','About',X'61626F757438','','about8','index.php?option=com_content&view=article&id=1','component',1,1,1,22,4,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"1\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',129,130,0,'*',0),
	(205,'top-menu','Support',X'737570706F72742D6C696E6B','','support-link','','separator',1,1,1,22,3,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu_image\":\"\",\"menu_text\":1}',111,112,0,'*',0),
	(206,'main','COM_K2',X'636F6D6B32','','comk2','index.php?option=com_k2','component',0,1,1,10000,0,0,'0000-00-00 00:00:00',0,1,'../media/k2/assets/images/system/k2_16x16.png',0,'',215,236,0,'',1),
	(207,'main','K2_ITEMS',X'6B326974656D73','','comk2/k2items','index.php?option=com_k2&view=items','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',216,217,0,'',1),
	(208,'main','K2_CATEGORIES',X'6B3263617465676F72696573','','comk2/k2categories','index.php?option=com_k2&view=categories','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',218,219,0,'',1),
	(209,'main','K2_TAGS',X'6B3274616773','','comk2/k2tags','index.php?option=com_k2&view=tags','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',220,221,0,'',1),
	(210,'main','K2_COMMENTS',X'6B32636F6D6D656E7473','','comk2/k2comments','index.php?option=com_k2&view=comments','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',222,223,0,'',1),
	(211,'main','K2_USERS',X'6B327573657273','','comk2/k2users','index.php?option=com_k2&view=users','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',224,225,0,'',1),
	(212,'main','K2_USER_GROUPS',X'6B327573657267726F757073','','comk2/k2usergroups','index.php?option=com_k2&view=usergroups','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',226,227,0,'',1),
	(213,'main','K2_EXTRA_FIELDS',X'6B3265787472616669656C6473','','comk2/k2extrafields','index.php?option=com_k2&view=extrafields','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',228,229,0,'',1),
	(214,'main','K2_EXTRA_FIELD_GROUPS',X'6B3265787472616669656C6467726F757073','','comk2/k2extrafieldgroups','index.php?option=com_k2&view=extrafieldsgroups','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',230,231,0,'',1),
	(215,'main','K2_MEDIA_MANAGER',X'6B326D656469616D616E61676572','','comk2/k2mediamanager','index.php?option=com_k2&view=media','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',232,233,0,'',1),
	(216,'main','K2_INFORMATION',X'6B32696E666F726D6174696F6E','','comk2/k2information','index.php?option=com_k2&view=info','component',0,206,2,10000,0,0,'0000-00-00 00:00:00',0,1,'class:component',0,'',234,235,0,'',1),
	(217,'main','COM_FINDER',X'636F6D2D66696E646572','','com-finder','index.php?option=com_finder','component',0,1,1,10018,0,0,'0000-00-00 00:00:00',0,1,'class:finder',0,'',237,238,0,'',1);

/*!40000 ALTER TABLE `#__menu` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__menu_types
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__menu_types`;

CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__menu_types` WRITE;
/*!40000 ALTER TABLE `#__menu_types` DISABLE KEYS */;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`)
VALUES
	(1,'mainmenu','Main Menu','The main menu for the site'),
	(2,'usermenu','User Menu','A Menu for logged in Users'),
	(3,'panel-menu','Panel Menu',''),
	(6,'top-menu','Top Menu',''),
	(7,'nocturnalmenu','Nocturnal Menu',''),
	(8,'productsmenu','Products Menu',''),
	(9,'locationsmenu','Locations Menu','');

/*!40000 ALTER TABLE `#__menu_types` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__messages
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__messages`;

CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__messages_cfg
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__messages_cfg`;

CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



# Dump of table #__modules
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__modules`;

CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__modules` WRITE;
/*!40000 ALTER TABLE `#__modules` DISABLE KEYS */;

INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`)
VALUES
	(1,'Main Menu','','',1,'position-7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"mainmenu\",\"startLevel\":\"0\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"_menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(2,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),
	(3,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),
	(4,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),
	(8,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),
	(9,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),
	(10,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),
	(12,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),
	(13,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),
	(14,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),
	(15,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),
	(16,'Login Form','','',7,'position-7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"greeting\":\"1\",\"name\":\"0\"}',0,'*'),
	(17,'Breadcrumbs','','',1,'position-2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_breadcrumbs',1,1,'{\"moduleclass_sfx\":\"\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showComponent\":\"1\",\"separator\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(79,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),
	(80,'Top Menu','','',1,'header4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"top-menu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(184,'Module Slide','','This is the Module slide',3,'right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"-slide\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(81,'Main Menu','','',0,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"mainmenu\",\"menu_style\":\"list\",\"startLevel\":1,\"endLevel\":10,\"showAllChildren\":1,\"window_open\":\"\",\"show_whitespace\":0,\"cache\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"moduleclass_sfx\":\"_menu\",\"maxdepth\":10,\"menu_images\":0,\"menu_images_align\":0,\"menu_images_link\":0,\"expand_menu\":0,\"activate_parent\":0,\"full_active_id\":0,\"indent_image\":0,\"indent_image1\":\"\",\"indent_image2\":\"\",\"indent_image3\":\"\",\"indent_image4\":\"\",\"indent_image5\":\"\",\"indent_image6\":\"\",\"spacer\":\"\",\"end_spacer\":\"\"}',0,'*'),
	(82,'Search','','',1,'search',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,0,'{\"label\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" mobilehide\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(83,'Banner Static','','',2,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_random_image',1,0,'{\"type\":\"jpg\",\"folder\":\"images\\/stories\\/democontent\\/slideshow\",\"link\":\"\",\"width\":\"\",\"height\":\"\",\"moduleclass_sfx\":\"\",\"cache\":0,\"cache_time\":900}',0,'*'),
	(84,'Useful Links','','',2,'bottom6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"nocturnalmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"_menu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(85,'Copyright','','',1,'position-9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_footer',1,0,'{\"cache\":1}',0,'*'),
	(86,'Contact Us','','<p>Call: 1800 555 555<br /><br />Enquire today at:<br />info@example.com<br /><br />300 Bourke St, Melbourne<br />Australia 3000</p>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(87,'Opening Hours','','<p>Monday: 10.30am - 5pm<br />Tuesday: 10.30am - 5pm<br />Wednesday: 10.30am - 5pm<br />Thursday: 10.30am - 5pm<br />Friday: 10.30am - 5pm<br />Saturday: Closed<br />Sunday: 2pm - 5pm</p>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(88,'Company Information','','<p><img src=\"images/democontent/logo.png\" border=\"0\" alt=\"logo\" width=\"146\" height=\"37\" /></p>\r\n<blockquote>Penatibus lundium pid arcu aenean augue auctor ultrices, lectus nunc ac!</blockquote>\r\n<div class=\"grid_six\">\r\n<p><strong>Call:</strong><br /> 1800 555 555<br /><br /><strong>Email:</strong><br />info@example.com<br /><br /></p>\r\n</div>\r\n<div class=\"grid_six zenlast\">\r\n<p><strong>Visit us:</strong></p>\r\n<p>Office 3/77<br />300 Bourke St,<br />Melbourne, Australia 3000</p>\r\n</div>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(89,'Breadcrumbs','','',1,'breadcrumb',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_breadcrumbs',1,0,'{\"showHere\":\"0\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\\u00bb\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(90,'Inset Position','','<p>This is the inset position ....</p>',0,'inset',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(91,'Top 1','','<p>Module class -success. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'top1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(92,'Top 4','','<p>Module class -border2. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'top4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(93,'Top 2','','<p>Module class -notice. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'top2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(94,'Top 3','','<p>Module Class -warning. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'top3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(95,'Header2','','<p>Module Class -border. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'header2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(96,'Header3','','<p>Module class -shadow. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'header3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(97,'Banner Position','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>',0,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(98,'Grid1','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',0,'grid1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" blue\"}',0,'*'),
	(99,'Tab2','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'tab2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(100,'Tab4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'tab4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(101,'Copy of Top 4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',3,'top4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(102,'Grid2','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',5,'grid2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" orange\"}',0,'*'),
	(103,'Grid3','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',1,'grid3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" grey\"}',0,'*'),
	(104,'Tab1','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'tab1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(105,'Tab3','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'tab3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(106,'Grid4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',0,'grid4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" pink\"}',0,'*'),
	(107,'Grid7','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',4,'grid7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" charcoal\"}',0,'*'),
	(108,'Grid11','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'grid11',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(109,'Grid15','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',4,'grid15',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(110,'Grid19','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'grid19',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(111,'Grid8','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',5,'grid8',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" green\"}',0,'*'),
	(112,'Grid12','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',5,'grid12',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(113,'Grid16','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'grid16',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(114,'Grid20','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'grid20',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(115,'Grid6','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',1,'grid6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" red\"}',0,'*'),
	(116,'Grid10','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'grid10',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(117,'Grid14','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',3,'grid14',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(118,'Grid18','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'grid18',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(119,'Grid5','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',1,'grid5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\" purple\"}',0,'*'),
	(120,'Grid9','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'grid9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(121,'Grid13','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'grid13',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(122,'Grid17','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'grid17',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(123,'Right','','Nunc sit amet urna non augue sodales semper non et velit.\r\n ',1,'right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(124,'Left Position','','Nunc sit amet urna non augue sodales semper non et velit.\r\n ',1,'left',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(125,'Grid21','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'grid21',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(126,'Grid22','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'grid22',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(127,'Grid23','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'grid23',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(128,'Grid24','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'grid24',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(129,'Bottom1','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'bottom1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(130,'Bottom2','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'bottom2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(131,'Bottom3','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',1,'bottom3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(132,'Bottom4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'bottom4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(133,'Footer','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',4,'position-9',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(134,'Advert1','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'advert1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(135,'Advert5','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'advert5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(136,'Above','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'above',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(137,'Below','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'below',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(138,'Header1','','<p>Module Class -rounded. Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'header1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"-rounded\"}',0,'*'),
	(139,'Header4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'header4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(140,'Advert3','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',3,'advert3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(141,'Advert6','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',3,'advert6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(142,'Advert2','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',2,'advert2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(143,'Advert4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'advert4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(144,'Center Position','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'center',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(145,'Panel 1','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',0,'panel1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(146,'Panel 2','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'panel2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(147,'Panel 3','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'panel3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(148,'Panel4','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p> </p>',1,'panel4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(149,'Bottom5','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',2,'bottom5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(150,'Bottom6','','<p>Nunc sit amet urna non augue sodales semper non et velit.</p>\r\n<p>&nbsp;</p>',0,'bottom6',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"moduleclass_sfx\":\"\"}',0,'*'),
	(151,'Panel Menu','','',2,'right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"panel-menu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"-panelmenu\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),
	(152,'Popular Items','','',0,'position-7',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_articles_popular',1,1,'{\"moduleclass_sfx\":\"\",\"show_front\":1,\"count\":5,\"catid\":\"\",\"secid\":\"\",\"cache\":1,\"cache_time\":900}',0,'*'),
	(153,'Member Login','','',1,'panel1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"cache\":0,\"moduleclass_sfx\":\"\",\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":1,\"name\":0,\"usesecure\":0}',0,'*'),
	(154,'K2 Comments','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_comments',1,1,'',0,'*'),
	(155,'K2 Content','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_content',1,1,'',0,'*'),
	(156,'K2 Login','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_login',1,1,'',0,'*'),
	(157,'K2 Tools','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_tools',1,1,'',0,'*'),
	(158,'K2 Users','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_users',1,1,'',0,'*'),
	(159,'K2 User','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_k2_user',1,1,'',0,'*'),
	(160,'K2 Quick Icons (admin)','','',99,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_quickicons',3,1,'',1,'*'),
	(161,'K2 Stats (admin)','','',0,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_k2_stats',3,1,'',1,'*'),
	(162,'jTweet','','',4,'right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_jTweet',1,0,'{\"type\":\"tweets\",\"userName\":\"joomlabamboo\",\"query\":\"\",\"count\":\"1\",\"scripts\":\"1\",\"twitterBird\":\"none\",\"avatar\":\"no\",\"avatarSize\":\"48\",\"twitterName\":\"yes\",\"tweetSource\":\"yes\",\"joinText\":\"no\",\"noReplies\":\"no\",\"tweetTemplate\":\"3\",\"popup\":\"no\",\"moreInfo\":\"more info...!\",\"popupIntro\":\"I am on Twitter!\",\"follow\":\"yes\",\"followText\":\"Follow me on Twitter\",\"followStyle\":\"none\",\"followPosition\":\"right\",\"cache\":\"0\",\"cache_time\":\"900\",\"moduleclass_sfx\":\"\"}',0,'*'),
	(163,'Zen Tools','','',0,'',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_zentools',1,1,'',0,'*'),
	(164,'Work','','',1,'grid1',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"1\",\"useditems\":\"image,column2,title,text\",\"unuseditems\":\"date,category,more,comments,extrafields,video,column3,column4\",\"col1Width\":\"four\",\"col2Width\":\"eight\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\",\"28\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"60\",\"image_height\":\"60\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"1\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(165,'Inspiration','','',1,'grid5',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"4\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,title,text\",\"unuseditems\":\"date,category,more,comments,extrafields,video,column3,column4,column2\",\"col1Width\":\"three\",\"col2Width\":\"nine\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"28\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"4\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"1\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(166,'SlideShow','','',3,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_zentools',0,0,'layout=slideshow\ncontentSource=2\ncount=3\nlink=2\nuseditems=image\nunuseditems=title,text,date,category,more,comments,extrafields,video,column2,column3,column4\ncol1Width=one\ncol2Width=one\ncol3Width=one\ncol4Width=one\ndirectory=/images\nrandom_image=0\nprefix=0\nordering=c_dsc\nuser_id=0\nshow_front=1\ncatid=51\nk2contentSource=categories\ngetChildren=0\nitemsOrdering=\nFeaturedItems=1\nimagesreplace=1\nvideosOnly=0\ntitleClass=h2\ntitlewordCount=100\ntitleSuffix=\nwordCount=100\ntextsuffix=\nstrip_tags=1\nallowed_tags=<p><a><ul><li><div><h1><h2><h3><h4><h5><h6><b><em><i><strong><blockquote><dd><dt><small><u><br>\\n\nrenderPlugin=strip\nreadonText=More ...\ntranslateDate=0\ndateString=DATE_FORMAT_LC1\ndateFormat=j M, y\nimagesPerRow=1\ndisableMargin=0\noverlayGrid=0\nresizeImage=0\noption=crop\nimage_width=245\nimage_height=100\nitemImgSize=Small\nusePlaceholder=0\nplaceHolderImage=\nimageEffect=noborder\nimageFade=0\nmasonryWidths=1\nmasonryColWidths=1\nbrowserThreshold=600\nmasonryColumnWidth=100\nmasonryGutter=20\nminItems=2\ncarouselSpeed=600\nimageW=180\noverlayCarousel=0\nslideshowTheme=flat\nslideshow=1\nslideshowLoop=1\ntransition=fade\nslideshowSpeed=6000\nslideshowDuration=600\nslideshowPaginationType=numbers\nthumb_width=20\nthumb_height=20\nslideshowNav=1\nslideshowPause=0\nplayText=Play\npauseText=Pause\nmodalTitle=1\nmodalImage=1\nmodalText=1\nmodalVideo=1\nmodalHeight=800\nmodalWidth=600\nfancyTitle=1\nfancyTitleType=over\nfancyOverlayShow=true\nfancyOverlay=0.6\nfancyPadding=30\ntwitterUsername=joomlabamboo\ntwitterAvatarSize=56\ntwitterRefresh=10000\nscripts=1\nmoduleclass_sfx=\ncache=1\ncache_time=900\n\n',0,''),
	(167,'Front Page Slideshow','','',4,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"1\",\"count\":\"3\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,title\",\"unuseditems\":\"date,category,more,comments,extrafields,video,column2,column3,column4,text\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/sunrise\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"300\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"1\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"8000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"numbers\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\" mobilehide\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(168,'Slideshow','','',1,'slideshow',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"1\",\"count\":\"6\",\"link\":\"1\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,title\",\"unuseditems\":\"date,category,comments,extrafields,video,column3,column4,column2,text,more\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/sunrise\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"200\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"800\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"slide\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(169,'Carousel','','',1,'carousel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"carousel\",\"contentSource\":\"2\",\"count\":\"20\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,more,comments,extrafields,video,column2,column3,column4,title\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"3\",\"carouselSpeed\":\"450\",\"imageW\":\"300\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(170,'Accordion - Zentools','','',1,'accordion',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"accordion\",\"contentSource\":\"2\",\"count\":\"20\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"title,column2,image,column3,category,date,text,more\",\"unuseditems\":\"comments,extrafields,video,column4\",\"col1Width\":\"twelve\",\"col2Width\":\"four\",\"col3Width\":\"eight\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"400\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"more ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(171,'Zen Tools Grid','','',1,'grid',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"0\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,title,text\",\"unuseditems\":\"date,category,more,comments,extrafields,video,column2,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(172,'Lots of Columns','','',1,'zengrid2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image\",\"unuseditems\":\"title,text,date,category,more,comments,extrafields,video,column2,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"6\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(173,'Columns within Columns','','',1,'zengrid3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"grid\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,column2,title,text\",\"unuseditems\":\"date,category,more,comments,extrafields,video,column3,column4\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"2\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(174,'List - Zentools 2 Col','','',1,'list',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"list\",\"contentSource\":\"2\",\"count\":\"5\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"title,category,date,text,column2,image\",\"unuseditems\":\"more,comments,extrafields,video,column3,column4\",\"col1Width\":\"six\",\"col2Width\":\"six\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"20\"],\"getChildren\":\"1\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Large\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(175,'List - Zentools 3 Col','','',1,'list2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"list\",\"contentSource\":\"2\",\"count\":\"3\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"title,category,column2,date,text,column3,image\",\"unuseditems\":\"more,comments,extrafields,video,column4\",\"col1Width\":\"four\",\"col2Width\":\"four\",\"col3Width\":\"four\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"20\"],\"getChildren\":\"1\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Large\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(176,'List - Zentools 3 Col K2','','',1,'list3',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"list\",\"contentSource\":\"3\",\"count\":\"3\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"title,category,column2,date,text,column3,image\",\"unuseditems\":\"more,comments,extrafields,video,column4\",\"col1Width\":\"four\",\"col2Width\":\"four\",\"col3Width\":\"four\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"20\"],\"getChildren\":\"1\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Large\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(177,'List - Zentools 4 Col K2','','',1,'list4',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"list\",\"contentSource\":\"3\",\"count\":\"3\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"title,column2,image,column3,date,text,column4,category,more\",\"unuseditems\":\"comments,extrafields,video\",\"col1Width\":\"three\",\"col2Width\":\"three\",\"col3Width\":\"three\",\"col4Width\":\"three\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"20\"],\"getChildren\":\"1\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"400\",\"image_height\":\"300\",\"itemImgSize\":\"Large\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(178,'Zentools Masonry','','',1,'masonry',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,1,'{\"layout\":\"masonry\",\"contentSource\":\"2\",\"count\":\"10\",\"link\":\"0\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,category,title,text\",\"unuseditems\":\"date,more,comments,extrafields,video,column2,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"600\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenshadow\",\"imageFade\":\"0\",\"masonryWidths\":\"0\",\"masonryColWidths\":\"3\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"overlay\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"6000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"thumb\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(179,'Slideshow Flat','','',1,'slideshow2',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"2\",\"count\":\"6\",\"link\":\"2\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image,column2,title,text\",\"unuseditems\":\"date,category,comments,extrafields,video,column3,column4,more\",\"col1Width\":\"four\",\"col2Width\":\"eight\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"-1\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"21\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"...\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"Read More\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"3\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"1\",\"option\":\"crop\",\"image_width\":\"800\",\"image_height\":\"300\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"1\",\"placeHolderImage\":\"\",\"imageEffect\":\"zenrounded\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"flat\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"3000\",\"slideshowDuration\":\"400\",\"slideshowPaginationType\":\"numbers\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"1\",\"slideCountSep\":\"of\",\"slideshowNav\":\"1\",\"slideshowPause\":\"1\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(180,'Sub Page Static1','','',5,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"1\",\"count\":\"1\",\"link\":\"0\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,more,comments,extrafields,video,column2,title,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/grass\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"1\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"flat\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"8000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"none\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\" mobilehide\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(181,'Sub Page Static2','','',6,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"1\",\"count\":\"1\",\"link\":\"0\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,more,comments,extrafields,video,column2,title,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/woman\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"1\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"flat\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"8000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"none\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\" mobilehide\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(182,'Sub Page Static3','','',7,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"1\",\"count\":\"1\",\"link\":\"0\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,more,comments,extrafields,video,column2,title,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/sea\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"1\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"flat\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"8000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"none\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\" mobilehide\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(183,'Sub Page Static4','','',8,'banner',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_zentools',1,0,'{\"layout\":\"slideshow\",\"contentSource\":\"1\",\"count\":\"1\",\"link\":\"0\",\"altlink\":\"0\",\"categoryFilter\":\"0\",\"useditems\":\"image\",\"unuseditems\":\"text,date,category,more,comments,extrafields,video,column2,title,column3,column4\",\"col1Width\":\"one\",\"col2Width\":\"one\",\"col3Width\":\"one\",\"col4Width\":\"one\",\"directory\":\"\\/images\\/democontent\\/sunrise\",\"random_image\":\"0\",\"prefix\":\"0\",\"catid\":[\"\"],\"ordering\":\"a.ordering\",\"ordering_direction\":\"ASC\",\"user_id\":\"0\",\"show_front\":\"1\",\"k2contentSource\":\"categories\",\"category_id\":[\"\"],\"getChildren\":\"0\",\"itemid\":[\"\"],\"FeaturedItems\":\"1\",\"itemsOrdering\":\"\",\"imagesreplace\":\"1\",\"videosOnly\":\"0\",\"titleClass\":\"h2\",\"titlewordCount\":\"100\",\"titleSuffix\":\"\",\"wordCount\":\"100\",\"textsuffix\":\"\",\"strip_tags\":\"1\",\"allowed_tags\":\"\\\\n\",\"renderPlugin\":\"strip\",\"readonText\":\"More ...\",\"translateDate\":\"0\",\"dateString\":\"DATE_FORMAT_LC1\",\"dateFormat\":\"j M, y\",\"imagesPerRow\":\"1\",\"disableMargin\":\"0\",\"overlayGrid\":\"0\",\"resizeImage\":\"0\",\"option\":\"crop\",\"image_width\":\"245\",\"image_height\":\"100\",\"itemImgSize\":\"Small\",\"usePlaceholder\":\"0\",\"placeHolderImage\":\"\",\"imageEffect\":\"noborder\",\"imageFade\":\"0\",\"masonryWidths\":\"1\",\"masonryColWidths\":\"1\",\"browserThreshold\":\"600\",\"masonryColumnWidth\":\"100\",\"masonryGutter\":\"20\",\"minItems\":\"2\",\"carouselSpeed\":\"600\",\"imageW\":\"180\",\"overlayCarousel\":\"0\",\"slideshowTheme\":\"flat\",\"slideshow\":\"1\",\"slideshowLoop\":\"1\",\"transition\":\"fade\",\"slideshowSpeed\":\"8000\",\"slideshowDuration\":\"600\",\"slideshowPaginationType\":\"none\",\"thumb_width\":\"20\",\"thumb_height\":\"20\",\"slideCount\":\"0\",\"slideCountSep\":\"of\",\"slideshowNav\":\"0\",\"slideshowPause\":\"0\",\"playText\":\"Play\",\"pauseText\":\"Pause\",\"modalTitle\":\"1\",\"modalImage\":\"1\",\"modalText\":\"1\",\"modalVideo\":\"1\",\"modalHeight\":\"800\",\"modalWidth\":\"600\",\"fancyTitle\":\"1\",\"fancyTitleType\":\"over\",\"fancyOverlayShow\":\"true\",\"fancyOverlay\":\"0.6\",\"fancyPadding\":\"30\",\"twitterUsername\":\"joomlabamboo\",\"twitterAvatarSize\":\"56\",\"twitterRefresh\":\"10000\",\"moduleclass_sfx\":\"mobilehide\",\"cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),
	(185,'Copyright','','<p>Copyright © 2012 Lifestyle. All Rights Reserved.</p>',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),
	(186,'Login','','',1,'right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',0,'*'),
	(187,'Login','','',1,'right',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',-2,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',0,'*');

/*!40000 ALTER TABLE `#__modules` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__modules_menu
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__modules_menu`;

CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__modules_menu` WRITE;
/*!40000 ALTER TABLE `#__modules_menu` DISABLE KEYS */;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`)
VALUES
	(1,0),
	(2,0),
	(3,0),
	(4,0),
	(6,0),
	(7,0),
	(8,0),
	(9,0),
	(10,0),
	(12,0),
	(13,0),
	(14,0),
	(15,0),
	(16,0),
	(17,0),
	(79,0),
	(80,0),
	(81,0),
	(82,0),
	(83,0),
	(84,-162),
	(85,0),
	(86,-162),
	(87,-162),
	(88,-162),
	(89,0),
	(90,162),
	(91,162),
	(92,162),
	(93,162),
	(94,162),
	(95,162),
	(96,162),
	(98,162),
	(99,162),
	(100,162),
	(101,162),
	(102,162),
	(103,162),
	(104,162),
	(105,162),
	(106,162),
	(107,162),
	(108,162),
	(109,162),
	(110,162),
	(111,162),
	(112,162),
	(113,162),
	(114,162),
	(115,162),
	(116,162),
	(117,162),
	(118,162),
	(119,162),
	(120,162),
	(121,162),
	(122,162),
	(123,159),
	(123,161),
	(123,162),
	(123,167),
	(123,168),
	(124,158),
	(124,161),
	(124,162),
	(124,167),
	(124,169),
	(125,162),
	(126,162),
	(127,162),
	(128,162),
	(129,162),
	(130,162),
	(131,162),
	(132,162),
	(133,162),
	(134,162),
	(135,162),
	(136,162),
	(137,162),
	(138,162),
	(139,162),
	(140,162),
	(141,162),
	(142,162),
	(143,162),
	(144,162),
	(144,167),
	(144,168),
	(144,169),
	(146,162),
	(147,162),
	(148,162),
	(149,162),
	(150,162),
	(151,-169),
	(151,-160),
	(151,-158),
	(152,0),
	(153,0),
	(160,0),
	(161,0),
	(162,-169),
	(162,-160),
	(162,-158),
	(162,-102),
	(164,102),
	(165,102),
	(167,102),
	(168,0),
	(169,0),
	(170,0),
	(171,0),
	(172,0),
	(173,0),
	(174,0),
	(175,0),
	(176,0),
	(177,0),
	(178,0),
	(179,0),
	(180,138),
	(180,140),
	(180,141),
	(180,157),
	(180,158),
	(180,159),
	(180,160),
	(180,161),
	(180,162),
	(180,163),
	(180,164),
	(180,165),
	(180,166),
	(180,167),
	(180,168),
	(180,169),
	(180,171),
	(181,170),
	(181,175),
	(181,197),
	(181,198),
	(181,199),
	(181,200),
	(181,201),
	(181,202),
	(182,116),
	(182,117),
	(182,118),
	(182,119),
	(182,120),
	(182,121),
	(182,196),
	(183,-202),
	(183,-201),
	(183,-200),
	(183,-199),
	(183,-198),
	(183,-197),
	(183,-196),
	(183,-175),
	(183,-171),
	(183,-170),
	(183,-169),
	(183,-168),
	(183,-167),
	(183,-166),
	(183,-165),
	(183,-164),
	(183,-163),
	(183,-162),
	(183,-161),
	(183,-160),
	(183,-159),
	(183,-158),
	(183,-157),
	(183,-141),
	(183,-140),
	(183,-138),
	(183,-121),
	(183,-120),
	(183,-119),
	(183,-118),
	(183,-117),
	(183,-116),
	(183,-102),
	(184,-169),
	(184,-160),
	(184,-158),
	(184,-102),
	(185,0),
	(186,0),
	(187,0);

/*!40000 ALTER TABLE `#__modules_menu` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__newsfeeds
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__newsfeeds`;

CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__newsfeeds` WRITE;
/*!40000 ALTER TABLE `#__newsfeeds` DISABLE KEYS */;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `filename`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`)
VALUES
	(5,1,'JoomlaBamboo Blog',X'6A6F6F6D6C6162616D626F6F2D626C6F67','http://www.joomlabamboo.com/blog/?format=feed',NULL,1,10,3600,0,'0000-00-00 00:00:00',1,1,1,'*','{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\",\"newsfeed_layout\":\"\"}','0000-00-00 00:00:00',0,'','2012-02-01 06:01:38',62,'','','{\"robots\":\"\",\"rights\":\"\"}','','0000-00-00 00:00:00','0000-00-00 00:00:00');

/*!40000 ALTER TABLE `#__newsfeeds` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__overrider
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__overrider`;

CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



# Dump of table #__redirect_links
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__redirect_links`;

CREATE TABLE `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) NOT NULL,
  `new_url` varchar(255) NOT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__redirect_links` WRITE;
/*!40000 ALTER TABLE `#__redirect_links` DISABLE KEYS */;

INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `published`, `created_date`, `modified_date`)
VALUES
	(1,'http://localhost/joomlabamboo/quickstart15/lifestyle/jupgrade/index.php/featuresbrifind-out-what-makes-this-template-ticki/layout/all-modules','','http://localhost/joomlabamboo/quickstart15/lifestyle/jupgrade/','',0,'2012-01-30 19:05:00','0000-00-00 00:00:00'),
	(2,'http://localhost/joomlabamboo/quickstart15/lifestyle/jupgrade/index.php?option=com_content&view=article&id=170&Itemid=162','','http://localhost/joomlabamboo/quickstart15/lifestyle/jupgrade/','',0,'2012-01-30 19:05:51','0000-00-00 00:00:00'),
	(3,'http://localhost/joomlabamboo/quickstart15/lifestyle/jupgrade/index.php?option=com_content&view=article&id=169&Itemid=138','','http://localhost/joomlabamboo/quickstart15/lifestyle/jupgrade/index.php?option=com_content&view=featured&Itemid=102','',0,'2012-01-31 03:55:16','0000-00-00 00:00:00'),
	(4,'http://localhost/joomlabamboo/quickstart/lifestyle/index.php?option=com_content&view=article&id=&Itemid=','','http://localhost/joomlabamboo/quickstart/lifestyle/index.php?option=com_content&view=article&id=76&Itemid=163','',0,'2012-01-31 16:36:30','0000-00-00 00:00:00'),
	(5,'http://localhost/joomlabamboo/quickstart/lifestyle/index.php?option=com_contact&view=category&catid=12&Itemid=134','','http://localhost/joomlabamboo/quickstart/lifestyle/index.php?option=com_contact&view=category&catid=12&id=4&Itemid=133','',0,'2012-01-31 18:07:38','0000-00-00 00:00:00'),
	(6,'http://localhost/joomlabamboo/quickstart/lifestyle/index.php/panel-parent-item/a-sub-item','','http://localhost/joomlabamboo/quickstart/lifestyle/index.php/featuresbrifind-out-what-makes-this-template-ticki/typography','',0,'2012-02-01 02:10:45','0000-00-00 00:00:00'),
	(7,'http://localhost/joomlabamboo/quickstart/lifestyle/index.php/joomla-extensions/last-fm','','http://localhost/joomlabamboo/quickstart/lifestyle/index.php/panel-parent-item/a-sub-item','',0,'2012-02-01 02:19:31','0000-00-00 00:00:00'),
	(8,'http://localhost/joomlabamboo/quickstart/lifestyle/index.php/brifind-out-what-makes-this-template-ticki','','','',0,'2012-02-01 03:13:19','0000-00-00 00:00:00'),
	(9,'http://localhost/joomlabamboo/quickstart/lifestyle/index.php/featuresbrifind-out-what-makes-this-template-ticki/template-features','','http://localhost/joomlabamboo/quickstart/lifestyle/index.php/featuresbrifind-out-what-makes-this-template-ticki','',0,'2012-02-02 04:17:28','0000-00-00 00:00:00'),
	(10,'http://localhost:8888/17/lifestyle/index.php/component/content/article?id=&Itemid=','','http://localhost:8888/17/lifestyle/index.php/panel-parent-item/one-more-sub-menu-item','',0,'2012-02-03 04:17:04','0000-00-00 00:00:00'),
	(11,'http://localhost:8888/17/lifestyle/index.php/panel-parent-item/index.php','','http://localhost:8888/17/lifestyle/index.php/panel-parent-item/another-sub-menu-item?showall=&start=3','',0,'2012-02-03 05:29:04','0000-00-00 00:00:00'),
	(12,'http://localhost:8888/17/lifestyle/index.php/features/layout/templates/jblifestyle/images/logo/logo.png','','http://localhost:8888/17/lifestyle/index.php/features/layout/left-and-center','',0,'2012-02-03 06:25:48','0000-00-00 00:00:00'),
	(13,'http://localhost:8888/17/lifestyle/index.php/features/layout/index.php','','http://localhost:8888/17/lifestyle/index.php/features/layout/left-and-center','',0,'2012-02-03 06:43:07','0000-00-00 00:00:00');

/*!40000 ALTER TABLE `#__redirect_links` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__schemas
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__schemas`;

CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__schemas` WRITE;
/*!40000 ALTER TABLE `#__schemas` DISABLE KEYS */;

INSERT INTO `#__schemas` (`extension_id`, `version_id`)
VALUES
	(700,'2.5.1-2012-01-26');

/*!40000 ALTER TABLE `#__schemas` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__template_styles
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__template_styles`;

CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__template_styles` WRITE;
/*!40000 ALTER TABLE `#__template_styles` DISABLE KEYS */;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`)
VALUES
	(2,'bluestork',1,'1','Bluestork - Default','{\"useRoundedCorners\":\"1\",\"showSiteName\":\"0\"}'),
	(3,'atomic',0,'0','Atomic - Default','{}'),
	(4,'beez_20',0,'0','Beez2 - Default','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),
	(5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),
	(6,'beez5',0,'0','Beez5 - Default','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/sampledata\\/fruitshop\\/fruits.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"html5\":\"0\"}'),
	(7,'ja_purity',0,'0','ja_purity',''),
	(14,'jblifestyle',0,'1','JBLifestyle - Default','{\"debug\":\"0\",\"legacy\":\"0\",\"zenTranslate\":\"1\",\"removejblogo\":\"0\",\"customcopyright\":\"\",\"hilite\":\"hilite13\",\"overwriteCSS\":\"0\",\"firstcolorelement\":\"\",\"firstcolorAtt\":\"color\",\"firstcolor\":\"\",\"secondcolorelement\":\"\",\"secondcolorAtt\":\"color\",\"secondcolor\":\"\",\"thirdcolorelement\":\"\",\"thirdcolorAtt\":\"color\",\"thirdcolor\":\"\",\"fourthcolorelement\":\"\",\"fourthcolorAtt\":\"color\",\"fourthcolor\":\"\",\"fifthcolorelement\":\"\",\"fifthcolorAtt\":\"color\",\"fifthecolor\":\"\",\"sixthcolourelement\":\"\",\"sixthcolorAtt\":\"color\",\"sixthcolor\":\"\",\"extraCSS\":\"\",\"logoType\":\"image\",\"logoWidth\":\"three\",\"logoLink\":\"\\/\",\"logoClass\":\"h1\",\"logoPosition\":\"above\",\"logoAlign\":\"zenleft\",\"logoText\":\"Lifestyle\",\"fontStackLogo\":\"Rochester\",\"logoFontSize\":\"2em\",\"logoColour\":\"\",\"logoFile\":\"tempLogo.png\",\"logoAltTag\":\"Lifestyle\",\"enableTagline\":\"0\",\"tagline\":\"\",\"taglineTop\":\"0px\",\"taglineLeft\":\"0px\",\"taglineCSS\":\"\",\"fonts\":\"3\",\"fontSize\":\"74%\",\"fontStackBody\":\"helvetica\",\"fontStackHeading\":\"Mako\",\"fontStackNav\":\"Mako\",\"fontStackSelector1\":\"\",\"fontStackCustom1\":\"helvetica\",\"fontStackSelector2\":\"\",\"fontStackCustom2\":\"helvetica\",\"fontStackSelector3\":\"\",\"fontStackCustom3\":\"helvetica\",\"typekit\":\"0\",\"typekitId\":\"\",\"bodyclassOption\":\"0\",\"bodyclassView\":\"1\",\"bodyclassLayout\":\"0\",\"bodyclassTask\":\"0\",\"bodyclassItem\":\"0\",\"bodyclassMainWidth\":\"0\",\"containerPosition\":\"center\",\"layoutType\":\"fixed\",\"tWidth\":\"1000px\",\"containerMargin\":\"0\",\"allEqual\":\"0\",\"controlMainArea\":\"1\",\"bannerheight\":\"340px\",\"topEqual\":\"1\",\"top1Width\":\"three\",\"top2Width\":\"three\",\"top3Width\":\"three\",\"top4Width\":\"three\",\"headerEqual\":\"1\",\"header1Width\":\"three\",\"header2Width\":\"three\",\"header3Width\":\"three\",\"header4Width\":\"nine\",\"grid1Equal\":\"1\",\"grid1Width\":\"three\",\"grid2Width\":\"three\",\"grid3Width\":\"three\",\"grid4Width\":\"three\",\"grid2Equal\":\"1\",\"grid5Width\":\"three\",\"grid6Width\":\"three\",\"grid7Width\":\"three\",\"grid8Width\":\"three\",\"grid3Equal\":\"1\",\"grid9Width\":\"three\",\"grid10Width\":\"three\",\"grid11Width\":\"three\",\"grid12Width\":\"three\",\"grid4Equal\":\"1\",\"grid13Width\":\"three\",\"grid14Width\":\"three\",\"grid15Width\":\"three\",\"grid16Width\":\"three\",\"grid5Equal\":\"1\",\"grid17Width\":\"three\",\"grid18Width\":\"three\",\"grid19Width\":\"three\",\"grid20Width\":\"three\",\"grid6Equal\":\"1\",\"grid21Width\":\"three\",\"grid22Width\":\"three\",\"grid23Width\":\"three\",\"grid24Width\":\"three\",\"bottomEqual\":\"1\",\"bottom1Width\":\"six\",\"bottom2Width\":\"three\",\"bottom3Width\":\"three\",\"bottom4Width\":\"three\",\"bottom5Width\":\"two\",\"bottom6Width\":\"six\",\"footerWidth\":\"twelve\",\"navposition\":\"left\",\"navWidth\":\"nine\",\"mainLayout\":\"1\",\"leftCols2L\":\"three\",\"midCols2L\":\"nine\",\"midCols2R\":\"nine\",\"rightCols2R\":\"three\",\"leftCols3LR\":\"three\",\"midCols3LR\":\"six\",\"rightCols3LR\":\"three\",\"leftCols4LRC\":\"two\",\"midCols4LRC\":\"six\",\"centerCols4LRC\":\"two\",\"rightCols4LRC\":\"two\",\"leftCols3LC\":\"three\",\"centerCols3LC\":\"three\",\"midCols3LC\":\"six\",\"midCols3RC\":\"six\",\"centerCols3RC\":\"three\",\"rightCols3RC\":\"three\",\"banner\":\"1\",\"bottom\":\"1\",\"closeContainer\":\"1\",\"footer\":\"1\",\"frontpage\":\"1\",\"grid1\":\"1\",\"grid2\":\"1\",\"grid3\":\"1\",\"grid4\":\"1\",\"grid5\":\"1\",\"grid6\":\"1\",\"header\":\"1\",\"main\":\"1\",\"nav\":\"1\",\"jbtabs\":\"1\",\"openContainer\":\"1\",\"panel\":\"1\",\"top\":\"1\",\"superfish\":\"1\",\"sfEffect\":\"1\",\"sfSpeed\":\"normal\",\"sfhover\":\"1\",\"sfDelay\":\"800\",\"sfMinWidth\":\"14\",\"sfMaxWidth\":\"17\",\"panelMenu\":\"1\",\"panelMenuType\":\"accordion\",\"accordionFirst\":\"1\",\"accordionShowActive\":\"1\",\"splitMenu\":\"0\",\"splitMenuName\":\"mainmenu\",\"splitMenuNavPos\":\"menu\",\"splitMenuNavStart\":\"0\",\"splitMenuNavEnd\":\"1\",\"splitMenuNav\":\"0\",\"splitMenuSubNavStart\":\"0\",\"splitMenuSubNavEnd\":\"1\",\"splitMenuAbove\":\"0\",\"splitMenuAboveStart\":\"0\",\"splitMenuAboveEnd\":\"1\",\"splitMenuLeft\":\"0\",\"splitMenuLeftTitle\":\"In this section ...\",\"splitMenuLeftStart\":\"1\",\"splitMenuLeftEnd\":\"2\",\"splitMenuRight\":\"0\",\"splitMenuRightTitle\":\"In this section ...\",\"splitMenuRightStart\":\"2\",\"splitMenuRightEnd\":\"3\",\"csscompress\":\"0\",\"k2CSS\":\"0\",\"combinescripts\":\"0\",\"bottomScripts\":\"0\",\"removeMootools\":\"0\",\"removeModal\":\"0\",\"removeK2\":\"0\",\"moduleslide\":\"0\",\"jQueryVersion\":\"1.7.0\",\"jQuerySource\":\"google\",\"noConflict\":\"1\",\"stripCustom\":\"0\",\"customScripts\":\"\",\"removeJgen\":\"0\",\"disableTP\":\"0\",\"analyticsPosition\":\"after\",\"analytics\":\"\",\"extraScripts\":\"\",\"pngfix\":\"0\",\"pngfixrules\":\".pathway img,#logo a img,.topInner,.jbLogo,#topShadow,.slideShowNav.indexNavButtons  a.activeSlide,#slideShowNav.indexNavButtons  a:hover,div.jbReadmore,.mbMoreFlat .readon,.itemRatingList,.itemRatingList a:hover,.itemRatingList .itemCurrentRating,.k2ReadMore\",\"ie6Warning\":\"0\",\"css3pie\":\"0\",\"css3pierules\":\".rounded, .corner, .gradient, .boxshadow\",\"mediqueries\":\"0\",\"paneltype\":\"opacity\",\"tab1Title\":\"Tab1\",\"tab2Title\":\"Tab2\",\"tab3Title\":\"Tab3\",\"tab4Title\":\"Tab4\",\"socialicons\":\"1\",\"socialiconstitle\":\"\",\"socialiconsposition\":\"fixedright\",\"socialalign\":\"zenleft\",\"icon1Image\":\"twitterStrip.png\",\"icon1Link\":\"#\",\"icon2Image\":\"facebookStrip.png\",\"icon2Link\":\"#\",\"icon3Image\":\"feedburnerStrip.png\",\"icon3Link\":\"#\",\"icon4Image\":\"-1\",\"icon4Link\":\"#\",\"icon5Image\":\"-1\",\"icon5Link\":\"#\",\"icon6Image\":\"-1\",\"icon6Link\":\"#\",\"lazyLoad\":\"1\",\"lazyloadSelector\":\"img\",\"scrolltop\":\"0\",\"scrollText\":\"Back to top\",\"mediaqueries\":\"0\",\"mobileMeta\":\"0\",\"mobilemenu\":\"0\",\"topMob\":\"0\",\"headerMob\":\"0\",\"logoMob\":\"0\",\"navMob\":\"0\",\"bannerMob\":\"0\",\"tabMob\":\"0\",\"grid1Mob\":\"0\",\"grid2Mob\":\"0\",\"grid3Mob\":\"0\",\"grid4Mob\":\"0\",\"grid5Mob\":\"0\",\"grid6Mob\":\"0\",\"bottomMob\":\"0\"}'),
	(9,'rhuk_milkyway',0,'0','rhuk_milkyway',''),
	(10,'JB Lifestyle',0,'0','JB Lifestyle - Default','{\"debug\":\"0\",\"legacy\":\"0\",\"zenTranslate\":\"1\",\"removejblogo\":\"0\",\"customcopyright\":\"\",\"hilite\":\"hiliteBlue\",\"overwriteCSS\":\"1\",\"firstcolorelement\":\"\",\"firstcolorAtt\":\"\",\"firstcolor\":\"\",\"secondcolorelement\":\"\",\"secondcolorAtt\":\"\",\"secondcolor\":\"\",\"thirdcolorelement\":\"\",\"thirdcolorAtt\":\"\",\"thirdcolor\":\"\",\"fourthcolorelement\":\"\",\"fourthcolorAtt\":\"\",\"fourthcolor\":\"\",\"fifthcolorelement\":\"\",\"fifthcolorAtt\":\"\",\"fifthecolor\":\"\",\"sixthcolourelement\":\"\",\"sixthcolorAtt\":\"\",\"sixthcolor\":\"\",\"extraCSS\":\"\",\"logoType\":\"text\",\"logoWidth\":\"twelve\",\"logoLink\":\"\",\"logoClass\":\"h1\",\"logoPosition\":\"logo\",\"logoAlign\":\"zencenter\",\"logoText\":\"Responsive\",\"fontStackLogo\":\"Rochester\",\"logoFontSize\":\"2em\",\"logoColour\":\"\",\"logoFile\":\"tempLogo.png\",\"logoAltTag\":\"\",\"enableTagline\":\"1\",\"tagline\":\"\",\"taglineTop\":\"0px\",\"taglineLeft\":\"0px\",\"taglineCSS\":\"\",\"fonts\":\"1\",\"fontSize\":\"80%\",\"fontStackBody\":\"helvetica\",\"fontStackHeading\":\"helvetica\",\"fontStackNav\":\"helvetica\",\"fontStackSelector1\":\"\",\"fontStackCustom1\":\"helvetica\",\"fontStackSelector2\":\"\",\"fontStackCustom2\":\"helvetica\",\"fontStackSelector3\":\"\",\"fontStackCustom3\":\"helvetica\",\"typekit\":\"1\",\"typekitId\":\"\",\"bodyclassOption\":\"1\",\"bodyclassView\":\"1\",\"bodyclassLayout\":\"1\",\"bodyclassTask\":\"1\",\"bodyclassItem\":\"1\",\"bodyclassMainWidth\":\"1\",\"containerPosition\":\"center\",\"layoutType\":\"fixed\",\"tWidth\":\"960\",\"containerMargin\":\"0\",\"allEqual\":\"0\",\"controlMainArea\":\"0\",\"topEqual\":\"1\",\"top1Width\":\"three\",\"top2Width\":\"three\",\"top3Width\":\"three\",\"top4Width\":\"three\",\"headerEqual\":\"1\",\"header1Width\":\"three\",\"header2Width\":\"three\",\"header3Width\":\"three\",\"header4Width\":\"three\",\"grid1Equal\":\"1\",\"grid1Width\":\"three\",\"grid2Width\":\"three\",\"grid3Width\":\"three\",\"grid4Width\":\"three\",\"grid2Equal\":\"1\",\"grid5Width\":\"three\",\"grid6Width\":\"three\",\"grid7Width\":\"three\",\"grid8Width\":\"three\",\"grid3Equal\":\"1\",\"grid9Width\":\"three\",\"grid10Width\":\"three\",\"grid11Width\":\"three\",\"grid12Width\":\"three\",\"grid4Equal\":\"1\",\"grid13Width\":\"three\",\"grid14Width\":\"three\",\"grid15Width\":\"three\",\"grid16Width\":\"three\",\"grid5Equal\":\"1\",\"grid17Width\":\"three\",\"grid18Width\":\"three\",\"grid19Width\":\"three\",\"grid20Width\":\"three\",\"grid6Equal\":\"1\",\"grid21Width\":\"three\",\"grid22Width\":\"three\",\"grid23Width\":\"three\",\"grid24Width\":\"three\",\"bottomEqual\":\"1\",\"bottom1Width\":\"two\",\"bottom2Width\":\"two\",\"bottom3Width\":\"two\",\"bottom4Width\":\"two\",\"bottom5Width\":\"two\",\"bottom6Width\":\"two\",\"footerWidth\":\"twelve\",\"navposition\":\"below\",\"navWidth\":\"twelve\",\"mainLayout\":\"two\",\"leftCols2L\":\"three\",\"midCols2L\":\"nine\",\"midCols2R\":\"nine\",\"rightCols2R\":\"three\",\"leftCols3LR\":\"four\",\"midCols3LR\":\"four\",\"rightCols3LR\":\"four\",\"leftCols4LRC\":\"three\",\"midCols4LRC\":\"three\",\"centerCols4LRC\":\"three\",\"rightCols4LRC\":\"three\",\"leftCols3LC\":\"three\",\"centerCols3LC\":\"three\",\"midCols3LC\":\"six\",\"midCols3RC\":\"six\",\"centerCols3RC\":\"three\",\"rightCols3RC\":\"three\",\"banner\":\"1\",\"bottom\":\"1\",\"closeContainer\":\"1\",\"footer\":\"1\",\"frontpage\":\"1\",\"grid1\":\"1\",\"grid2\":\"1\",\"grid3\":\"1\",\"grid4\":\"1\",\"grid5\":\"1\",\"grid6\":\"1\",\"header\":\"1\",\"main\":\"1\",\"nav\":\"1\",\"jbtabs\":\"1\",\"openContainer\":\"1\",\"panel\":\"1\",\"top\":\"1\",\"superfish\":\"yes\",\"sfEffect\":\"1\",\"sfSpeed\":\"normal\",\"sfhover\":\"yes\",\"sfDelay\":\"800\",\"sfMinWidth\":\"14\",\"sfMaxWidth\":\"17\",\"panelMenu\":\"yes\",\"panelMenuType\":\"yes\",\"accordionFirst\":\"yes\",\"accordionShowActive\":\"yes\",\"splitMenu\":\"0\",\"splitMenuName\":\"mainmenu\",\"splitMenuNavPos\":\"top1\",\"splitMenuNavStart\":\"0\",\"splitMenuNavEnd\":\"1\",\"splitMenuNav\":\"0\",\"splitMenuSubNavStart\":\"0\",\"splitMenuSubNavEnd\":\"1\",\"splitMenuAbove\":\"0\",\"splitMenuAboveStart\":\"0\",\"splitMenuAboveEnd\":\"1\",\"splitMenuLeft\":\"0\",\"splitMenuLeftTitle\":\"In this section ...\",\"splitMenuLeftStart\":\"1\",\"splitMenuLeftEnd\":\"2\",\"splitMenuRight\":\"0\",\"splitMenuRightTitle\":\"In this section ...\",\"splitMenuRightStart\":\"2\",\"splitMenuRightEnd\":\"3\",\"csscompress\":\"0\",\"k2CSS\":\"0\",\"combinescripts\":\"0\",\"bottomScripts\":\"0\",\"removeMootools\":\"0\",\"removeModal\":\"0\",\"removeK2\":\"0\",\"moduleslide\":\"0\",\"jQueryVersion\":\"1.6\",\"jQuerySource\":\"local\",\"noConflict\":\"1\",\"stripCustom\":\"0\",\"customScripts\":\"\",\"removeJgen\":\"0\",\"disableTP\":\"0\",\"analyticsPosition\":\"after\",\"analytics\":\"\",\"extraScripts\":\"\",\"pngfix\":\"0\",\"pngfixrules\":\".pathway img,#logo a img,.topInner,.jbLogo,#topShadow,.slideShowNav.indexNavButtons  a.activeSlide,#slideShowNav.indexNavButtons  a:hover,div.jbReadmore,.mbMoreFlat .readon,.itemRatingList,.itemRatingList a:hover,.itemRatingList .itemCurrentRating,.k2ReadMore\",\"ie6Warning\":\"0\",\"css3pie\":\"0\",\"css3pierules\":\".rounded, .corner, .gradient, .boxshadow\",\"mediqueries\":\"0\",\"openPanel\":\"Open\",\"paneltype\":\"opacity\",\"panelHeight\":\"200\",\"panelWidth\":\"300\",\"tab1Title\":\"Tab1\",\"tab2Title\":\"Tab2\",\"tab3Title\":\"Tab3\",\"tab4Title\":\"Tab4\",\"socialicons\":\"1\",\"socialiconstitle\":\"\",\"socialiconsposition\":\"1\",\"socialalign\":\"fixedright\",\"icon1Image\":\"twitterStrip.png\",\"icon1Link\":\"#\",\"icon2Image\":\"vimeoStrip.png\",\"icon2Link\":\"#\",\"icon3Image\":\"flickrStrip.png\",\"icon3Link\":\"#\",\"icon4Image\":\"-1\",\"icon4Link\":\"#\",\"icon5Image\":\"-1\",\"icon5Link\":\"#\",\"icon6Image\":\"-1\",\"icon6Link\":\"#\",\"lazyLoad\":\"1\",\"lazyloadSelector\":\"img\",\"scrolltop\":\"0\",\"scrollText\":\"Back to top\",\"mediaqueries\":\"0\",\"mobileMeta\":\"0\",\"mobilemenu\":\"0\",\"mobileDetect\":\"OPT1\",\"topMob\":\"0\",\"headerMob\":\"0\",\"logoMob\":\"0\",\"navMob\":\"0\",\"bannerMob\":\"0\",\"tabMob\":\"0\",\"grid1Mob\":\"0\",\"grid2Mob\":\"0\",\"grid3Mob\":\"0\",\"grid4Mob\":\"0\",\"grid5Mob\":\"0\",\"grid6Mob\":\"0\",\"bottomMob\":\"0\"}'),
	(12,'jbresponsive',0,'0','JBResponsive - Default','{\"debug\":\"0\",\"legacy\":\"0\",\"zenTranslate\":\"1\",\"removejblogo\":\"0\",\"customcopyright\":\"\",\"hilite\":\"hiliteBlue\",\"overwriteCSS\":\"1\",\"firstcolorelement\":\"\",\"firstcolorAtt\":\"color\",\"firstcolor\":\"\",\"secondcolorelement\":\"\",\"secondcolorAtt\":\"color\",\"secondcolor\":\"\",\"thirdcolorelement\":\"\",\"thirdcolorAtt\":\"color\",\"thirdcolor\":\"\",\"fourthcolorelement\":\"\",\"fourthcolorAtt\":\"color\",\"fourthcolor\":\"\",\"fifthcolorelement\":\"\",\"fifthcolorAtt\":\"color\",\"fifthecolor\":\"\",\"sixthcolourelement\":\"\",\"sixthcolorAtt\":\"color\",\"sixthcolor\":\"\",\"extraCSS\":\"\",\"logoType\":\"text\",\"logoWidth\":\"twelve\",\"logoLink\":\"\",\"logoClass\":\"h1\",\"logoPosition\":\"logo\",\"logoAlign\":\"zencenter\",\"logoText\":\"Responsive\",\"fontStackLogo\":\"Rochester\",\"logoFontSize\":\"2em\",\"logoColour\":\"\",\"logoFile\":\"tempLogo.png\",\"logoAltTag\":\"\",\"enableTagline\":\"1\",\"tagline\":\"\",\"taglineTop\":\"0px\",\"taglineLeft\":\"0px\",\"taglineCSS\":\"\",\"fonts\":\"1\",\"fontSize\":\"80%\",\"fontStackBody\":\"helvetica\",\"fontStackHeading\":\"helvetica\",\"fontStackNav\":\"helvetica\",\"fontStackSelector1\":\"\",\"fontStackCustom1\":\"helvetica\",\"fontStackSelector2\":\"\",\"fontStackCustom2\":\"helvetica\",\"fontStackSelector3\":\"\",\"fontStackCustom3\":\"helvetica\",\"typekit\":\"1\",\"typekitId\":\"\",\"bodyclassOption\":\"1\",\"bodyclassView\":\"1\",\"bodyclassLayout\":\"1\",\"bodyclassTask\":\"1\",\"bodyclassItem\":\"1\",\"bodyclassMainWidth\":\"1\",\"containerPosition\":\"center\",\"layoutType\":\"fixed\",\"tWidth\":\"960\",\"containerMargin\":\"0\",\"allEqual\":\"0\",\"controlMainArea\":\"0\",\"topEqual\":\"1\",\"top1Width\":\"three\",\"top2Width\":\"three\",\"top3Width\":\"three\",\"top4Width\":\"three\",\"headerEqual\":\"1\",\"header1Width\":\"three\",\"header2Width\":\"three\",\"header3Width\":\"three\",\"header4Width\":\"three\",\"grid1Equal\":\"1\",\"grid1Width\":\"three\",\"grid2Width\":\"three\",\"grid3Width\":\"three\",\"grid4Width\":\"three\",\"grid2Equal\":\"1\",\"grid5Width\":\"three\",\"grid6Width\":\"three\",\"grid7Width\":\"three\",\"grid8Width\":\"three\",\"grid3Equal\":\"1\",\"grid9Width\":\"three\",\"grid10Width\":\"three\",\"grid11Width\":\"three\",\"grid12Width\":\"three\",\"grid4Equal\":\"1\",\"grid13Width\":\"three\",\"grid14Width\":\"three\",\"grid15Width\":\"three\",\"grid16Width\":\"three\",\"grid5Equal\":\"1\",\"grid17Width\":\"three\",\"grid18Width\":\"three\",\"grid19Width\":\"three\",\"grid20Width\":\"three\",\"grid6Equal\":\"1\",\"grid21Width\":\"three\",\"grid22Width\":\"three\",\"grid23Width\":\"three\",\"grid24Width\":\"three\",\"bottomEqual\":\"1\",\"bottom1Width\":\"two\",\"bottom2Width\":\"two\",\"bottom3Width\":\"two\",\"bottom4Width\":\"two\",\"bottom5Width\":\"two\",\"bottom6Width\":\"two\",\"footerWidth\":\"twelve\",\"navposition\":\"left\",\"navWidth\":\"twelve\",\"mainLayout\":\"two\",\"leftCols2L\":\"three\",\"midCols2L\":\"nine\",\"midCols2R\":\"nine\",\"rightCols2R\":\"three\",\"leftCols3LR\":\"four\",\"midCols3LR\":\"four\",\"rightCols3LR\":\"four\",\"leftCols4LRC\":\"three\",\"midCols4LRC\":\"three\",\"centerCols4LRC\":\"three\",\"rightCols4LRC\":\"three\",\"leftCols3LC\":\"three\",\"centerCols3LC\":\"three\",\"midCols3LC\":\"six\",\"midCols3RC\":\"six\",\"centerCols3RC\":\"three\",\"rightCols3RC\":\"three\",\"banner\":\"1\",\"bottom\":\"1\",\"closeContainer\":\"1\",\"footer\":\"1\",\"frontpage\":\"1\",\"grid1\":\"1\",\"grid2\":\"1\",\"grid3\":\"1\",\"grid4\":\"1\",\"grid5\":\"1\",\"grid6\":\"1\",\"header\":\"1\",\"main\":\"1\",\"nav\":\"1\",\"jbtabs\":\"1\",\"openContainer\":\"1\",\"panel\":\"1\",\"top\":\"1\",\"superfish\":\"1\",\"sfEffect\":\"1\",\"sfSpeed\":\"normal\",\"sfhover\":\"1\",\"sfDelay\":\"800\",\"sfMinWidth\":\"14\",\"sfMaxWidth\":\"17\",\"panelMenu\":\"1\",\"panelMenuType\":\"0\",\"accordionFirst\":\"0\",\"accordionShowActive\":\"0\",\"splitMenu\":\"0\",\"splitMenuName\":\"mainmenu\",\"splitMenuNavPos\":\"top1\",\"splitMenuNavStart\":\"0\",\"splitMenuNavEnd\":\"1\",\"splitMenuNav\":\"0\",\"splitMenuSubNavStart\":\"0\",\"splitMenuSubNavEnd\":\"1\",\"splitMenuAbove\":\"0\",\"splitMenuAboveStart\":\"0\",\"splitMenuAboveEnd\":\"1\",\"splitMenuLeft\":\"0\",\"splitMenuLeftTitle\":\"In this section ...\",\"splitMenuLeftStart\":\"1\",\"splitMenuLeftEnd\":\"2\",\"splitMenuRight\":\"0\",\"splitMenuRightTitle\":\"In this section ...\",\"splitMenuRightStart\":\"2\",\"splitMenuRightEnd\":\"3\",\"csscompress\":\"0\",\"k2CSS\":\"0\",\"combinescripts\":\"0\",\"bottomScripts\":\"0\",\"removeMootools\":\"0\",\"removeModal\":\"0\",\"removeK2\":\"0\",\"moduleslide\":\"0\",\"jQueryVersion\":\"1.7.0\",\"jQuerySource\":\"local\",\"noConflict\":\"1\",\"stripCustom\":\"0\",\"customScripts\":\"\",\"removeJgen\":\"0\",\"disableTP\":\"0\",\"analyticsPosition\":\"after\",\"analytics\":\"\",\"extraScripts\":\"\",\"pngfix\":\"0\",\"pngfixrules\":\".pathway img,#logo a img,.topInner,.jbLogo,#topShadow,.slideShowNav.indexNavButtons  a.activeSlide,#slideShowNav.indexNavButtons  a:hover,div.jbReadmore,.mbMoreFlat .readon,.itemRatingList,.itemRatingList a:hover,.itemRatingList .itemCurrentRating,.k2ReadMore\",\"ie6Warning\":\"0\",\"css3pie\":\"0\",\"css3pierules\":\".rounded, .corner, .gradient, .boxshadow\",\"mediqueries\":\"0\",\"openPanel\":\"Open\",\"paneltype\":\"opacity\",\"panelHeight\":\"200\",\"panelWidth\":\"300\",\"tab1Title\":\"Tab1\",\"tab2Title\":\"Tab2\",\"tab3Title\":\"Tab3\",\"tab4Title\":\"Tab4\",\"socialicons\":\"1\",\"socialiconstitle\":\"\",\"socialiconsposition\":\"fixedright\",\"socialalign\":\"zenleft\",\"icon1Image\":\"twitterStrip.png\",\"icon1Link\":\"#\",\"icon2Image\":\"vimeoStrip.png\",\"icon2Link\":\"#\",\"icon3Image\":\"flickrStrip.png\",\"icon3Link\":\"#\",\"icon4Image\":\"-1\",\"icon4Link\":\"#\",\"icon5Image\":\"-1\",\"icon5Link\":\"#\",\"icon6Image\":\"-1\",\"icon6Link\":\"#\",\"lazyLoad\":\"1\",\"lazyloadSelector\":\"img\",\"scrolltop\":\"0\",\"scrollText\":\"Back to top\",\"mediaqueries\":\"0\",\"mobileMeta\":\"0\",\"mobilemenu\":\"0\",\"topMob\":\"0\",\"headerMob\":\"0\",\"logoMob\":\"0\",\"navMob\":\"0\",\"bannerMob\":\"0\",\"tabMob\":\"0\",\"grid1Mob\":\"0\",\"grid2Mob\":\"0\",\"grid3Mob\":\"0\",\"grid4Mob\":\"0\",\"grid5Mob\":\"0\",\"grid6Mob\":\"0\",\"bottomMob\":\"0\"}');

/*!40000 ALTER TABLE `#__template_styles` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table #__weblinks
# ------------------------------------------------------------

DROP TABLE IF EXISTS `#__weblinks`;

CREATE TABLE `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `#__weblinks` WRITE;
/*!40000 ALTER TABLE `#__weblinks` DISABLE KEYS */;

INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`)
VALUES
	(1,6,0,'Joomla!',X'6A6F6F6D6C61','http://www.joomla.org','<p>Home of Joomla!</p>','2005-02-14 15:19:02',3,1,0,'0000-00-00 00:00:00',1,0,1,1,'{\"target\":\"0\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','0000-00-00 00:00:00',0,'','2012-02-01 06:03:23',62,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(2,6,0,'php.net',X'706870','http://www.php.net','<p>The language that Joomla! is developed in</p>','2004-07-07 11:33:24',6,1,0,'0000-00-00 00:00:00',3,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','0000-00-00 00:00:00',0,'','2012-02-01 06:03:47',62,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(3,6,0,'MySQL',X'6D7973716C','http://www.mysql.com','<p>The database that Joomla! uses</p>','2004-07-07 10:18:31',1,1,0,'0000-00-00 00:00:00',5,0,1,1,'{\"target\":\"\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','0000-00-00 00:00:00',0,'','2012-02-01 06:03:33',62,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(4,6,0,'OpenSourceMatters',X'6F70656E736F757263656D617474657273','http://www.opensourcematters.org','<p>Home of OSM</p>','2005-02-14 15:19:02',11,1,0,'0000-00-00 00:00:00',2,0,1,1,'{\"target\":\"0\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','0000-00-00 00:00:00',0,'','2012-02-01 06:03:43',62,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(5,6,0,'Joomla! - Forums',X'6A6F6F6D6C612D666F72756D73','http://forum.joomla.org','<p>Joomla! Forums</p>','2005-02-14 15:19:02',4,1,0,'0000-00-00 00:00:00',4,0,1,1,'{\"target\":\"0\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','0000-00-00 00:00:00',0,'','2012-02-01 06:03:28',62,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(6,6,0,'Ohloh Tracking of Joomla!',X'6F686C6F682D747261636B696E672D6F662D6A6F6F6D6C61','http://www.ohloh.net/projects/20','<p>Objective reports from Ohloh about Joomla\'s development activity. Joomla! has some star developers with serious kudos.</p>','2007-07-19 09:28:31',1,1,0,'0000-00-00 00:00:00',6,0,1,1,'{\"target\":\"0\",\"width\":\"\",\"height\":\"\",\"count_clicks\":\"\"}','*','0000-00-00 00:00:00',0,'','2012-02-01 06:03:38',62,'','','',0,'','0000-00-00 00:00:00','0000-00-00 00:00:00');

/*!40000 ALTER TABLE `#__weblinks` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
